2014-10-26  Carsten Grohmann  <mail@carstengrohmann.de>

	Remove technical notes from INNO setup

	Files (added, modified or removed):
	* install/pyinstaller/wxglade-installer.iss

	Change directory the SAE installed will placed to

	Files (added, modified or removed):
	* install/pyinstaller/wxglade-installer.iss

	Remove appdata.xml and wxGlade.desktop from Windows distribution

	Files (added, modified or removed):
	* install/pyinstaller/wxglade.spec

	Remove obsolete wxversion comment

	Files (added, modified or removed):
	* wxglade.py

	Update Windows installation procedure after upgrading to Pyinstaller
	2.1

	Files (added, modified or removed):
	* docs/BuildingInstaller.txt
	* docs/ReleaseSteps.txt
	* install/pyinstaller/build.bat
	* install/pyinstaller/hook-main.py
	* install/pyinstaller/hooks/hook-main.py
	* install/pyinstaller/wxglade-installer.iss
	* install/pyinstaller/wxglade.spec

	Update developers

	Files (added, modified or removed):
	* credits.txt

	Update classification of the programming language

	Files (added, modified or removed):
	* setup.py

2014-10-25  Carsten Grohmann  <mail@carstengrohmann.de>

	Merge documenation

	Files (added, modified or removed):

	Update and extend documentation

	Files (added, modified or removed):
	* docs/html/apa.html
	* docs/html/apb.html
	* docs/html/apc.html
	* docs/html/apd.html
	* docs/html/ch01.html
	* docs/html/ch01s02.html
	* docs/html/ch01s03.html
	* docs/html/ch01s04.html
	* docs/html/ch01s05.html
	* docs/html/ch01s06.html
	* docs/html/ch01s07.html
	* docs/html/ch01s08.html
	* docs/html/ch02.html
	* docs/html/ch02s02.html
	* docs/html/ch02s03.html
	* docs/html/ch02s04.html
	* docs/html/ch02s05.html
	* docs/html/ch02s06.html
	* docs/html/ch02s07.html
	* docs/html/ch02s08.html
	* docs/html/ch03.html
	* docs/html/ch03s02.html
	* docs/html/ch03s03.html
	* docs/html/ch03s04.html
	* docs/html/ch03s05.html
	* docs/html/ch03s06.html
	* docs/html/ch04.html
	* docs/html/ch04s03.html
	* docs/html/ch05.html
	* docs/html/ch05s02.html
	* docs/html/ch05s03.html
	* docs/html/ch05s04.html
	* docs/html/ch06.html
	* docs/html/ch06s02.html
	* docs/html/ch06s03.html
	* docs/html/ch06s04.html
	* docs/html/ch06s05.html
	* docs/html/ch06s06.html
	* docs/html/ch06s07.html
	* docs/html/ch06s08.html
	* docs/html/ch06s09.html
	* docs/html/ch07.html
	* docs/html/ch07s02.html
	* docs/html/ch07s03.html
	* docs/html/index.html
	* docs/html/label_menu.png
	* docs/html/pr01.html
	* docs/html/pr01s02.html
	* docs/html/properties_menu_editor.png
	* docs/html/properties_toolbar_editor.png
	* docs/html/properties_window_application.png
	* docs/html/properties_window_settings.png
	* docs/html/properties_window_statusbar.png
	* docs/html/sizer_menu.png
	* docs/html/tree_window.png
	* docs/pdf/manual.pdf
	* docs/src/label_menu.png
	* docs/src/manual.xml
	* docs/src/properties_menu_editor.png
	* docs/src/properties_toolbar_editor.png
	* docs/src/properties_window_application.png
	* docs/src/properties_window_settings.png
	* docs/src/properties_window_statusbar.png
	* docs/src/sizer_menu.png
	* docs/src/tree_window.png

	Rename codegen_opt into multiple_files for clarification

	Files (added, modified or removed):
	* tree.py
	* xml_parse.py

	Migrate technical notes into manual

	Files (added, modified or removed):
	* docs/src/manual.xml
	* docs/tech_notes.txt

	Add myself to license statements

	Files (added, modified or removed):
	* setup.py
	* wxglade.py

	Adapt software classification

	Files (added, modified or removed):
	* setup.py

	Set proper output path at GUI startup

	Files (added, modified or removed):
	* application.py

	Rename codegen_opt into multiple_files for clarification

	Files (added, modified or removed):
	* application.py

2014-10-24  Carsten Grohmann  <mail@carstengrohmann.de>

	Use raw strings if strings contains backslashes

	Files (added, modified or removed):
	* application.py
	* codegen/__init__.py
	* codegen/cpp_codegen.py
	* edit_sizers/edit_sizers.py
	* edit_windows.py
	* main.py

	Text improvements and typos

	Files (added, modified or removed):
	* about.py
	* application.py
	* clipboard.py
	* codegen/__init__.py
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/perl_codegen.py
	* codegen/py_codegen.py
	* common.py
	* edit_sizers/edit_sizers.py
	* edit_windows.py
	* main.py
	* misc.py
	* preferences_ui.py
	* res/preferences_ui.wxg
	* tree.py
	* widget_properties.py
	* widgets/dialog/dialog.py
	* widgets/dialog/perl_codegen.py
	* widgets/grid/grid.py
	* widgets/hyperlink_ctrl/wconfig.py
	* widgets/menubar/menubar.py
	* widgets/notebook/notebook.py
	* widgets/panel/panel.py
	* widgets/splitter_window/splitter_window.py
	* xml_parse.py

	Adapt file extensions to changing code generator languages in single
	file mode

	Files (added, modified or removed):
	* application.py

	Rename codegen_prop into multiple_files_prop for clarification

	Files (added, modified or removed):
	* application.py
	* xml_parse.py

	Improve setting the code generator language

	Files (added, modified or removed):
	* application.py
	* xml_parse.py

2014-10-23  Carsten Grohmann  <mail@carstengrohmann.de>

	Escape linebreak and tab characters in doc strings

	Files (added, modified or removed):
	* codegen/perl_codegen.py
	* codegen/py_codegen.py
	* wcodegen/__init__.py

	Minor code reorg

	Files (added, modified or removed):
	* application.py

	Show locale settings in printed or logged exceptions

	Files (added, modified or removed):
	* log.py

	Move default_style to widget config dict and recognise choices
	automatically

	Files (added, modified or removed):
	* common.py
	* wcodegen/__init__.py
	* widgets/choice/codegen.py
	* widgets/choice/lisp_codegen.py
	* widgets/choice/perl_codegen.py
	* widgets/combo_box/codegen.py
	* widgets/combo_box/lisp_codegen.py
	* widgets/combo_box/perl_codegen.py
	* widgets/combo_box/wconfig.py
	* widgets/gauge/codegen.py
	* widgets/gauge/lisp_codegen.py
	* widgets/gauge/perl_codegen.py
	* widgets/gauge/wconfig.py
	* widgets/list_box/codegen.py
	* widgets/list_box/lisp_codegen.py
	* widgets/list_box/perl_codegen.py
	* widgets/list_ctrl/codegen.py
	* widgets/list_ctrl/lisp_codegen.py
	* widgets/list_ctrl/perl_codegen.py
	* widgets/list_ctrl/wconfig.py
	* widgets/radio_box/codegen.py
	* widgets/radio_box/lisp_codegen.py
	* widgets/radio_box/perl_codegen.py
	* widgets/slider/codegen.py
	* widgets/slider/lisp_codegen.py
	* widgets/slider/perl_codegen.py
	* widgets/slider/wconfig.py
	* widgets/spin_button/codegen.py
	* widgets/spin_button/lisp_codegen.py
	* widgets/spin_button/perl_codegen.py
	* widgets/spin_button/wconfig.py
	* widgets/spin_ctrl/codegen.py
	* widgets/spin_ctrl/lisp_codegen.py
	* widgets/spin_ctrl/perl_codegen.py
	* widgets/spin_ctrl/wconfig.py
	* widgets/static_line/codegen.py
	* widgets/static_line/lisp_codegen.py
	* widgets/static_line/perl_codegen.py
	* widgets/static_line/wconfig.py
	* widgets/tree_ctrl/codegen.py
	* widgets/tree_ctrl/lisp_codegen.py
	* widgets/tree_ctrl/perl_codegen.py
	* widgets/tree_ctrl/wconfig.py

2014-10-22  Carsten Grohmann  <mail@carstengrohmann.de>

	Fix incomplete Unicode escaping

	The unicode range 0x80-0xFF (Latin-1 Supplement - also called C1
	Controls and Latin-1 Supplement) wasn't escaped yet. Thereby the
	returned string was not pure ascii. This commit manually converts
	the remaining unicode characters.

	Files (added, modified or removed):
	* NEWS.txt
	* codegen/__init__.py
	* codegen/perl_codegen.py
	* codegen/py_codegen.py
	* tests/test_codegen.py

	Short update to reflect already committed changes

	Files (added, modified or removed):
	* NEWS.txt

	Add a deprecation notice to the in place modification feature.

	wxGlade can change code inside existing source files to reflect
	changed designs. This feature is deprecated now und will be removed
	within the next releases.

	Files (added, modified or removed):
	* application.py

2014-10-21  Carsten Grohmann  <mail@carstengrohmann.de>

	Closed DEV_UNICODE branch

	Files (added, modified or removed):

	Include RELEASE-VERSION into files/dirs generated by PyInstaller

	Files (added, modified or removed):
	* install/pyinstaller/wxglade.spec

2014-10-20  Carsten Grohmann  <mail@carstengrohmann.de>

	Fix wrong decoding of strings in function to quote/escape Python
	strings

	The input parameter s is a string encoded with self.app_encoding.
	Decoding with 'utf8' works for pure ascii strings only. Latin1
	string with umlauts have failed.

	Files (added, modified or removed):
	* codegen/py_codegen.py
	* common.py
	* tests/__init__.py
	* tests/test_codegen.py

2014-10-19  Carsten Grohmann  <mail@carstengrohmann.de>

	Remove alias misc.encode

	Files (added, modified or removed):
	* misc.py
	* widgets/button/button.py
	* widgets/choice/choice.py
	* widgets/hyperlink_ctrl/hyperlink_ctrl.py
	* widgets/list_box/list_box.py
	* widgets/menubar/menubar.py
	* widgets/radio_box/radio_box.py
	* widgets/radio_button/radio_button.py
	* widgets/static_text/static_text.py
	* widgets/toggle_button/toggle_button.py

	Add missing docstring

	Files (added, modified or removed):
	* widget_properties.py

2014-10-18  Carsten Grohmann  <mail@carstengrohmann.de>

	Add desktop entry file

	Files (added, modified or removed):
	* wxGlade.desktop

	Add short application description via appdata.xml file

	Files (added, modified or removed):
	* appdata.xml
	* docs/ReleaseSteps.txt
	* install/pyinstaller/wxglade.spec
	* setup.py

	Introduce an wrapper class for StringIO to enforce ASCII content.

	Files (added, modified or removed):
	* codegen/cpp_codegen.py
	* misc.py

	Rename StringIO wrapper misc.EncStringIO() to misc.UnicodeStringIO()

	The wrapper class enforces the conversion to Unicode always.

	Files (added, modified or removed):
	* application.py
	* misc.py

	Change Perl tooltip statement for wx3 from SetToolTipString() to
	SetToolTip()

	Files (added, modified or removed):
	* codegen/perl_codegen.py
	* tests/casefiles/ComplexExample_30.pl

	Adapt naming schema for code statements to schema used with styles

	Example: 'tooltip_3X' -> 'tooltip_3'

	Files (added, modified or removed):
	* codegen/__init__.py
	* codegen/py_codegen.py

	Rename wxALIGN_CENTRE* to wxALIGN_CENTER* during code generation

	Files (added, modified or removed):
	* common.py

	Don't inject cn_f() into XrcObject, it's used from the StylesMixin
	now.

	Files (added, modified or removed):
	* codegen/xrc_codegen.py

	Fix wrong formatted string statement

	Files (added, modified or removed):
	* codegen/xrc_codegen.py

	Separate styles related code

	The resulting StylesMixin can be used within the widget writer
	structure as well as the code generator structure later. This commit
	fixes a bug in handling combined styles too.

	Files (added, modified or removed):
	* common.py
	* edit_sizers/edit_sizers.py
	* edit_windows.py
	* tests/casefiles/AllWidgets_28.cpp
	* tests/casefiles/AllWidgets_28.lisp
	* tests/casefiles/AllWidgets_28.pl
	* tests/casefiles/AllWidgets_28.py
	* tests/casefiles/AllWidgets_28.xrc
	* tests/casefiles/Sizers_classattr.cpp
	* tests/casefiles/Sizers_classattr.lisp
	* tests/casefiles/Sizers_classattr.pl
	* tests/casefiles/Sizers_classattr.py
	* tests/casefiles/Sizers_classattr.xrc
	* tests/casefiles/Sizers_no_classattr.cpp
	* tests/casefiles/Sizers_no_classattr.lisp
	* tests/casefiles/Sizers_no_classattr.pl
	* tests/casefiles/Sizers_no_classattr.py
	* tests/casefiles/Sizers_no_classattr.xrc
	* tests/test_codegen.py
	* wcodegen/__init__.py
	* wcodegen/mixins.py
	* xml_parse.py

	Rework xml_parse.Sizeritem() to use style names instead of values
	partially

	Files (added, modified or removed):
	* xml_parse.py

	Rename StylesMixin in EditStylesMixin

	Files (added, modified or removed):
	* edit_sizers/edit_sizers.py
	* edit_windows.py
	* tests/test_gui.py
	* wcodegen/__init__.py
	* widgets/bitmap_button/bitmap_button.py
	* widgets/button/button.py
	* widgets/calendar_ctrl/calendar_ctrl.py
	* widgets/combo_box/combo_box.py
	* widgets/custom_widget/custom_widget.py
	* widgets/datepicker_ctrl/datepicker_ctrl.py
	* widgets/dialog/dialog.py
	* widgets/frame/frame.py
	* widgets/gauge/gauge.py
	* widgets/grid/grid.py
	* widgets/hyperlink_ctrl/hyperlink_ctrl.py
	* widgets/list_box/list_box.py
	* widgets/list_ctrl/list_ctrl.py
	* widgets/notebook/notebook.py
	* widgets/panel/panel.py
	* widgets/radio_button/radio_button.py
	* widgets/slider/slider.py
	* widgets/spacer/spacer.py
	* widgets/spin_button/spin_button.py
	* widgets/spin_ctrl/spin_ctrl.py
	* widgets/splitter_window/splitter_window.py
	* widgets/static_bitmap/static_bitmap.py
	* widgets/static_line/static_line.py
	* widgets/static_text/static_text.py
	* widgets/statusbar/statusbar.py
	* widgets/text_ctrl/text_ctrl.py
	* widgets/toolbar/toolbar.py
	* widgets/tree_ctrl/tree_ctrl.py

2014-10-17  Carsten Grohmann  <mail@carstengrohmann.de>

	Remove unused parameter in cn_f()

	Files (added, modified or removed):
	* wcodegen/__init__.py

	Rework formatting flags for XRC code

	Files (added, modified or removed):
	* codegen/xrc_codegen.py
	* tests/casefiles/AllWidgets_28.xrc
	* tests/casefiles/ComplexExample.xrc
	* tests/casefiles/ComplexExample_30.xrc
	* tests/casefiles/Format_flags.wxg
	* tests/casefiles/Format_flags.xrc
	* tests/casefiles/Sizers_classattr.xrc
	* tests/casefiles/Sizers_no_classattr.xrc
	* tests/test_codegen.py
	* wcodegen/__init__.py
	* widgets/toolbar/codegen.py

2014-10-15  Carsten Grohmann  <mail@carstengrohmann.de>

	Typo

	Files (added, modified or removed):
	* widgets/static_bitmap/static_bitmap.py

	Add debug message for processing flags (cn_f())

	Files (added, modified or removed):
	* wcodegen/__init__.py

	Fix writing debug() messages to the log file

	Files (added, modified or removed):
	* log.py

2014-10-14  Carsten Grohmann  <mail@carstengrohmann.de>

	Don't set wxStatusbar labels if no label have a text

	Files (added, modified or removed):
	* tests/casefiles/Statusbar_wo_labels.cpp
	* tests/casefiles/Statusbar_wo_labels.h
	* tests/casefiles/Statusbar_wo_labels.lisp
	* tests/casefiles/Statusbar_wo_labels.pl
	* tests/casefiles/Statusbar_wo_labels.py
	* tests/casefiles/Statusbar_wo_labels.wxg
	* tests/casefiles/Statusbar_wo_labels.xrc
	* tests/test_codegen.py
	* widgets/statusbar/codegen.py
	* widgets/statusbar/lisp_codegen.py
	* widgets/statusbar/perl_codegen.py

	Minor fix for last commit

	Files (added, modified or removed):
	* config.py

2014-10-13  Carsten Grohmann  <mail@carstengrohmann.de>

	Change internal handling of the version number and introduce
	RELEASE-VERSION

	The version number will determinate in three steps: 1. read from
	release file 2. Queried from local hg repo 3. Set to "not found"

	Files (added, modified or removed):
	* common.py
	* config.py
	* docs/BuildingInstaller.txt
	* docs/ReleaseSteps.txt
	* setup.py
	* wxglade.py

	Add statusbar widget to Windows installer file

	Files (added, modified or removed):
	* install/pyinstaller/wxglade-installer.iss

	Update wxPerl homepage URL

	Files (added, modified or removed):
	* codegen/perl_codegen.py
	* tests/casefiles/AllWidgets_28.pl
	* tests/casefiles/CalendarCtrl.pl
	* tests/casefiles/ComplexExample.pl
	* tests/casefiles/ComplexExample_30.pl
	* tests/casefiles/FontColour.pl
	* tests/casefiles/Gauge.pl
	* tests/casefiles/Grid.pl
	* tests/casefiles/HyperlinkCtrl_28.pl
	* tests/casefiles/Perl_Preferences.pl
	* tests/casefiles/PlAddApp_multi_detailed.pl
	* tests/casefiles/PlAddApp_multi_gettext_detailed.pl
	* tests/casefiles/PlAddApp_multi_gettext_simple.pl
	* tests/casefiles/PlAddApp_multi_simple.pl
	* tests/casefiles/PlOgg1.pl
	* tests/casefiles/PlOgg2_MyDialog.pm
	* tests/casefiles/PlOgg2_MyFrame.pm
	* tests/casefiles/PlOgg2_app.pl
	* tests/casefiles/PlOgg3.pl
	* tests/casefiles/Sizers_classattr.pl
	* tests/casefiles/Sizers_no_classattr.pl
	* tests/casefiles/add_class_inplace_extended.pl
	* tests/casefiles/add_class_inplace_orig.pl
	* tests/casefiles/bug163.pl
	* tests/casefiles/no_suitable_writer.pl
	* tests/casefiles/remove_class_inplace_expected.pl
	* tests/casefiles/remove_class_inplace_input.pl
	* tests/casefiles/styleless-dialog.pl

	Typo

	Files (added, modified or removed):
	* misc.py

	Rename configdialog into preferencesdialog to have consistent naming
	schema

	Files (added, modified or removed):
	* configUI.py
	* configdialog.py
	* main.py
	* preferences_ui.py
	* preferencesdialog.py
	* res/preferences.wxg
	* res/preferences_ui.wxg

	Minor changes in all widgets test case

	Files (added, modified or removed):
	* tests/casefiles/AllWidgets_28.cpp
	* tests/casefiles/AllWidgets_28.lisp
	* tests/casefiles/AllWidgets_28.pl
	* tests/casefiles/AllWidgets_28.py
	* tests/casefiles/AllWidgets_28.wxg
	* tests/casefiles/AllWidgets_28.xrc

	Set majorDimension to 1 if choice is empty for C++ and wxRadiobox

	wx raises an assertion if choices are empty and majorDim is 0
	(default)

	Files (added, modified or removed):
	* tests/casefiles/AllWidgets_28.cpp
	* widgets/radio_box/codegen.py

2014-10-12  Carsten Grohmann  <mail@carstengrohmann.de>

	Add caching for tooltips

	Files (added, modified or removed):
	* widget_properties.py

	Fix comparing version number introduced with last commit

	Files (added, modified or removed):
	* xml_parse.py

	Show warning if loading projects for wx2.6 or with old python
	imports

	Files (added, modified or removed):
	* codegen/__init__.py
	* config.py
	* xml_parse.py

	Rework specified types in docstrings

	Files (added, modified or removed):
	* config.py

2014-10-11  Carsten Grohmann  <mail@carstengrohmann.de>

	Don't generate "wxDefaultPosition, wxDefaultSize, );" for Perl

	Files (added, modified or removed):
	* tests/casefiles/AllWidgets_28.pl
	* tests/casefiles/ComplexExample.pl
	* tests/casefiles/ComplexExample.py
	* tests/casefiles/ComplexExample_30.pl
	* tests/casefiles/Perl_Preferences.pl
	* tests/casefiles/PlOgg1.pl
	* tests/casefiles/PlOgg2_MyDialog.pm
	* tests/casefiles/PlOgg3.pl
	* widgets/menubar/perl_codegen.py
	* widgets/panel/perl_codegen.py
	* widgets/splitter_window/perl_codegen.py
	* widgets/toolbar/perl_codegen.py
	* wxglade.py

	Separate setting wxGlade output path to an own function

	Files (added, modified or removed):
	* tests/test_gui.py

	Extract processing of wx events to a separate function

	Files (added, modified or removed):
	* tests/test_gui.py

	Rework specified types in docstrings and minor code changes

	Files (added, modified or removed):
	* codegen/__init__.py
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/perl_codegen.py
	* codegen/py_codegen.py
	* edit_sizers/edit_sizers.py
	* install/update-po.py
	* tests/__init__.py
	* tests/test_gui.py
	* wcodegen/__init__.py
	* wcodegen/dialogs.py
	* widgets/bitmap_button/lisp_codegen.py
	* widgets/custom_widget/custom_widget.py
	* widgets/dialog/codegen.py
	* widgets/dialog/dialog.py
	* widgets/frame/codegen.py
	* widgets/frame/frame.py
	* widgets/menubar/lisp_codegen.py
	* widgets/menubar/menubar.py
	* widgets/notebook/notebook.py
	* widgets/spacer/spacer.py
	* widgets/statusbar/statusbar.py
	* widgets/toolbar/toolbar.py

	Add missing layout code generation for wxPanel

	Files (added, modified or removed):
	* application.py
	* common.py
	* config.py
	* edit_windows.py
	* log.py
	* main.py
	* misc.py
	* ordereddict.py
	* test.py
	* tree.py
	* widget_properties.py
	* widgets/panel/codegen.py
	* widgets/panel/lisp_codegen.py
	* widgets/panel/perl_codegen.py
	* wxglade.py
	* xml_parse.py

	Fix different call syntax of EditStatusBar

	Files (added, modified or removed):
	* widgets/frame/frame.py
	* widgets/statusbar/statusbar.py

2014-10-10  Carsten Grohmann  <mail@carstengrohmann.de>

	Adapt GUI test setup to run on 2.8 and 3.0

	Files (added, modified or removed):
	* tests/test_gui.py

2014-10-09  Carsten Grohmann  <mail@carstengrohmann.de>

	Show an info instead of an error if opening a non-existing last
	visited file

	Files (added, modified or removed):
	* main.py

	More path normalisation

	Files (added, modified or removed):
	* application.py
	* tree.py
	* wxglade.py

2014-10-08  Carsten Grohmann  <mail@carstengrohmann.de>

	Expand user in output files and directories

	Files (added, modified or removed):
	* application.py
	* codegen/__init__.py

	Enable wxPython3 for GUI

	Files (added, modified or removed):
	* wxglade.py

	Remove unused import xml.sax.expatreader

	Files (added, modified or removed):
	* xml_parse.py

	Closed WXG-BRANCH-VERSION_0_6_8 branch

	Files (added, modified or removed):

	merged DEV_GUI_WX30 into default

	Files (added, modified or removed):
	* Makefile
	* NEWS.txt
	* about.py
	* application.py
	* codegen/__init__.py
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/perl_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py
	* codegen/xrc_codegen.py
	* common.py
	* config.py
	* edit_sizers/sizers_codegen.py
	* log.py
	* main.py
	* setup.py
	* test.py
	* tests/__init__.py
	* tests/casefiles/AllWidgets_28.lisp
	* tests/casefiles/CPP_Preferences.cpp
	* tests/casefiles/CPP_wxCalendarCtrl.cpp
	* tests/casefiles/CPP_wxCalendarCtrl.h
	* tests/casefiles/CPP_wxCalendarCtrl.wxg
	* tests/casefiles/CalendarCtrl.pl
	* tests/casefiles/ComplexExample.lisp
	* tests/casefiles/Gauge.lisp
	* tests/casefiles/Gauge.pl
	* tests/casefiles/Grid.lisp
	* tests/casefiles/Grid.pl
	* tests/casefiles/HyperlinkCtrl_26.cpp
	* tests/casefiles/HyperlinkCtrl_26.h
	* tests/casefiles/HyperlinkCtrl_26.lisp
	* tests/casefiles/HyperlinkCtrl_26.pl
	* tests/casefiles/HyperlinkCtrl_26.py
	* tests/casefiles/HyperlinkCtrl_26.wxg
	* tests/casefiles/HyperlinkCtrl_26.xrc
	* tests/casefiles/LispOgg1.lisp
	* tests/casefiles/LispOgg2_MyDialog.lisp
	* tests/casefiles/LispOgg2_MyFrame.lisp
	* tests/casefiles/LispOgg3.lisp
	* tests/casefiles/Lisp_Preferences.lisp
	* tests/casefiles/Lisp_wxBitmapButton.lisp
	* tests/casefiles/Perl_Preferences.pl
	* tests/casefiles/PlOgg3.pl
	* tests/casefiles/Preferences.wxg
	* tests/casefiles/PyOgg1_oldnamespace.py
	* tests/casefiles/Python_Preferences.py
	* tests/casefiles/Sizers_classattr.lisp
	* tests/casefiles/Sizers_no_classattr.lisp
	* tests/casefiles/add_class_inplace_extended.lisp
	* tests/casefiles/add_class_inplace_orig.lisp
	* tests/casefiles/bug163.h
	* tests/casefiles/bug163.lisp
	* tests/casefiles/bug163.pl
	* tests/casefiles/remove_class_inplace_expected.lisp
	* tests/casefiles/remove_class_inplace_input.lisp
	* tests/casefiles/styleless-dialog.cpp
	* tests/casefiles/styleless-dialog.lisp
	* tests/casefiles/styleless-dialog.pl
	* tests/casefiles/styleless-dialog.py
	* tests/test_bugs.py
	* tests/test_codegen.py
	* wcodegen/__init__.py
	* widget_properties.py
	* widgets/custom_widget/codegen.py
	* widgets/grid/grid.py
	* widgets/menubar/menubar.py
	* widgets/panel/__init__.py
	* wxglade.py
	* xml_parse.py

2014-10-07  Carsten Grohmann  <mail@carstengrohmann.de>

	Add option to exclude languages from
	tests.WXGladeBaseTest._test_all()

	Files (added, modified or removed):
	* tests/__init__.py

	Improve disabling old import style for wxPython 3.0

	Files (added, modified or removed):
	* application.py
	* codegen/py_codegen.py
	* errors.py
	* tests/test_codegen.py
	* wxglade.py

	Disable Lisp code generation for wxWidgets 3.0

	I've disabled Lisp due lack of testing possibilities for the
	upcoming release of wxWidgets 3.0.

	Files (added, modified or removed):
	* application.py
	* codegen/lisp_codegen.py
	* errors.py
	* tests/casefiles/ComplexExample_30.lisp
	* tests/test_codegen.py
	* wxglade.py
	* xml_parse.py

	Change "wxGlade Message" dialog to close on pressing enter

	Files (added, modified or removed):
	* msgdialog.py
	* res/messagedialog.wxg

2014-10-06  Carsten Grohmann  <mail@carstengrohmann.de>

	Minor code reorganisation
	- rename common._encode_from_xml() to encode_from_xml()
	- rename common._encode_to_xml() to encode_to_xml()
	- move widget_properties.label_initial_width to config module

	Files (added, modified or removed):
	* application.py
	* common.py
	* config.py
	* edit_sizers/edit_sizers.py
	* layout_option_property.py
	* misc.py
	* template.py
	* tree.py
	* widget_properties.py
	* widgets/ChoicesProperty.py
	* widgets/MenuTree.py
	* widgets/grid/grid.py
	* widgets/notebook/notebook.py
	* widgets/statusbar/statusbar.py
	* widgets/toolbar/tool.py
	* xml_parse.py

	Convert old-style classes in new-style classes

	Files (added, modified or removed):
	* application.py
	* codegen/xrc_codegen.py
	* edit_sizers/edit_sizers.py
	* edit_windows.py
	* misc.py
	* template.py
	* widget_properties.py
	* widgets/ChoicesCodeHandler.py
	* widgets/ChoicesProperty.py
	* widgets/MenuTree.py
	* widgets/button/button_stockitems.py
	* widgets/custom_widget/codegen.py
	* widgets/custom_widget/custom_widget.py
	* widgets/frame/codegen.py
	* widgets/grid/codegen.py
	* widgets/grid/grid.py
	* widgets/menubar/codegen.py
	* widgets/notebook/codegen.py
	* widgets/notebook/notebook.py
	* widgets/statusbar/codegen.py
	* widgets/toolbar/codegen.py
	* widgets/toolbar/tool.py

	Add list of public names to use during wildcard import

	Files (added, modified or removed):
	* widget_properties.py
	* widgets/combo_box/combo_box.py

	Change initialisation of border styles in SizerBase class

	The old version caused an exception during copy / paste sizers.

	Files (added, modified or removed):
	* edit_sizers/edit_sizers.py

2014-10-05  Carsten Grohmann  <mail@carstengrohmann.de>

	Add support for wxSplitterWindow.SetMinimumPaneSize()

	Files (added, modified or removed):
	* NEWS.txt
	* tests/casefiles/AllWidgets_28.cpp
	* tests/casefiles/AllWidgets_28.lisp
	* tests/casefiles/AllWidgets_28.pl
	* tests/casefiles/AllWidgets_28.py
	* tests/casefiles/AllWidgets_28.wxg
	* tests/casefiles/AllWidgets_28.xrc
	* widgets/splitter_window/codegen.py
	* widgets/splitter_window/lisp_codegen.py
	* widgets/splitter_window/perl_codegen.py
	* widgets/splitter_window/splitter_window.py

2014-10-04  Carsten Grohmann  <mail@carstengrohmann.de>

	Add wxTextCtrl to wxSpinButton test page

	Files (added, modified or removed):
	* tests/casefiles/AllWidgets_28.cpp
	* tests/casefiles/AllWidgets_28.h
	* tests/casefiles/AllWidgets_28.lisp
	* tests/casefiles/AllWidgets_28.pl
	* tests/casefiles/AllWidgets_28.py
	* tests/casefiles/AllWidgets_28.wxg
	* tests/casefiles/AllWidgets_28.xrc

	Fix C++ compile error

	The error was caused by using strings instead of wxT() for wxBitmap
	file names. Old: wxBitmap("icon.xpm", wxBITMAP_TYPE_ANY) New:
	wxBitmap(wxT("icon.xpm"), wxBITMAP_TYPE_ANY)

	Files (added, modified or removed):
	* tests/casefiles/AllWidgets_28.cpp
	* tests/casefiles/AllWidgets_28.h
	* widgets/bitmap_button/codegen.py
	* widgets/static_bitmap/codegen.py
	* wxglade.py

	Change inclusion of C++ i18n header file from "wx/intl.h" to
	<wx/intl.h>

	Files (added, modified or removed):
	* codegen/cpp_codegen.py
	* tests/casefiles/CPPAddApp_multi_gettext_detailed.cpp
	* tests/casefiles/CPPAddApp_multi_gettext_simple.cpp
	* tests/casefiles/CPPOgg1.h
	* tests/casefiles/CPPOgg2_MyDialog.h
	* tests/casefiles/CPPOgg2_MyFrame.h
	* tests/casefiles/CPPOgg2_main.cpp
	* tests/casefiles/CPPOgg3.h
	* tests/casefiles/CPP_Preferences.h
	* tests/casefiles/ComplexExample.h
	* tests/casefiles/ComplexExample_30.h
	* tests/casefiles/FontColour.h
	* tests/casefiles/HyperlinkCtrl_28.h
	* tests/casefiles/Sizers_classattr.h
	* tests/casefiles/Sizers_no_classattr.h
	* tests/casefiles/add_class_inplace_extended.h
	* tests/casefiles/add_class_inplace_orig.h
	* tests/casefiles/no_suitable_writer.h
	* tests/casefiles/remove_class_inplace_expected.h
	* tests/casefiles/remove_class_inplace_input.h
	* tests/casefiles/styleless-dialog.h

	Wrap tooltip lines automatically.

	Files (added, modified or removed):
	* config.py
	* widget_properties.py

2014-10-03  Carsten Grohmann  <mail@carstengrohmann.de>

	Add tests for widget without tests.

	Now all widgets should be tested at least onece.

	Files (added, modified or removed):
	* tests/casefiles/AllWidgets_28.cpp
	* tests/casefiles/AllWidgets_28.h
	* tests/casefiles/AllWidgets_28.lisp
	* tests/casefiles/AllWidgets_28.pl
	* tests/casefiles/AllWidgets_28.py
	* tests/casefiles/AllWidgets_28.wxg
	* tests/casefiles/AllWidgets_28.xrc

	Typo in Perl code template for wxSlider

	Files (added, modified or removed):
	* widgets/slider/perl_codegen.py

	Use style names instead of style values wxSplitterWindow GUI
	elements

	Files (added, modified or removed):
	* widgets/splitter_window/splitter_window.py

	Use the right value to set checkboxes in CheckListProperty.display()

	Files (added, modified or removed):
	* widget_properties.py

2014-10-01  Carsten Grohmann  <mail@carstengrohmann.de>

	Changing binding events from wx.EVT*() to widget.Bind()

	This change doesn't affect all occurrences. It was triggered by bug
	fixing.

	Files (added, modified or removed):
	* tree.py
	* widget_properties.py

	Various minor bug fixes

	Files (added, modified or removed):
	* codegen/__init__.py
	* widgets/dialog/wconfig.py
	* widgets/splitter_window/codegen.py

2014-09-28  Carsten Grohmann  <mail@carstengrohmann.de>

	Improve handling of empty styles ('', None)

	Files (added, modified or removed):
	* edit_windows.py
	* tests/test_gui.py
	* wcodegen/__init__.py

	Further cleanup for wx2.6

	Files (added, modified or removed):
	* widgets/frame/codegen.py
	* widgets/frame/lisp_codegen.py
	* widgets/frame/perl_codegen.py

2014-09-27  Carsten Grohmann  <mail@carstengrohmann.de>

	Remove support for wxPython 2.6

	Files (added, modified or removed):
	* NEWS.txt
	* application.py
	* codegen/py_codegen.py
	* edit_sizers/edit_sizers.py
	* edit_windows.py
	* log.py
	* setup.py
	* test.py
	* tests/casefiles/HyperlinkCtrl_26.cpp
	* tests/casefiles/HyperlinkCtrl_26.h
	* tests/casefiles/HyperlinkCtrl_26.lisp
	* tests/casefiles/HyperlinkCtrl_26.pl
	* tests/casefiles/HyperlinkCtrl_26.py
	* tests/casefiles/HyperlinkCtrl_26.wxg
	* tests/casefiles/HyperlinkCtrl_26.xrc
	* tests/test_codegen.py
	* widgets/frame/codegen.py

	Replace old styles (wx .6) by new styles (wx2.8 and wx3.0)

	Files (added, modified or removed):
	* about.py
	* application.py
	* kdefiledialog.py
	* main.py

	Minor bug fixes introduced during code rework

	Files (added, modified or removed):
	* code_property.py
	* edit_windows.py
	* layout_option_property.py
	* tests/test_gui.py
	* widgets/statusbar/__init__.py

2014-09-26  Carsten Grohmann  <mail@carstengrohmann.de>

	Use always wx.lib.stattext.GenStaticText

	Files (added, modified or removed):
	* widget_properties.py
	* widgets/static_text/static_text.py

	Remove support for old Python import style generally

	Files (added, modified or removed):
	* NEWS.txt
	* application.py
	* codegen/py_codegen.py
	* edit_windows.py
	* tree.py
	* widgets/calendar_ctrl/codegen.py
	* widgets/grid/codegen.py
	* xml_parse.py

	Rework widget writer to use code generator via class attribute

	Files (added, modified or removed):
	* wcodegen/__init__.py
	* widgets/bitmap_button/codegen.py
	* widgets/bitmap_button/lisp_codegen.py
	* widgets/bitmap_button/perl_codegen.py
	* widgets/custom_widget/codegen.py
	* widgets/custom_widget/lisp_codegen.py
	* widgets/custom_widget/perl_codegen.py
	* widgets/datepicker_ctrl/codegen.py
	* widgets/frame/codegen.py
	* widgets/grid/codegen.py
	* widgets/grid/lisp_codegen.py
	* widgets/grid/perl_codegen.py
	* widgets/menubar/codegen.py
	* widgets/menubar/lisp_codegen.py
	* widgets/menubar/perl_codegen.py
	* widgets/notebook/codegen.py
	* widgets/notebook/lisp_codegen.py
	* widgets/notebook/perl_codegen.py
	* widgets/spin_ctrl/codegen.py
	* widgets/splitter_window/codegen.py
	* widgets/splitter_window/lisp_codegen.py
	* widgets/splitter_window/perl_codegen.py
	* widgets/toolbar/codegen.py
	* widgets/toolbar/lisp_codegen.py
	* widgets/toolbar/perl_codegen.py

	Replace wxSUNKEN_BORDER into wxBORDER_SUNKEN

	Files (added, modified or removed):
	* msgdialog.py
	* widgets/custom_widget/custom_widget.py
	* widgets/list_ctrl/list_ctrl.py
	* widgets/menubar/menubar.py
	* widgets/toolbar/toolbar.py
	* widgets/tree_ctrl/tree_ctrl.py

2014-09-25  Carsten Grohmann  <mail@carstengrohmann.de>

	Rework style handling to use style names.

	Most positions use style names instead of a combination of style
	names and style values now. This enables wxGlade to handle old (and
	ancient) styles like wxADJUST_MINSIZE even if underlaying wxPython
	don't know the styles.

	This change changes allow wxGlade to run on wxPython3 and generate
	code for wxPython2.8 and reverse later after all styles and
	attributes are adapted.

	Files (added, modified or removed):
	* application.py
	* common.py
	* docs/tech_notes.txt
	* edit_sizers/edit_sizers.py
	* edit_widget.py
	* edit_windows.py
	* events_mixin.py
	* layout_option_property.py
	* misc.py
	* tests/__init__.py
	* tests/casefiles/AllWidgets_28.cpp
	* tests/casefiles/AllWidgets_28.lisp
	* tests/casefiles/AllWidgets_28.pl
	* tests/casefiles/AllWidgets_28.py
	* tests/test_codegen.py
	* tests/test_gui.py
	* wcodegen/__init__.py
	* wcodegen/dialogs.py
	* widget_properties.py
	* widgets/bitmap_button/bitmap_button.py
	* widgets/bitmap_button/codegen.py
	* widgets/bitmap_button/lisp_codegen.py
	* widgets/bitmap_button/perl_codegen.py
	* widgets/bitmap_button/wconfig.py
	* widgets/button/button.py
	* widgets/button/wconfig.py
	* widgets/calendar_ctrl/calendar_ctrl.py
	* widgets/calendar_ctrl/wconfig.py
	* widgets/checkbox/checkbox.py
	* widgets/checkbox/wconfig.py
	* widgets/choice/choice.py
	* widgets/combo_box/combo_box.py
	* widgets/combo_box/wconfig.py
	* widgets/custom_widget/custom_widget.py
	* widgets/datepicker_ctrl/datepicker_ctrl.py
	* widgets/datepicker_ctrl/wconfig.py
	* widgets/dialog/dialog.py
	* widgets/dialog/wconfig.py
	* widgets/frame/codegen.py
	* widgets/frame/frame.py
	* widgets/frame/lisp_codegen.py
	* widgets/frame/perl_codegen.py
	* widgets/frame/wconfig.py
	* widgets/gauge/gauge.py
	* widgets/gauge/wconfig.py
	* widgets/grid/grid.py
	* widgets/hyperlink_ctrl/hyperlink_ctrl.py
	* widgets/hyperlink_ctrl/wconfig.py
	* widgets/list_box/list_box.py
	* widgets/list_box/wconfig.py
	* widgets/list_ctrl/list_ctrl.py
	* widgets/list_ctrl/wconfig.py
	* widgets/menubar/menubar.py
	* widgets/notebook/codegen.py
	* widgets/notebook/lisp_codegen.py
	* widgets/notebook/notebook.py
	* widgets/notebook/perl_codegen.py
	* widgets/notebook/wconfig.py
	* widgets/panel/codegen.py
	* widgets/panel/lisp_codegen.py
	* widgets/panel/panel.py
	* widgets/panel/perl_codegen.py
	* widgets/panel/wconfig.py
	* widgets/radio_box/radio_box.py
	* widgets/radio_button/radio_button.py
	* widgets/radio_button/wconfig.py
	* widgets/slider/slider.py
	* widgets/slider/wconfig.py
	* widgets/spacer/spacer.py
	* widgets/spin_button/spin_button.py
	* widgets/spin_button/wconfig.py
	* widgets/spin_ctrl/spin_ctrl.py
	* widgets/spin_ctrl/wconfig.py
	* widgets/splitter_window/codegen.py
	* widgets/splitter_window/lisp_codegen.py
	* widgets/splitter_window/perl_codegen.py
	* widgets/splitter_window/splitter_window.py
	* widgets/splitter_window/wconfig.py
	* widgets/static_bitmap/static_bitmap.py
	* widgets/static_bitmap/wconfig.py
	* widgets/static_line/static_line.py
	* widgets/static_line/wconfig.py
	* widgets/static_text/static_text.py
	* widgets/static_text/wconfig.py
	* widgets/statusbar/__init__.py
	* widgets/statusbar/codegen.py
	* widgets/statusbar/lisp_codegen.py
	* widgets/statusbar/perl_codegen.py
	* widgets/statusbar/statusbar.py
	* widgets/statusbar/wconfig.py
	* widgets/text_ctrl/text_ctrl.py
	* widgets/text_ctrl/wconfig.py
	* widgets/toggle_button/toggle_button.py
	* widgets/toolbar/codegen.py
	* widgets/toolbar/lisp_codegen.py
	* widgets/toolbar/perl_codegen.py
	* widgets/toolbar/toolbar.py
	* widgets/toolbar/wconfig.py
	* widgets/tree_ctrl/tree_ctrl.py
	* widgets/tree_ctrl/wconfig.py
	* widgets/widgets.txt
	* wxglade.py
	* xml_parse.py

2014-09-14  Carsten Grohmann  <mail@carstengrohmann.de>

	Minor changes to improve debugging

	Files (added, modified or removed):
	* xml_parse.py

	Improve exception message generated during loading a file

	Files (added, modified or removed):
	* main.py

2014-09-12  Carsten Grohmann  <mail@carstengrohmann.de>

	Reorg code generation and start removal of old style python imports

	Files (added, modified or removed):
	* codegen/__init__.py
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/perl_codegen.py
	* codegen/py_codegen.py
	* codegen/xrc_codegen.py
	* tests/casefiles/PyOgg1_oldnamespace.py
	* tests/test_codegen.py
	* wcodegen/__init__.py

2014-09-11  Carsten Grohmann  <mail@carstengrohmann.de>

	Change handling of epydoc options in Makefile

	Files (added, modified or removed):
	* Makefile

2014-09-09  Carsten Grohmann  <mail@carstengrohmann.de>

	Improve copying instances ...

	Files (added, modified or removed):
	* codegen/__init__.py
	* codegen/xrc_codegen.py
	* edit_sizers/edit_sizers.py
	* tests/__init__.py
	* tests/test_codegen.py
	* tests/test_gui.py
	* wcodegen/__init__.py
	* widgets/panel/panel.py
	* widgets/static_bitmap/static_bitmap.py

2014-09-08  Carsten Grohmann  <mail@carstengrohmann.de>

	Replace cStringIO by StringIO because StringIO supports Unicode

	(taken from ff7561dc0004)

	Files (added, modified or removed):
	* clipboard.py
	* codegen/__init__.py
	* codegen/cpp_codegen.py
	* codegen/xrc_codegen.py
	* log.py
	* main.py
	* misc.py
	* tests/__init__.py
	* tests/test_codegen.py
	* tests/test_gui.py
	* widgets/custom_widget/codegen.py
	* xml_parse.py

2014-09-05  Carsten Grohmann  <mail@carstengrohmann.de>

	Split test initialisation into setUpClass() and setUp()

	Files (added, modified or removed):
	* tests/__init__.py
	* tests/test_gui.py

2014-09-03  Carsten Grohmann  <mail@carstengrohmann.de>

	Fix bug in generation of valid hash keys for Perl

	Files (added, modified or removed):
	* NEWS.txt
	* codegen/perl_codegen.py

	Add BaseLangCodeWriter.copy() to create instance copies

	This function should be used to rework styles update in graphical
	editor

	Files (added, modified or removed):
	* codegen/__init__.py
	* tests/test_codegen.py

	Add more default values used during initialising code generators

	Files (added, modified or removed):
	* codegen/__init__.py
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/perl_codegen.py
	* codegen/py_codegen.py
	* codegen/xrc_codegen.py
	* config.py
	* main.py

2014-09-02  Carsten Grohmann  <mail@carstengrohmann.de>

	Unite the four steps to initialise code generators

	Files (added, modified or removed):
	* common.py
	* main.py
	* wxglade.py

2014-08-31  Carsten Grohmann  <mail@carstengrohmann.de>

	Include wxglade.pyw into release packages

	Files (added, modified or removed):
	* setup.py

	Change manpage XSL

	Files (added, modified or removed):
	* Makefile

2014-08-28  Carsten Grohmann  <mail@carstengrohmann.de>

	Use python2 in Makefile too (grafted from
	737ac2bfe7ad81b3423f0fde6b9b329d1bdf6098)

	Files (added, modified or removed):
	* Makefile

	Use python2 in Makefile too

	Files (added, modified or removed):
	* Makefile

	Use wxPython 2.8 - only and always

	The GUI isn't wxPython 3.0 ready yet. (grafted from
	5bbecbbca1c67bd2a2d9c48258b4bbdd7b3b5665)

	Files (added, modified or removed):
	* wxglade.py

	Use wxPython 2.8 for GUI tests too (grafted from
	b221e052e9111a99ddb2dbb8743f5b685a3c69cb)

	Files (added, modified or removed):
	* test.py

	Use python2 interpreter instead of just python (grafted from
	081a452ad96441bbba62e494279f75d77710a1b3)

	Files (added, modified or removed):
	* wxglade

	Change shebang to start Python2 always.

	That's useful for systems with Python3 as default (grafted from
	b01e80fc1fe3bb873afa1e9e7f3c1d4e95a653be)

	Files (added, modified or removed):
	* test.py
	* wxglade.py
	* wxglade.pyw
	* xrc2wxg.py

2014-08-26  Carsten Grohmann  <mail@carstengrohmann.de>

	Rework formatting flags

	Now we support:
	 - removal of duplicate flags
	 - removal of flags that are part of others flags
	 - recombine flags from parts e.g. wxALL from
	wxLEFT+wxRIGHT+wxTOP+wxBOTTOM
	 - renameing of flags

	Files (added, modified or removed):
	* codegen/__init__.py
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/py_codegen.py
	* common.py
	* edit_windows.py
	* tests/casefiles/AllWidgets_28.cpp
	* tests/casefiles/AllWidgets_28.lisp
	* tests/casefiles/AllWidgets_28.pl
	* tests/casefiles/AllWidgets_28.py
	* tests/casefiles/CPPOgg1.cpp
	* tests/casefiles/CPPOgg1.wxg
	* tests/casefiles/CPPOgg2.wxg
	* tests/casefiles/CPPOgg2_MyDialog.cpp
	* tests/casefiles/CPPOgg2_MyDialog.h
	* tests/casefiles/CPPOgg2_MyFrame.cpp
	* tests/casefiles/CPPOgg2_MyFrame.h
	* tests/casefiles/CPPOgg3.cpp
	* tests/casefiles/CPP_Preferences.cpp
	* tests/casefiles/CPP_Preferences.h
	* tests/casefiles/CPP_Preferences.wxg
	* tests/casefiles/CPP_wxCalendarCtrl.cpp
	* tests/casefiles/CPP_wxCalendarCtrl.h
	* tests/casefiles/CPP_wxCalendarCtrl.wxg
	* tests/casefiles/ComplexExample.cpp
	* tests/casefiles/ComplexExample.lisp
	* tests/casefiles/ComplexExample.pl
	* tests/casefiles/ComplexExample.py
	* tests/casefiles/ComplexExample_30.cpp
	* tests/casefiles/ComplexExample_30.lisp
	* tests/casefiles/ComplexExample_30.pl
	* tests/casefiles/ComplexExample_30.py
	* tests/casefiles/LispOgg1.lisp
	* tests/casefiles/LispOgg1.wxg
	* tests/casefiles/LispOgg2.wxg
	* tests/casefiles/LispOgg2_MyDialog.lisp
	* tests/casefiles/LispOgg2_MyFrame.lisp
	* tests/casefiles/LispOgg3.lisp
	* tests/casefiles/LispOgg3.wxg
	* tests/casefiles/Lisp_Preferences.lisp
	* tests/casefiles/Lisp_Preferences.wxg
	* tests/casefiles/Notebook_w_tabs.wxg
	* tests/casefiles/Notebook_wo_tabs.wxg
	* tests/casefiles/Perl_Preferences.pl
	* tests/casefiles/Perl_Preferences.wxg
	* tests/casefiles/PlOgg1.pl
	* tests/casefiles/PlOgg1.wxg
	* tests/casefiles/PlOgg2.wxg
	* tests/casefiles/PlOgg2_MyDialog.pm
	* tests/casefiles/PlOgg2_MyFrame.pm
	* tests/casefiles/PlOgg3.pl
	* tests/casefiles/Preferences.wxg
	* tests/casefiles/PyOgg1.py
	* tests/casefiles/PyOgg1.wxg
	* tests/casefiles/PyOgg1_oldnamespace.py
	* tests/casefiles/PyOgg2.wxg
	* tests/casefiles/PyOgg2_MyDialog.py
	* tests/casefiles/PyOgg2_MyFrame.py
	* tests/casefiles/PyOgg2_app.py
	* tests/casefiles/PyOgg3.py
	* tests/casefiles/Python_Preferences.py
	* tests/casefiles/Python_Preferences.wxg
	* tests/casefiles/Sizers_classattr.cpp
	* tests/casefiles/Sizers_classattr.lisp
	* tests/casefiles/Sizers_classattr.pl
	* tests/casefiles/Sizers_classattr.py
	* tests/casefiles/Sizers_no_classattr.cpp
	* tests/casefiles/Sizers_no_classattr.lisp
	* tests/casefiles/Sizers_no_classattr.pl
	* tests/casefiles/Sizers_no_classattr.py
	* tests/casefiles/styleless-dialog.cpp
	* tests/casefiles/styleless-dialog.py
	* tests/test_codegen.py
	* tests/test_gui.py
	* wcodegen/__init__.py
	* widgets/dialog/codegen.py
	* widgets/dialog/wconfig.py
	* widgets/frame/wconfig.py
	* widgets/hyperlink_ctrl/config.py
	* widgets/hyperlink_ctrl/wconfig.py
	* widgets/notebook/codegen.py
	* widgets/notebook/lisp_codegen.py
	* widgets/notebook/notebook.py
	* widgets/notebook/perl_codegen.py
	* widgets/splitter_window/wconfig.py

2014-08-21  Carsten Grohmann  <mail@carstengrohmann.de>

	Use built-in set() instead of sets module

	Files (added, modified or removed):
	* edit_windows.py
	* tree.py

	Fix wrong initialisation sequence for graphical notebook editor.

	This bug has been introduced with changeset 1396:fbf87e4590e7 "Unify
	style handling code in widgets GUI elements"

	Files (added, modified or removed):
	* widgets/notebook/notebook.py

	Don't show non-printable values in exception handler

	Files (added, modified or removed):
	* log.py

	Merge exception handler from default branch

	Files (added, modified or removed):
	* log.py

2014-08-20  Carsten Grohmann  <mail@carstengrohmann.de>

	Extend error messages in GUI unittests

	Files (added, modified or removed):
	* tests/test_gui.py

2014-08-17  Carsten Grohmann  <mail@carstengrohmann.de>

	Unify code writer and widget initialisation sequence

	This commit changes the initialisation sequence to 0) load widget
	configuation (already implemented in 1421:6167430196c8) 1) load and
	initialise language code writer 2) load and initialise widget code
	writer 3) load and initialise sizer

	Earlier the steps 1), 2) and 3) was merged for Perl and Lisp but not
	for Python, C++ and XRC.

	Now the sequence is the same for all languages.

	Files (added, modified or removed):
	* codegen/__init__.py
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/perl_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py
	* codegen/xrc_codegen.py
	* common.py
	* docs/tech_notes.txt
	* edit_sizers/__init__.py
	* edit_sizers/cpp_sizers_codegen.py
	* edit_sizers/edit_sizers.py
	* edit_sizers/py_sizers_codegen.py
	* edit_sizers/sizers_codegen.py
	* edit_sizers/xrc_sizers_codegen.py
	* tests/test_codegen.py
	* wcodegen/__init__.py

2014-08-14  Carsten Grohmann  <mail@carstengrohmann.de>

	Introduce separation of widget settings in a config module

	Files (added, modified or removed):
	* codegen/__init__.py
	* common.py
	* edit_windows.py
	* main.py
	* misc.py
	* tests/casefiles/HyperlinkCtrl_26.cpp
	* tests/casefiles/HyperlinkCtrl_26.lisp
	* tests/casefiles/HyperlinkCtrl_26.pl
	* tests/casefiles/HyperlinkCtrl_26.py
	* tests/test_codegen.py
	* wcodegen/__init__.py
	* widgets/hyperlink_ctrl/codegen.py
	* widgets/hyperlink_ctrl/config.py
	* widgets/hyperlink_ctrl/hyperlink_ctrl.py
	* widgets/hyperlink_ctrl/lisp_codegen.py
	* widgets/hyperlink_ctrl/perl_codegen.py
	* wxglade.py

2014-08-11  Carsten Grohmann  <mail@carstengrohmann.de>

	Add some tests for external code

	Currently just one test for deep-copying of OrderedDict() is
	implemented.

	Files (added, modified or removed):
	* tests/test_external.py

2014-08-04  Carsten Grohmann  <mail@carstengrohmann.de>

	Simplify registration of widget code generators

	Files (added, modified or removed):
	* common.py
	* wcodegen/__init__.py
	* widgets/bitmap_button/codegen.py
	* widgets/bitmap_button/lisp_codegen.py
	* widgets/bitmap_button/perl_codegen.py
	* widgets/button/codegen.py
	* widgets/button/lisp_codegen.py
	* widgets/button/perl_codegen.py
	* widgets/calendar_ctrl/codegen.py
	* widgets/calendar_ctrl/perl_codegen.py
	* widgets/checkbox/codegen.py
	* widgets/checkbox/lisp_codegen.py
	* widgets/checkbox/perl_codegen.py
	* widgets/choice/codegen.py
	* widgets/choice/lisp_codegen.py
	* widgets/choice/perl_codegen.py
	* widgets/combo_box/codegen.py
	* widgets/combo_box/lisp_codegen.py
	* widgets/combo_box/perl_codegen.py
	* widgets/custom_widget/codegen.py
	* widgets/custom_widget/lisp_codegen.py
	* widgets/custom_widget/perl_codegen.py
	* widgets/datepicker_ctrl/codegen.py
	* widgets/datepicker_ctrl/lisp_codegen.py
	* widgets/datepicker_ctrl/perl_codegen.py
	* widgets/dialog/codegen.py
	* widgets/dialog/lisp_codegen.py
	* widgets/dialog/perl_codegen.py
	* widgets/gauge/codegen.py
	* widgets/gauge/lisp_codegen.py
	* widgets/gauge/perl_codegen.py
	* widgets/grid/codegen.py
	* widgets/grid/lisp_codegen.py
	* widgets/grid/perl_codegen.py
	* widgets/hyperlink_ctrl/codegen.py
	* widgets/hyperlink_ctrl/lisp_codegen.py
	* widgets/hyperlink_ctrl/perl_codegen.py
	* widgets/list_box/codegen.py
	* widgets/list_box/lisp_codegen.py
	* widgets/list_box/perl_codegen.py
	* widgets/list_ctrl/codegen.py
	* widgets/list_ctrl/lisp_codegen.py
	* widgets/list_ctrl/perl_codegen.py
	* widgets/menubar/codegen.py
	* widgets/menubar/lisp_codegen.py
	* widgets/menubar/perl_codegen.py
	* widgets/notebook/codegen.py
	* widgets/notebook/lisp_codegen.py
	* widgets/notebook/perl_codegen.py
	* widgets/panel/codegen.py
	* widgets/panel/lisp_codegen.py
	* widgets/panel/perl_codegen.py
	* widgets/radio_box/codegen.py
	* widgets/radio_box/lisp_codegen.py
	* widgets/radio_box/perl_codegen.py
	* widgets/radio_button/codegen.py
	* widgets/radio_button/lisp_codegen.py
	* widgets/radio_button/perl_codegen.py
	* widgets/slider/codegen.py
	* widgets/slider/lisp_codegen.py
	* widgets/slider/perl_codegen.py
	* widgets/spacer/codegen.py
	* widgets/spacer/lisp_codegen.py
	* widgets/spacer/perl_codegen.py
	* widgets/spin_button/codegen.py
	* widgets/spin_button/lisp_codegen.py
	* widgets/spin_button/perl_codegen.py
	* widgets/spin_ctrl/codegen.py
	* widgets/spin_ctrl/lisp_codegen.py
	* widgets/spin_ctrl/perl_codegen.py
	* widgets/splitter_window/codegen.py
	* widgets/splitter_window/lisp_codegen.py
	* widgets/splitter_window/perl_codegen.py
	* widgets/static_bitmap/codegen.py
	* widgets/static_bitmap/lisp_codegen.py
	* widgets/static_bitmap/perl_codegen.py
	* widgets/static_line/codegen.py
	* widgets/static_line/lisp_codegen.py
	* widgets/static_line/perl_codegen.py
	* widgets/static_text/codegen.py
	* widgets/static_text/lisp_codegen.py
	* widgets/static_text/perl_codegen.py
	* widgets/text_ctrl/codegen.py
	* widgets/text_ctrl/lisp_codegen.py
	* widgets/text_ctrl/perl_codegen.py
	* widgets/toggle_button/codegen.py
	* widgets/toggle_button/lisp_codegen.py
	* widgets/toggle_button/perl_codegen.py
	* widgets/toolbar/codegen.py
	* widgets/toolbar/lisp_codegen.py
	* widgets/toolbar/perl_codegen.py
	* widgets/tree_ctrl/codegen.py
	* widgets/tree_ctrl/lisp_codegen.py
	* widgets/tree_ctrl/perl_codegen.py

2014-08-02  Carsten Grohmann  <mail@carstengrohmann.de>

	Use wxPython 2.8 for GUI tests too

	Files (added, modified or removed):
	* test.py

	Use wxPython 2.8 for GUI tests too

	Files (added, modified or removed):
	* test.py

	Improve exception handling while loading data from file-like object

	Files (added, modified or removed):
	* main.py

2014-07-30  Carsten Grohmann  <mail@carstengrohmann.de>

	Update documentation about application start code

	Files (added, modified or removed):
	* docs/html/apa.html
	* docs/html/apb.html
	* docs/html/apd.html
	* docs/html/ch01.html
	* docs/html/ch01s02.html
	* docs/html/ch01s03.html
	* docs/html/ch01s04.html
	* docs/html/ch01s05.html
	* docs/html/ch01s06.html
	* docs/html/ch01s07.html
	* docs/html/ch02.html
	* docs/html/ch02s02.html
	* docs/html/ch02s03.html
	* docs/html/ch02s04.html
	* docs/html/ch02s05.html
	* docs/html/ch02s06.html
	* docs/html/ch02s07.html
	* docs/html/ch02s08.html
	* docs/html/ch03.html
	* docs/html/ch03s02.html
	* docs/html/ch03s03.html
	* docs/html/ch03s04.html
	* docs/html/ch03s05.html
	* docs/html/ch03s06.html
	* docs/html/ch04.html
	* docs/html/ch04s03.html
	* docs/html/ch05.html
	* docs/html/ch06.html
	* docs/html/ch06s02.html
	* docs/html/ch06s03.html
	* docs/html/index.html
	* docs/html/pr01.html
	* docs/html/pr01s02.html
	* docs/pdf/manual.pdf
	* docs/src/manual.xml

	Fix wrong conditions to generate application start code (sf bug
	#161)

	Files (added, modified or removed):
	* NEWS.txt
	* codegen/__init__.py
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py
	* tests/casefiles/CPP_Preferences.cpp
	* tests/casefiles/CPP_wxCalendarCtrl.cpp
	* tests/casefiles/CalendarCtrl.cpp
	* tests/casefiles/CalendarCtrl.pl
	* tests/casefiles/CalendarCtrl.py
	* tests/casefiles/Gauge.cpp
	* tests/casefiles/Gauge.lisp
	* tests/casefiles/Gauge.pl
	* tests/casefiles/Gauge.py
	* tests/casefiles/Grid.cpp
	* tests/casefiles/Grid.lisp
	* tests/casefiles/Grid.pl
	* tests/casefiles/Grid.py
	* tests/casefiles/Lisp_Preferences.lisp
	* tests/casefiles/Lisp_wxBitmapButton.lisp
	* tests/casefiles/Perl_Preferences.pl
	* tests/casefiles/Python_Preferences.py
	* tests/casefiles/bug163.cpp
	* tests/casefiles/bug163.lisp
	* tests/casefiles/bug163.pl
	* tests/casefiles/bug163.py
	* tests/casefiles/styleless-dialog.cpp
	* tests/casefiles/styleless-dialog.lisp
	* tests/casefiles/styleless-dialog.pl
	* tests/casefiles/styleless-dialog.py
	* tests/test_codegen.py

2014-07-28  Carsten Grohmann  <mail@carstengrohmann.de>

	Change shebang from python to python2 in XRC example

	Files (added, modified or removed):
	* docs/src/manual.xml

2014-06-23  Carsten Grohmann  <mail@carstengrohmann.de>

	Don't convert first char of a XRC extraproperty to upper case (sf
	bug #163)

	Files (added, modified or removed):
	* NEWS.txt
	* codegen/__init__.py
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py
	* tests/casefiles/bug163.cpp
	* tests/casefiles/bug163.h
	* tests/casefiles/bug163.lisp
	* tests/casefiles/bug163.pl
	* tests/casefiles/bug163.py
	* tests/casefiles/bug163.wxg
	* tests/casefiles/bug163.xrc
	* tests/test_bugs.py

	Show warning about malformed arguments in Custom Widget XRC code
	writer

	Files (added, modified or removed):
	* widgets/custom_widget/codegen.py

2014-06-22  Carsten Grohmann  <mail@carstengrohmann.de>

	Use "-1" instead of -1 for undefined statusbar widths during XRC
	import

	Files (added, modified or removed):
	* tests/casefiles/import_test.wxg
	* tests/casefiles/import_test.xrc
	* xrc2wxg.py

2014-06-21  Carsten Grohmann  <mail@carstengrohmann.de>

	Fix value of enabled/disabled property during import from XRC

	Files (added, modified or removed):
	* tests/casefiles/import_test.wxg
	* tests/casefiles/import_test.xrc
	* xrc2wxg.py

	Fix import of wxStatusbar from XRC

	Files (added, modified or removed):
	* NEWS.txt
	* tests/casefiles/import_test.wxg
	* tests/casefiles/import_test.xrc
	* tests/test_codegen.py
	* xrc2wxg.py

2014-06-20  Carsten Grohmann  <mail@carstengrohmann.de>

	Fix wrong menu generation after importing from XRC file

	Files (added, modified or removed):
	* NEWS.txt
	* tests/casefiles/import_test.wxg
	* xrc2wxg.py

2014-06-18  Carsten Grohmann  <mail@carstengrohmann.de>

	Fix wrong wxMenuItem property name after importing from XRC file

	Files (added, modified or removed):
	* NEWS.txt
	* tests/casefiles/import_test.wxg
	* tests/casefiles/import_test.xrc
	* xrc2wxg.py

	Code reorg and documentation improvements as well as a added test
	case

	Files (added, modified or removed):
	* tests/casefiles/import_test.wxg
	* tests/casefiles/import_test.xrc
	* tests/test_codegen.py
	* xrc2wxg.py

2014-05-28  Carsten Grohmann  <mail@carstengrohmann.de>

	Closed agriggio branch

	Files (added, modified or removed):

	Closed v0-1-3devel branch

	Files (added, modified or removed):

	Closed HEAD branch

	Files (added, modified or removed):

	Replace cStringIO by StringIO because StringIO supports Unicode

	Files (added, modified or removed):
	* clipboard.py
	* codegen/__init__.py
	* codegen/cpp_codegen.py
	* codegen/xrc_codegen.py
	* log.py
	* main.py
	* misc.py
	* tests/__init__.py
	* tests/test_codegen.py
	* tests/test_gui.py
	* widgets/custom_widget/codegen.py
	* xml_parse.py

2014-04-23  Carsten Grohmann  <mail@carstengrohmann.de>

	Created DEV_UNICODE

	Files (added, modified or removed):

2014-04-19  Carsten Grohmann  <mail@carstengrohmann.de>

	Adjust logging code

	Files (added, modified or removed):
	* log.py

2014-03-05  Carsten Grohmann  <mail@carstengrohmann.de>

	Use wxPython 2.8 - only and always

	The GUI isn't wxPython 3.0 ready yet. (grafted from
	5bbecbbca1c67bd2a2d9c48258b4bbdd7b3b5665)

	Files (added, modified or removed):
	* wxglade.py

2014-03-01  Carsten Grohmann  <mail@carstengrohmann.de>

	Add tests for the unified style handling

	Files (added, modified or removed):
	* tests/casefiles/AllWidgets_28.cpp
	* tests/casefiles/AllWidgets_28.h
	* tests/casefiles/AllWidgets_28.lisp
	* tests/casefiles/AllWidgets_28.pl
	* tests/casefiles/AllWidgets_28.py
	* tests/casefiles/AllWidgets_28.wxg
	* tests/casefiles/AllWidgets_28.xrc
	* tests/test_gui.py

	Unify style handling code in widgets GUI elements

	Files (added, modified or removed):
	* edit_sizers/edit_sizers.py
	* edit_windows.py
	* widget_properties.py
	* widgets/bitmap_button/bitmap_button.py
	* widgets/button/button.py
	* widgets/calendar_ctrl/calendar_ctrl.py
	* widgets/checkbox/checkbox.py
	* widgets/choice/choice.py
	* widgets/combo_box/combo_box.py
	* widgets/custom_widget/custom_widget.py
	* widgets/datepicker_ctrl/datepicker_ctrl.py
	* widgets/dialog/dialog.py
	* widgets/frame/frame.py
	* widgets/gauge/gauge.py
	* widgets/grid/grid.py
	* widgets/hyperlink_ctrl/hyperlink_ctrl.py
	* widgets/list_box/list_box.py
	* widgets/list_ctrl/list_ctrl.py
	* widgets/menubar/menubar.py
	* widgets/notebook/notebook.py
	* widgets/panel/panel.py
	* widgets/radio_box/radio_box.py
	* widgets/radio_button/radio_button.py
	* widgets/slider/slider.py
	* widgets/spacer/spacer.py
	* widgets/spin_button/spin_button.py
	* widgets/spin_ctrl/spin_ctrl.py
	* widgets/splitter_window/splitter_window.py
	* widgets/static_bitmap/static_bitmap.py
	* widgets/static_line/static_line.py
	* widgets/static_text/static_text.py
	* widgets/text_ctrl/text_ctrl.py
	* widgets/toggle_button/toggle_button.py
	* widgets/toolbar/toolbar.py
	* widgets/tree_ctrl/tree_ctrl.py

	fixed indentation (cosmetic change only)

	Files (added, modified or removed):
	* common.py

2014-02-25  Carsten Grohmann  <mail@carstengrohmann.de>

	Use wxPython 2.8 - only and always

	The GUI isn't wxPython 3.0 ready yet.

	Files (added, modified or removed):
	* wxglade.py

2014-02-18  Carsten Grohmann  <mail@carstengrohmann.de>

	Catch OS errors during renaming the app directory (Thanks to
	Davorin)

	Files (added, modified or removed):
	* common.py

2014-02-12  Carsten Grohmann  <mail@carstengrohmann.de>

	Improve test initialisation to run tests with wxPython 2.8 currently

	The initialisation order of wxPython was unexpected if if wxPython
	2.8 and wxPython 3.0 are available.

	Files (added, modified or removed):
	* test.py
	* tests/__init__.py
	* tests/test_gui.py

2014-02-11  Carsten Grohmann  <mail@carstengrohmann.de>

	Add new GUI test case

	Files (added, modified or removed):
	* tests/test_gui.py

2014-02-01  Carsten Grohmann  <mail@carstengrohmann.de>

	Change indentation inside Perl test cases from 8 to the default of
	4.

	This change simplifies the generation of test files because the
	default indentation is 4 always.

	Files (added, modified or removed):
	* tests/__init__.py
	* tests/casefiles/AllWidgets_28.pl
	* tests/casefiles/CalendarCtrl.pl
	* tests/casefiles/ComplexExample.pl
	* tests/casefiles/ComplexExample_30.pl
	* tests/casefiles/FontColour.pl
	* tests/casefiles/Gauge.pl
	* tests/casefiles/Grid.pl
	* tests/casefiles/HyperlinkCtrl_26.pl
	* tests/casefiles/HyperlinkCtrl_28.pl
	* tests/casefiles/Perl_Preferences.pl
	* tests/casefiles/PlOgg1.pl
	* tests/casefiles/PlOgg2_MyDialog.pm
	* tests/casefiles/PlOgg2_MyFrame.pm
	* tests/casefiles/PlOgg2_app.pl
	* tests/casefiles/PlOgg3.pl
	* tests/casefiles/Sizers_classattr.pl
	* tests/casefiles/Sizers_no_classattr.pl
	* tests/casefiles/add_class_inplace_extended.pl
	* tests/casefiles/add_class_inplace_orig.pl
	* tests/casefiles/no_suitable_writer.pl
	* tests/casefiles/remove_class_inplace_expected.pl
	* tests/casefiles/remove_class_inplace_input.pl
	* tests/casefiles/styleless-dialog.pl

2014-01-31  Carsten Grohmann  <mail@carstengrohmann.de>

	Add Lisp and Perl support for wxDatePickerCtrl

	Files (added, modified or removed):
	* NEWS.txt
	* tests/casefiles/AllWidgets_28.cpp
	* tests/casefiles/AllWidgets_28.h
	* tests/casefiles/AllWidgets_28.lisp
	* tests/casefiles/AllWidgets_28.pl
	* tests/casefiles/AllWidgets_28.py
	* tests/casefiles/AllWidgets_28.wxg
	* tests/casefiles/AllWidgets_28.xrc
	* widgets/datepicker_ctrl/lisp_codegen.py
	* widgets/datepicker_ctrl/perl_codegen.py

2014-01-29  Carsten Grohmann  <mail@carstengrohmann.de>

	Add a section about installing and designing own widgets primarily

	The section is still incomplete but it should show current changes
	already.

	Files (added, modified or removed):
	* docs/html/apa.html
	* docs/html/apb.html
	* docs/html/apc.html
	* docs/html/apd.html
	* docs/html/ch01.html
	* docs/html/ch01s02.html
	* docs/html/ch01s03.html
	* docs/html/ch01s04.html
	* docs/html/ch01s05.html
	* docs/html/ch01s06.html
	* docs/html/ch01s07.html
	* docs/html/ch02.html
	* docs/html/ch02s02.html
	* docs/html/ch02s03.html
	* docs/html/ch02s04.html
	* docs/html/ch02s05.html
	* docs/html/ch02s06.html
	* docs/html/ch02s07.html
	* docs/html/ch02s08.html
	* docs/html/ch03.html
	* docs/html/ch03s02.html
	* docs/html/ch03s03.html
	* docs/html/ch03s04.html
	* docs/html/ch03s05.html
	* docs/html/ch03s06.html
	* docs/html/ch04.html
	* docs/html/ch04s02.html
	* docs/html/ch04s03.html
	* docs/html/ch05.html
	* docs/html/ch05s02.html
	* docs/html/ch05s03.html
	* docs/html/ch05s04.html
	* docs/html/ch06.html
	* docs/html/ch06s02.html
	* docs/html/ch06s03.html
	* docs/html/error_dialog.png
	* docs/html/index.html
	* docs/html/pr01.html
	* docs/html/pr01s02.html
	* docs/pdf/manual.pdf
	* docs/src/error_dialog.png
	* docs/src/manual.xml

2014-01-25  Carsten Grohmann  <mail@carstengrohmann.de>

	Improve the internal error dialog

	Files (added, modified or removed):
	* Makefile
	* NEWS.txt
	* application.py
	* bugdialog.py
	* bugdialog_ui.py
	* configdialog.py
	* main.py
	* res/bugdialog_ui.wxg

2014-01-19  Carsten Grohmann  <mail@carstengrohmann.de>

	Rename misc._encode to misc.encode

	Files (added, modified or removed):
	* misc.py
	* widgets/button/button.py
	* widgets/choice/choice.py
	* widgets/combo_box/combo_box.py
	* widgets/hyperlink_ctrl/hyperlink_ctrl.py
	* widgets/list_box/list_box.py
	* widgets/menubar/menubar.py
	* widgets/radio_box/radio_box.py
	* widgets/radio_button/radio_button.py
	* widgets/static_text/static_text.py
	* widgets/toggle_button/toggle_button.py

	Add new tests

	Files (added, modified or removed):
	* tests/casefiles/AllWidgets_28.cpp
	* tests/casefiles/AllWidgets_28.h
	* tests/casefiles/AllWidgets_28.lisp
	* tests/casefiles/AllWidgets_28.pl
	* tests/casefiles/AllWidgets_28.py
	* tests/casefiles/AllWidgets_28.wxg
	* tests/casefiles/AllWidgets_28.xrc
	* tests/casefiles/icon.xpm
	* tests/test_codegen.py

	Unify the code generation of widget specific code. That causes minor
	changes in the generated code.

	Parallel two wrong Lisp statement in wxHyperlinkCtrl and wxFrame has
	been corrected.

	Files (added, modified or removed):
	* NEWS.txt
	* tests/casefiles/CPPOgg1.cpp
	* tests/casefiles/CPPOgg2_MyDialog.cpp
	* tests/casefiles/CPPOgg3.cpp
	* tests/casefiles/CPP_Preferences.cpp
	* tests/casefiles/CalendarCtrl.pl
	* tests/casefiles/ComplexExample.cpp
	* tests/casefiles/ComplexExample.lisp
	* tests/casefiles/ComplexExample.pl
	* tests/casefiles/ComplexExample.py
	* tests/casefiles/ComplexExample_30.cpp
	* tests/casefiles/ComplexExample_30.lisp
	* tests/casefiles/ComplexExample_30.pl
	* tests/casefiles/ComplexExample_30.py
	* tests/casefiles/FontColour.lisp
	* tests/casefiles/Gauge.lisp
	* tests/casefiles/Gauge.pl
	* tests/casefiles/Grid.lisp
	* tests/casefiles/HyperlinkCtrl_26.lisp
	* tests/casefiles/HyperlinkCtrl_28.lisp
	* tests/casefiles/LispOgg1.lisp
	* tests/casefiles/LispOgg2_MyDialog.lisp
	* tests/casefiles/LispOgg2_MyFrame.lisp
	* tests/casefiles/LispOgg3.lisp
	* tests/casefiles/Lisp_Preferences.lisp
	* tests/casefiles/Lisp_wxBitmapButton.lisp
	* tests/casefiles/Perl_Preferences.pl
	* tests/casefiles/PlOgg1.pl
	* tests/casefiles/PlOgg2_MyDialog.pm
	* tests/casefiles/PlOgg2_MyFrame.pm
	* tests/casefiles/PlOgg3.pl
	* tests/casefiles/Sizers_classattr.cpp
	* tests/casefiles/Sizers_classattr.lisp
	* tests/casefiles/Sizers_classattr.pl
	* tests/casefiles/Sizers_no_classattr.cpp
	* tests/casefiles/Sizers_no_classattr.lisp
	* tests/casefiles/Sizers_no_classattr.pl
	* tests/casefiles/add_class_inplace_extended.lisp
	* tests/casefiles/add_class_inplace_extended.pl
	* tests/casefiles/add_class_inplace_orig.lisp
	* tests/casefiles/add_class_inplace_orig.pl
	* tests/casefiles/no_suitable_writer.lisp
	* tests/casefiles/remove_class_inplace_expected.lisp
	* tests/casefiles/remove_class_inplace_expected.pl
	* tests/casefiles/remove_class_inplace_input.lisp
	* tests/casefiles/remove_class_inplace_input.pl
	* tests/casefiles/styleless-dialog.lisp
	* wcodegen/__init__.py
	* widgets/button/codegen.py
	* widgets/button/lisp_codegen.py
	* widgets/button/perl_codegen.py
	* widgets/calendar_ctrl/codegen.py
	* widgets/calendar_ctrl/perl_codegen.py
	* widgets/checkbox/codegen.py
	* widgets/checkbox/lisp_codegen.py
	* widgets/checkbox/perl_codegen.py
	* widgets/choice/codegen.py
	* widgets/choice/lisp_codegen.py
	* widgets/choice/perl_codegen.py
	* widgets/combo_box/codegen.py
	* widgets/combo_box/lisp_codegen.py
	* widgets/combo_box/perl_codegen.py
	* widgets/custom_widget/codegen.py
	* widgets/datepicker_ctrl/codegen.py
	* widgets/dialog/codegen.py
	* widgets/dialog/lisp_codegen.py
	* widgets/dialog/perl_codegen.py
	* widgets/frame/codegen.py
	* widgets/frame/lisp_codegen.py
	* widgets/frame/perl_codegen.py
	* widgets/gauge/codegen.py
	* widgets/gauge/lisp_codegen.py
	* widgets/gauge/perl_codegen.py
	* widgets/grid/codegen.py
	* widgets/hyperlink_ctrl/codegen.py
	* widgets/hyperlink_ctrl/lisp_codegen.py
	* widgets/hyperlink_ctrl/perl_codegen.py
	* widgets/list_box/codegen.py
	* widgets/list_box/lisp_codegen.py
	* widgets/list_box/perl_codegen.py
	* widgets/list_ctrl/codegen.py
	* widgets/list_ctrl/lisp_codegen.py
	* widgets/list_ctrl/perl_codegen.py
	* widgets/menubar/codegen.py
	* widgets/menubar/lisp_codegen.py
	* widgets/menubar/perl_codegen.py
	* widgets/radio_box/codegen.py
	* widgets/radio_box/lisp_codegen.py
	* widgets/radio_box/perl_codegen.py
	* widgets/radio_button/codegen.py
	* widgets/radio_button/lisp_codegen.py
	* widgets/radio_button/perl_codegen.py
	* widgets/slider/codegen.py
	* widgets/slider/lisp_codegen.py
	* widgets/slider/perl_codegen.py
	* widgets/spacer/codegen.py
	* widgets/spacer/lisp_codegen.py
	* widgets/spacer/perl_codegen.py
	* widgets/spin_button/codegen.py
	* widgets/spin_button/lisp_codegen.py
	* widgets/spin_button/perl_codegen.py
	* widgets/spin_ctrl/codegen.py
	* widgets/spin_ctrl/lisp_codegen.py
	* widgets/spin_ctrl/perl_codegen.py
	* widgets/static_bitmap/codegen.py
	* widgets/static_bitmap/lisp_codegen.py
	* widgets/static_bitmap/perl_codegen.py
	* widgets/static_line/codegen.py
	* widgets/static_line/lisp_codegen.py
	* widgets/static_line/perl_codegen.py
	* widgets/static_text/codegen.py
	* widgets/static_text/lisp_codegen.py
	* widgets/static_text/perl_codegen.py
	* widgets/static_text/static_text.py
	* widgets/text_ctrl/codegen.py
	* widgets/text_ctrl/lisp_codegen.py
	* widgets/text_ctrl/perl_codegen.py
	* widgets/toggle_button/codegen.py
	* widgets/toggle_button/lisp_codegen.py
	* widgets/toggle_button/perl_codegen.py
	* widgets/tree_ctrl/codegen.py
	* widgets/tree_ctrl/lisp_codegen.py
	* widgets/tree_ctrl/perl_codegen.py

	Typo

	Files (added, modified or removed):
	* codegen/xrc_codegen.py

2014-01-17  Carsten Grohmann  <mail@carstengrohmann.de>

	Add more constants to Perl code generator

	Files (added, modified or removed):
	* codegen/pl_codegen.py

2014-01-16  Carsten Grohmann  <mail@carstengrohmann.de>

	Documentation typos

	Files (added, modified or removed):
	* codegen/__init__.py

2014-01-15  Carsten Grohmann  <mail@carstengrohmann.de>

	Change initial dimension of a wxRadioBox from 0 to 1

	Files (added, modified or removed):
	* widgets/radio_box/radio_box.py

2014-01-09  Carsten Grohmann  <mail@carstengrohmann.de>

	Remove gettext usage from exception handler

	Files (added, modified or removed):
	* log.py

2014-01-05  Carsten Grohmann  <mail@carstengrohmann.de>

	Add myself to license file

	Files (added, modified or removed):
	* license.txt

2014-01-01  Carsten Grohmann  <mail@carstengrohmann.de>

	Fix bug in generation of valid hash keys for Perl

	Files (added, modified or removed):
	* NEWS.txt
	* codegen/pl_codegen.py

2013-12-27  Carsten Grohmann  <mail@carstengrohmann.de>

	Increase robustness of exception logger

	Files (added, modified or removed):
	* log.py

2013-12-25  Carsten Grohmann  <mail@carstengrohmann.de>

	Remove default widget initialisation code. The widget default
	initialisation will be performed by the widget loader now.

	Files (added, modified or removed):
	* widgets/bitmap_button/__init__.py
	* widgets/button/__init__.py
	* widgets/calendar_ctrl/__init__.py
	* widgets/checkbox/__init__.py
	* widgets/choice/__init__.py
	* widgets/combo_box/__init__.py
	* widgets/custom_widget/__init__.py
	* widgets/datepicker_ctrl/__init__.py
	* widgets/dialog/__init__.py
	* widgets/frame/__init__.py
	* widgets/gauge/__init__.py
	* widgets/grid/__init__.py
	* widgets/hyperlink_ctrl/__init__.py
	* widgets/list_box/__init__.py
	* widgets/list_ctrl/__init__.py
	* widgets/notebook/__init__.py
	* widgets/radio_box/__init__.py
	* widgets/radio_button/__init__.py
	* widgets/slider/__init__.py
	* widgets/spacer/__init__.py
	* widgets/spin_button/__init__.py
	* widgets/spin_ctrl/__init__.py
	* widgets/splitter_window/__init__.py
	* widgets/static_bitmap/__init__.py
	* widgets/static_line/__init__.py
	* widgets/static_text/__init__.py
	* widgets/text_ctrl/__init__.py
	* widgets/toggle_button/__init__.py
	* widgets/tree_ctrl/__init__.py

	Typos

	Files (added, modified or removed):
	* NEWS.txt

2013-12-20  Carsten Grohmann  <mail@carstengrohmann.de>

	Extent exception handler by reversing the order of logged stack
	frames and by including more general information (like version
	numbers and platform infos).

	Files (added, modified or removed):
	* log.py

	Store wx version in config.wx_version

	Files (added, modified or removed):
	* about.py
	* config.py
	* main.py
	* wxglade.py

	Minor source documentation update for config.use_gui

	Files (added, modified or removed):
	* config.py

	Unity code to load and initialise widgets.

	Files (added, modified or removed):
	* codegen/__init__.py
	* common.py

2013-12-11  Carsten Grohmann  <mail@carstengrohmann.de>

	Typo in docstring

	Files (added, modified or removed):
	* misc.py

	Updated screenshot of preferences dialog

	Files (added, modified or removed):
	* docs/html/apa.html
	* docs/html/apb.html
	* docs/html/apd.html
	* docs/html/ch01.html
	* docs/html/ch01s02.html
	* docs/html/ch01s03.html
	* docs/html/ch01s04.html
	* docs/html/ch01s05.html
	* docs/html/ch01s06.html
	* docs/html/ch01s07.html
	* docs/html/ch02.html
	* docs/html/ch02s02.html
	* docs/html/ch02s03.html
	* docs/html/ch02s04.html
	* docs/html/ch02s05.html
	* docs/html/ch02s06.html
	* docs/html/ch02s07.html
	* docs/html/ch02s08.html
	* docs/html/ch03.html
	* docs/html/ch03s02.html
	* docs/html/ch03s03.html
	* docs/html/ch03s04.html
	* docs/html/ch03s05.html
	* docs/html/ch03s06.html
	* docs/html/ch04.html
	* docs/html/ch04s03.html
	* docs/html/ch05.html
	* docs/html/index.html
	* docs/html/pr01.html
	* docs/html/pr01s02.html
	* docs/html/preferences.png
	* docs/pdf/manual.pdf
	* docs/src/preferences.png

	Improve widget import to be able to import widgets from ZIP files

	The previous implementation of ZIP file imports doesn't work for
	code generators.

	The new implementation used the same code (copied) to load GUI part
	of a widget as well as the widget code generators from a ZIP file.

	Imports from ZIP files have a higher priority than traditional
	imports. This is helpful for ad-hoc fixes.

	Files (added, modified or removed):
	* NEWS.txt
	* codegen/__init__.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* common.py

	Adapt Makefile to new pylint version

	Files (added, modified or removed):
	* Makefile

2013-12-09  Carsten Grohmann  <mail@carstengrohmann.de>

	PEP8: rename variable id to widget_id

	Files (added, modified or removed):
	* common.py

2013-12-06  Carsten Grohmann  <mail@carstengrohmann.de>

	Show log file during application startup similar to other files

	Files (added, modified or removed):
	* wxglade.py

	Minor layout changes in preferences dialog

	Files (added, modified or removed):
	* configUI.py
	* docs/html/apa.html
	* docs/html/apb.html
	* docs/html/apd.html
	* docs/html/ch01.html
	* docs/html/ch01s02.html
	* docs/html/ch01s03.html
	* docs/html/ch01s04.html
	* docs/html/ch01s05.html
	* docs/html/ch01s06.html
	* docs/html/ch01s07.html
	* docs/html/ch02.html
	* docs/html/ch02s02.html
	* docs/html/ch02s03.html
	* docs/html/ch02s04.html
	* docs/html/ch02s05.html
	* docs/html/ch02s06.html
	* docs/html/ch02s07.html
	* docs/html/ch02s08.html
	* docs/html/ch03.html
	* docs/html/ch03s02.html
	* docs/html/ch03s03.html
	* docs/html/ch03s04.html
	* docs/html/ch03s05.html
	* docs/html/ch03s06.html
	* docs/html/ch04.html
	* docs/html/ch04s03.html
	* docs/html/ch05.html
	* docs/html/index.html
	* docs/html/pr01.html
	* docs/html/pr01s02.html
	* docs/html/preferences.png
	* docs/pdf/manual.pdf
	* docs/src/preferences.png
	* res/preferences.wxg

	Use python2 interpreter instead of just python

	Files (added, modified or removed):
	* wxglade

	Change shebang to start Python2 always.

	That's useful for systems with Python3 as default

	Files (added, modified or removed):
	* test.py
	* wxglade.py
	* wxglade.pyw
	* xrc2wxg.py

	Fix bug introduced in 1333:9859659429ff

	Files (added, modified or removed):
	* edit_windows.py

	Extend documentation HG Bitte gib eine Versions-Meldung ein. Zeilen
	beginnend mit 'HG:' werden

	Files (added, modified or removed):
	* docs/html/apa.html
	* docs/html/apb.html
	* docs/html/apc.html
	* docs/html/apd.html
	* docs/html/ch01.html
	* docs/html/ch01s02.html
	* docs/html/ch01s03.html
	* docs/html/ch01s04.html
	* docs/html/ch01s05.html
	* docs/html/ch01s06.html
	* docs/html/ch01s07.html
	* docs/html/ch01s08.html
	* docs/html/ch02.html
	* docs/html/ch02s02.html
	* docs/html/ch02s03.html
	* docs/html/ch02s04.html
	* docs/html/ch02s05.html
	* docs/html/ch02s06.html
	* docs/html/ch02s07.html
	* docs/html/ch02s08.html
	* docs/html/ch02s09.html
	* docs/html/ch03.html
	* docs/html/ch03s02.html
	* docs/html/ch03s03.html
	* docs/html/ch03s04.html
	* docs/html/ch03s05.html
	* docs/html/ch03s06.html
	* docs/html/ch03s07.html
	* docs/html/ch04.html
	* docs/html/ch04s02.html
	* docs/html/ch04s03.html
	* docs/html/ch05.html
	* docs/html/ch05s03.html
	* docs/html/ch05s04.html
	* docs/html/index.html
	* docs/html/pr01.html
	* docs/html/pr01s02.html
	* docs/html/pr01s03.html
	* docs/html/preferences.png
	* docs/pdf/manual.pdf
	* docs/src/html.xsl
	* docs/src/manual.xml
	* docs/src/pdf.xsl
	* docs/src/preferences.png

2013-12-04  Carsten Grohmann  <mail@carstengrohmann.de>

	Set backupCount=1 during setup of RotatingFileHandler

	The default backupCount=0 doesn't delete the file during the
	rollover. Thereby the log file grows instead of remaining at 100
	KiB.

	Files (added, modified or removed):
	* log.py

2013-12-03  Carsten Grohmann  <mail@carstengrohmann.de>

	Fix bug introduced in 1333:9859659429ff

	Files (added, modified or removed):
	* edit_windows.py

2013-11-26  Carsten Grohmann  <mail@carstengrohmann.de>

	Add more details to logged exceptions and unify exception formatting
	code

	Files (added, modified or removed):
	* log.py

2013-11-24  Carsten Grohmann  <mail@carstengrohmann.de>

	Improve error handling in case if missing code writer

	Files (added, modified or removed):
	* errors.py
	* wxglade.py

	Add test case for last commit "Prevent code generation ..."

	Files (added, modified or removed):
	* tests/test_codegen.py

	Prevent code generation from a template file by commandline
	invocation

	Files (added, modified or removed):
	* NEWS.txt
	* codegen/__init__.py
	* errors.py

	Remove obsolete "import errors"

	Files (added, modified or removed):
	* xml_parse.py

	Use python2 interpreter instead of just python

	Files (added, modified or removed):
	* wxglade

	Improve tests of the existance of output file and directory

	Files (added, modified or removed):
	* tests/__init__.py
	* tests/test_codegen.py

2013-11-23  Carsten Grohmann  <mail@carstengrohmann.de>

	Reorg code to open file to reduce duplicate code

	Files (added, modified or removed):
	* main.py

2013-11-16  Carsten Grohmann  <mail@carstengrohmann.de>

	Change shebang to start Python2 always.

	That's useful for systems with Python3 as default

	Files (added, modified or removed):
	* test.py
	* wxglade.py
	* wxglade.pyw
	* xrc2wxg.py

2013-11-05  Carsten Grohmann  <mail@carstengrohmann.de>

	PEP8

	Files (added, modified or removed):
	* wxglade.py

	XRC code generator raises an own exception instead of IOError.

	The code generator raises now WxgXRCMultipleFilesNotSupported
	instead of the generic IOError exception. It's a logical mistake not
	not an IO error.

	Files (added, modified or removed):
	* codegen/xrc_codegen.py
	* errors.py
	* tests/test_codegen.py

	Improve checks for wxGlade specific exceptions

	Files (added, modified or removed):
	* application.py
	* wxglade.py

	Improve check for output directory

	Files (added, modified or removed):
	* application.py
	* codegen/__init__.py
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/py_codegen.py
	* errors.py
	* tests/__init__.py
	* tests/test_codegen.py
	* wxglade.py
	* xml_parse.py

2013-11-02  Carsten Grohmann  <mail@carstengrohmann.de>

	Improve disabling old import style for wxPython 3.0

	Files (added, modified or removed):
	* application.py
	* codegen/py_codegen.py
	* errors.py
	* tests/test_codegen.py
	* wxglade.py

2013-11-01  Carsten Grohmann  <mail@carstengrohmann.de>

	Disable Lisp code generation for wxWidgets 3.0

	I've disabled Lisp due lack of testing possibilities for the
	upcoming release of wxWidgets 3.0.

	Files (added, modified or removed):
	* NEWS.txt
	* application.py
	* codegen/lisp_codegen.py
	* errors.py
	* tests/casefiles/ComplexExample_30.lisp
	* tests/test_codegen.py
	* wxglade.py
	* xml_parse.py

	Add RadioProperty.enable_item() to enable/disable choices within the
	property

	Files (added, modified or removed):
	* widget_properties.py

2013-10-30  Carsten Grohmann  <mail@carstengrohmann.de>

	Add option to exclude languages from
	tests.WXGladeBaseTest._test_all()

	Files (added, modified or removed):
	* tests/__init__.py

	Rework the initialisation of values in code generators

	Files (added, modified or removed):
	* codegen/__init__.py
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py
	* codegen/xrc_codegen.py

	Pep8 changes

	Files (added, modified or removed):
	* xml_parse.py

2013-10-29  Carsten Grohmann  <mail@carstengrohmann.de>

	Minor update of the source code documentation

	Files (added, modified or removed):
	* xml_parse.py

2013-10-27  Carsten Grohmann  <mail@carstengrohmann.de>

	Minor code reorg in exception handlers

	Files (added, modified or removed):
	* log.py

	Update copyright notice

	Files (added, modified or removed):
	* wxglade.py

	merged DEV_GUI_WX30 into default

	Files (added, modified or removed):

2013-10-16  Carsten Grohmann  <mail@carstengrohmann.de>

	Move compatibility code to compat.py

	Files (added, modified or removed):
	* application.py
	* compat.py
	* edit_sizers/edit_sizers.py
	* edit_windows.py
	* tree.py

2013-10-15  Carsten Grohmann  <mail@carstengrohmann.de>

	Use SizerItem.AssignWindow() instead of SetWindow()

	SizerItem.SetWindow() is deprecated since wxPython 2.9

	Files (added, modified or removed):
	* edit_sizers/edit_sizers.py
	* edit_windows.py

	Start implementing GUI changes to support upcoming wxPython 3.0

	Files (added, modified or removed):
	* NEWS.txt

	Use SizerItem.AssignWindow() instead of SetWindow() (Thanks to
	Martin Gregory)

	SizerItem.SetWindow() is deprecated since wxPython 2.9

	This change is an adapt version of the patch provided by Martin.

	Files (added, modified or removed):
	* application.py
	* tree.py

2013-10-08  Carsten Grohmann  <mail@carstengrohmann.de>

	Created DEV_GUI_WX30 branch

	Files (added, modified or removed):

2013-10-01  Carsten Grohmann  <mail@carstengrohmann.de>

	Reorg in determining locale to prevent warning message on Windows

	Files (added, modified or removed):
	* wxglade.py

2013-09-30  Carsten Grohmann  <mail@carstengrohmann.de>

	Add installation requirement to setup.py

	Files (added, modified or removed):
	* setup.py

2013-09-29  Carsten Grohmann  <mail@carstengrohmann.de>

	Change default to remember position and geometry of the main windows

	This configuration change effects fresh installations only because
	wxGlade writes always all configuration settings into the rc file.
	Changed defaults will be overwritten by the values from the rc file.

	Files (added, modified or removed):
	* NEWS.txt
	* common.py

	Typo

	Files (added, modified or removed):
	* docs/src/manual.xml
	* wxglade

	Close DEV_LOGGING branch

	Files (added, modified or removed):

	merged DEV_LOGGING into default

	Files (added, modified or removed):
	* NEWS.txt
	* main.py
	* wxglade.py

	Fix for a incomplete change in log.py

	The cleanup for old log handlers was too late. Thereby the new
	created handlers have been removed too.

	Files (added, modified or removed):
	* log.py

	Minor code reorg triggered by a PEP8 check

	Files (added, modified or removed):
	* log.py

	Minor source documentation updates

	Files (added, modified or removed):
	* config.py

	Improve file logging

	The log file will always created . The file is stored inside the
	appdata directory and it's size is limited to 100kB.

	Parallel a new option has added to log DEBUG information to the log
	file. This option is off per default.

	Files (added, modified or removed):
	* NEWS.txt
	* common.py
	* config.py
	* configUI.py
	* configdialog.py
	* log.py
	* main.py
	* res/preferences.wxg
	* wxglade.py

2013-09-28  Carsten Grohmann  <mail@carstengrohmann.de>

	Rework internal path handling

	Files (added, modified or removed):
	* NEWS.txt
	* common.py
	* config.py
	* template.py
	* wxglade.py

2013-09-27  Carsten Grohmann  <mail@carstengrohmann.de>

	Move configuration settings from common to config and code back to
	common

	This change moves most of configuration variables from common.py to
	config.py and active code from config back to common.

	This change prevents some circular imports of config and common.

	Files (added, modified or removed):
	* about.py
	* code_property.py
	* codegen/__init__.py
	* common.py
	* config.py
	* configUI.py
	* docs/ReleaseSteps.txt
	* edit_sizers/__init__.py
	* edit_sizers/edit_sizers.py
	* main.py
	* misc.py
	* res/preferences.wxg
	* template.py
	* tests/__init__.py
	* tests/casefiles/Preferences.wxg
	* tests/casefiles/Python_Preferences.py
	* tree.py
	* widgets/__init__.py
	* widgets/bitmap_button/__init__.py
	* widgets/bitmap_button/codegen.py
	* widgets/button/__init__.py
	* widgets/calendar_ctrl/__init__.py
	* widgets/checkbox/__init__.py
	* widgets/choice/__init__.py
	* widgets/combo_box/__init__.py
	* widgets/custom_widget/__init__.py
	* widgets/datepicker_ctrl/__init__.py
	* widgets/dialog/__init__.py
	* widgets/dialog/dialog.py
	* widgets/frame/__init__.py
	* widgets/frame/frame.py
	* widgets/gauge/__init__.py
	* widgets/grid/__init__.py
	* widgets/hyperlink_ctrl/__init__.py
	* widgets/list_box/__init__.py
	* widgets/list_ctrl/__init__.py
	* widgets/menubar/__init__.py
	* widgets/menubar/menubar.py
	* widgets/notebook/__init__.py
	* widgets/panel/__init__.py
	* widgets/panel/panel.py
	* widgets/radio_box/__init__.py
	* widgets/radio_button/__init__.py
	* widgets/slider/__init__.py
	* widgets/spacer/__init__.py
	* widgets/spin_button/__init__.py
	* widgets/spin_ctrl/__init__.py
	* widgets/splitter_window/__init__.py
	* widgets/static_bitmap/__init__.py
	* widgets/static_bitmap/codegen.py
	* widgets/static_line/__init__.py
	* widgets/static_text/__init__.py
	* widgets/text_ctrl/__init__.py
	* widgets/toggle_button/__init__.py
	* widgets/toolbar/__init__.py
	* widgets/toolbar/codegen.py
	* widgets/toolbar/toolbar.py
	* widgets/tree_ctrl/__init__.py
	* widgets/tree_ctrl/tree_ctrl.py
	* wxglade.py
	* xml_parse.py

2013-09-25  Carsten Grohmann  <mail@carstengrohmann.de>

	Ignore wxGlade log file and PyCharm IDE files

	Files (added, modified or removed):
	* .hgignore

2013-09-21  Carsten Grohmann  <mail@carstengrohmann.de>

	Use configurable indents instead of hard coded tabs in wxFrame code
	for Perl

	Files (added, modified or removed):
	* NEWS.txt
	* tests/casefiles/ComplexExample.pl
	* tests/casefiles/ComplexExample_30.pl
	* widgets/frame/perl_codegen.py

	Add BaseWidgetCodeWriter.stmt2list() convert a string into a list.

	The function stmt2list() splits a multi line code statement into a
	list of lines. The newlines will be conserved.

	Files (added, modified or removed):
	* wcodegen/__init__.py

	Add directoy wcodegen to list of source directories

	Files (added, modified or removed):
	* Makefile

	Write log file with utf-8 encoding

	Files (added, modified or removed):
	* wxglade.py

	Minor cosmetic changes

	Files (added, modified or removed):
	* main.py
	* wxglade.py

2013-09-04  Carsten Grohmann  <mail@carstengrohmann.de>

	Created DEV_LOGGING branch

	Files (added, modified or removed):

2013-09-01  Carsten Grohmann  <mail@carstengrohmann.de>

	Change bitmap specification in complex example

	Files (added, modified or removed):
	* tests/casefiles/ComplexExample.cpp
	* tests/casefiles/ComplexExample.lisp
	* tests/casefiles/ComplexExample.pl
	* tests/casefiles/ComplexExample.py
	* tests/casefiles/ComplexExample.wxg
	* tests/casefiles/ComplexExample.xrc
	* tests/casefiles/ComplexExample_30.cpp
	* tests/casefiles/ComplexExample_30.lisp
	* tests/casefiles/ComplexExample_30.pl
	* tests/casefiles/ComplexExample_30.py
	* tests/casefiles/ComplexExample_30.wxg
	* tests/casefiles/ComplexExample_30.xrc
	* widgets/toolbar/codegen.py

	Rework quoting and escaping of special character sequences

	Files (added, modified or removed):
	* NEWS.txt
	* codegen/__init__.py
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py
	* codegen/xrc_codegen.py
	* docs/html/apa.html
	* docs/html/apb.html
	* docs/html/ch01.html
	* docs/html/ch01s02.html
	* docs/html/ch01s03.html
	* docs/html/ch01s04.html
	* docs/html/ch01s05.html
	* docs/html/ch01s06.html
	* docs/html/ch01s07.html
	* docs/html/ch02.html
	* docs/html/ch02s02.html
	* docs/html/ch02s03.html
	* docs/html/ch02s04.html
	* docs/html/ch02s05.html
	* docs/html/ch02s06.html
	* docs/html/ch02s07.html
	* docs/html/ch02s08.html
	* docs/html/ch02s09.html
	* docs/html/ch03.html
	* docs/html/ch03s02.html
	* docs/html/ch03s03.html
	* docs/html/ch03s04.html
	* docs/html/ch03s06.html
	* docs/html/ch03s07.html
	* docs/html/ch04.html
	* docs/html/ch05.html
	* docs/html/index.html
	* docs/html/pr01.html
	* docs/html/pr01s02.html
	* docs/html/pr01s03.html
	* docs/pdf/manual.pdf
	* docs/src/manual.xml
	* tests/casefiles/ComplexExample.cpp
	* tests/casefiles/ComplexExample.h
	* tests/casefiles/ComplexExample.lisp
	* tests/casefiles/ComplexExample.pl
	* tests/casefiles/ComplexExample.py
	* tests/casefiles/ComplexExample.wxg
	* tests/casefiles/ComplexExample.xrc
	* tests/casefiles/ComplexExample_30.cpp
	* tests/casefiles/ComplexExample_30.h
	* tests/casefiles/ComplexExample_30.lisp
	* tests/casefiles/ComplexExample_30.pl
	* tests/casefiles/ComplexExample_30.py
	* tests/casefiles/ComplexExample_30.wxg
	* tests/casefiles/ComplexExample_30.xrc
	* tests/test_codegen.py

2013-08-27  Carsten Grohmann  <mail@carstengrohmann.de>

	Simplify signature of quote_str(), use quote_path() for filenames or
	paths

	Files (added, modified or removed):
	* NEWS.txt
	* codegen/__init__.py
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py

2013-08-26  Carsten Grohmann  <mail@carstengrohmann.de>

	Use quote_path() instead of quote_str() to quote / escape filenames

	Files (added, modified or removed):
	* tests/casefiles/ComplexExample.cpp
	* tests/casefiles/ComplexExample_30.cpp
	* widgets/bitmap_button/codegen.py
	* widgets/dialog/codegen.py
	* widgets/frame/codegen.py
	* widgets/static_bitmap/codegen.py
	* widgets/toolbar/codegen.py

2013-08-26  Carsten Grohmann  <carstengrohmann@gmx.de>

	Add creation of a development branch to release steps

	Files (added, modified or removed):
	* docs/ReleaseSteps.txt

2013-08-25  Carsten Grohmann  <mail@carstengrohmann.de>

	Close stable branch WXG-BRANCH-VERSION_0_6_7

	Files (added, modified or removed):

2013-08-24  Carsten Grohmann  <mail@carstengrohmann.de>

	Fix escape sequences in Unicode strings were escaped twice Perl and
	Python

	Files (added, modified or removed):
	* NEWS.txt
	* codegen/__init__.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py
	* tests/casefiles/ComplexExample.cpp
	* tests/casefiles/ComplexExample.lisp
	* tests/casefiles/ComplexExample.pl
	* tests/casefiles/ComplexExample.py
	* tests/casefiles/ComplexExample.wxg
	* tests/casefiles/ComplexExample.xrc
	* tests/test_codegen.py

	Extent NEWS.txt

	Files (added, modified or removed):
	* NEWS.txt

	Create new branch for stable version 0.6.8

	Files (added, modified or removed):

	Fix escape sequences in Unicode strings were escaped twice Perl and
	Python

	Files (added, modified or removed):
	* NEWS.txt
	* codegen/__init__.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py
	* tests/casefiles/ComplexExample.cpp
	* tests/casefiles/ComplexExample.lisp
	* tests/casefiles/ComplexExample.pl
	* tests/casefiles/ComplexExample.py
	* tests/casefiles/ComplexExample.wxg
	* tests/casefiles/ComplexExample.xrc
	* tests/casefiles/ComplexExample_30.cpp
	* tests/casefiles/ComplexExample_30.lisp
	* tests/casefiles/ComplexExample_30.pl
	* tests/casefiles/ComplexExample_30.py
	* tests/casefiles/ComplexExample_30.wxg
	* tests/casefiles/ComplexExample_30.xrc
	* tests/test_codegen.py

2013-08-21  Carsten Grohmann  <mail@carstengrohmann.de>

	Source documentation update for quote_str() and _quote_str_pattern

	Files (added, modified or removed):
	* codegen/__init__.py

2013-08-17  Carsten Grohmann  <mail@carstengrohmann.de>

	Rename class codegen.BaseCodeWriter -> BaseLangCodeWriter

	Files (added, modified or removed):
	* codegen/__init__.py
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py
	* codegen/xrc_codegen.py
	* edit_sizers/edit_sizers.py
	* misc.py
	* tests/__init__.py
	* tests/test_codegen.py

	Use Python logging facility instead of print statements

	The information will be shown in three ways:
	 - at console
	 - in a log file
	 - within the GUI

	Files (added, modified or removed):
	* NEWS.txt
	* application.py
	* clipboard.py
	* codegen/__init__.py
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py
	* codegen/xrc_codegen.py
	* common.py
	* config.py
	* edit_sizers/edit_sizers.py
	* edit_widget.py
	* edit_windows.py
	* events_mixin.py
	* font_dialog.py
	* install/pyinstaller/wxglade-installer.iss
	* install/pyinstaller/wxglade.spec
	* install/rpm/wxglade.spec
	* log.py
	* main.py
	* misc.py
	* template.py
	* tests/__init__.py
	* tests/test_gui.py
	* tree.py
	* wcodegen/__init__.py
	* widget_properties.py
	* widgets/custom_widget/codegen.py
	* widgets/grid/codegen.py
	* widgets/menubar/codegen.py
	* widgets/menubar/lisp_codegen.py
	* widgets/menubar/perl_codegen.py
	* widgets/notebook/notebook.py
	* widgets/panel/panel.py
	* widgets/splitter_window/splitter_window.py
	* widgets/static_bitmap/static_bitmap.py
	* wxglade.py
	* xml_parse.py
	* xrc2wxg.py

2013-08-15  Carsten Grohmann  <mail@carstengrohmann.de>

	Initialise localisation earlier / at application start

	In old version the localisation was initialised during the graphical
	init process only.

	Now the localisation is started always during the first step of
	application initialisation.

	BTW: The old call of "locale.setlocale(locale.LC_ALL)" initialised
	the "C" locale always and not the user specific locales. This has
	been fixed.

	Files (added, modified or removed):
	* application.py
	* config.py
	* wxglade.py

2013-08-14  Carsten Grohmann  <mail@carstengrohmann.de>

	Improve module import of wxversion and wx as well as the error
	messages

	Files (added, modified or removed):
	* wxglade.py

2013-08-08  Carsten Grohmann  <mail@carstengrohmann.de>

	Change default version for code generation from 2.6 to 2.8

	The preselected version for a new project in GUI is the version of
	the used wxPython version.

	Files (added, modified or removed):
	* codegen/__init__.py

	Add missing styles for wxNotebook (Thanks to Udi Fuchs)

	Files (added, modified or removed):
	* NEWS.txt
	* tests/casefiles/ComplexExample.cpp
	* tests/casefiles/ComplexExample.lisp
	* tests/casefiles/ComplexExample.pl
	* tests/casefiles/ComplexExample.py
	* tests/casefiles/ComplexExample.wxg
	* tests/casefiles/ComplexExample.xrc
	* tests/casefiles/ComplexExample_30.cpp
	* tests/casefiles/ComplexExample_30.lisp
	* tests/casefiles/ComplexExample_30.pl
	* tests/casefiles/ComplexExample_30.py
	* tests/casefiles/ComplexExample_30.wxg
	* tests/casefiles/ComplexExample_30.xrc
	* widgets/notebook/notebook.py

2013-08-07  Carsten Grohmann  <mail@carstengrohmann.de>

	Pep8

	Files (added, modified or removed):
	* widgets/notebook/__init__.py
	* widgets/notebook/codegen.py
	* widgets/notebook/lisp_codegen.py
	* widgets/notebook/notebook.py
	* widgets/notebook/perl_codegen.py
	* widgets/radio_box/__init__.py
	* widgets/radio_box/codegen.py
	* widgets/radio_box/lisp_codegen.py
	* widgets/radio_box/perl_codegen.py
	* widgets/radio_box/radio_box.py

2013-08-06  Carsten Grohmann  <mail@carstengrohmann.de>

	Use SetToolTip() instead of SetToolTipString() for wxPython 3.x

	Files (added, modified or removed):
	* NEWS.txt
	* codegen/py_codegen.py
	* tests/casefiles/ComplexExample_30.py

	Update NEWS.txt

	Files (added, modified or removed):
	* NEWS.txt

	Extent handling for code statements use to set properties

	Files (added, modified or removed):
	* codegen/__init__.py
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py

2013-08-04  Carsten Grohmann  <mail@carstengrohmann.de>

	Add initial test for wxPython 3.0 using a own copy of
	"ComplexExample"

	Files (added, modified or removed):
	* tests/casefiles/ComplexExample_30.cpp
	* tests/casefiles/ComplexExample_30.h
	* tests/casefiles/ComplexExample_30.lisp
	* tests/casefiles/ComplexExample_30.pl
	* tests/casefiles/ComplexExample_30.py
	* tests/casefiles/ComplexExample_30.wxg
	* tests/casefiles/ComplexExample_30.xrc
	* tests/test_codegen.py

	Update year in copyright statement

	Files (added, modified or removed):
	* tests/__init__.py
	* tests/test_codegen.py
	* tests/test_gui.py

2013-07-13  Carsten Grohmann  <mail@carstengrohmann.de>

	Replace Albertos email in the tutorial by mailing list address

	Files (added, modified or removed):
	* docs/tutorial.html

	Add deleting Python bytecode files to release documentation

	Files (added, modified or removed):
	* docs/BuildingInstaller.txt

	Added tag rel_0.6.8 for changeset 80fb1637a216

	Files (added, modified or removed):
	* .hgtags

	Bump version number to 0.6.8

	Files (added, modified or removed):
	* common.py
	* install/pyinstaller/wxglade-installer.iss

2013-04-07  Carsten Grohmann  <mail@carstengrohmann.de>

	Improve usability of the dialog to list and open templates

	Files (added, modified or removed):
	* NEWS.txt
	* res/templates_ui.wxg
	* template.py
	* templates_ui.py

	Regression in generated Python code for bindung events

	The regression was introduced in 1173:95047b445b12 "Rework
	generating constructor code in all code generators".

	The generated code raised an AssertionError if the source of the
	event is specified by an ID number instead of a widget.

	Files (added, modified or removed):
	* NEWS.txt
	* codegen/py_codegen.py

2013-04-06  Carsten Grohmann  <mail@carstengrohmann.de>

	Preselect some dialog elements

	Simplify usage of some dialogs by setting focus to first input
	widget and select the widget content.

	Files (added, modified or removed):
	* NEWS.txt
	* edit_sizers/edit_sizers.py
	* res/templates_ui.wxg
	* templates_ui.py
	* widgets/spacer/spacer.py

2013-04-03  Carsten Grohmann  <mail@carstengrohmann.de>

	Show feedback in status bar if code generation dialog is suppressed

	Files (added, modified or removed):
	* application.py

2013-04-01  Carsten Grohmann  <mail@carstengrohmann.de>

	Repair GUI test broken with 1223:602859354d4b

	Files (added, modified or removed):
	* tests/test_gui.py

	Remove empty line between shebang and encoding statement in Python
	files

	The additional empty line between the shebang and the encoding
	statement violates PEP 0263 and causes some trouble with utf-8 on
	win7.

	Files (added, modified or removed):
	* NEWS.txt
	* codegen/py_codegen.py
	* tests/casefiles/CalendarCtrl.py
	* tests/casefiles/FontColour.py
	* tests/casefiles/Gauge.py
	* tests/casefiles/Grid.py
	* tests/casefiles/HyperlinkCtrl_26.py
	* tests/casefiles/HyperlinkCtrl_28.py
	* tests/casefiles/PyAddApp_multi_detailed.py
	* tests/casefiles/PyAddApp_multi_gettext_detailed.py
	* tests/casefiles/PyAddApp_multi_gettext_simple.py
	* tests/casefiles/PyAddApp_multi_simple.py
	* tests/casefiles/PyOgg1.py
	* tests/casefiles/PyOgg1_oldnamespace.py
	* tests/casefiles/PyOgg2_app.py
	* tests/casefiles/PyOgg3.py
	* tests/casefiles/Python_Preferences.py
	* tests/casefiles/Sizers_classattr.py
	* tests/casefiles/Sizers_no_classattr.py
	* tests/casefiles/add_class_inplace_extended.py
	* tests/casefiles/add_class_inplace_orig.py
	* tests/casefiles/no_suitable_writer.py
	* tests/casefiles/remove_class_inplace_expected.py
	* tests/casefiles/remove_class_inplace_input.py

	Change handling of empty lines in file headers

	Hardcoded empty lines are removed. The empty lines are added to the
	variables shebang, tmpl_encoding and language_note. Thereby the
	generated code has not changed.

	Files (added, modified or removed):
	* codegen/__init__.py
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py
	* codegen/xrc_codegen.py

	Minor change in source documentation

	Files (added, modified or removed):
	* application.py

2013-03-31  Carsten Grohmann  <mail@carstengrohmann.de>

	Update Main Developer

	Files (added, modified or removed):
	* credits.txt

	Add a config option to suppress the code generation success message

	Files (added, modified or removed):
	* NEWS.txt
	* application.py
	* config.py
	* configUI.py
	* configdialog.py
	* res/preferences.wxg

	Fix plus sign for uncommitted changes in version number.

	"++" was shown due a logical bug. Now just "+" is shown. The plus
	sign in version number indicates not committed changes.

	Files (added, modified or removed):
	* common.py

2013-03-30  Carsten Grohmann  <mail@carstengrohmann.de>

	Set version numbers back to HG to start new development cycle

	Files (added, modified or removed):
	* NEWS.txt
	* common.py
	* install/pyinstaller/wxglade-installer.iss

2013-03-29  Carsten Grohmann  <mail@carstengrohmann.de>

	Added tag rel_0.6.6 for changeset 9ee81dcd0dc1

	Files (added, modified or removed):
	* .hgtags

	Uninstall byte-code files for hyperlink widget too

	Files (added, modified or removed):
	* install/pyinstaller/wxglade-installer.iss

	Added tag rel_0.6.6 for changeset 4487d7edc422

	Files (added, modified or removed):
	* .hgtags

	Bump version number to 0.6.6

	Files (added, modified or removed):
	* common.py
	* install/pyinstaller/wxglade-installer.iss

	Prerelease documentation updates

	Files (added, modified or removed):
	* CHANGES.txt
	* NEWS.txt
	* README.txt
	* credits.txt

	Combine language specific panels in application properties dialog

	Files (added, modified or removed):
	* application.py
	* docs/html/apa.html
	* docs/html/apb.html
	* docs/html/ch01.html
	* docs/html/ch01s02.html
	* docs/html/ch01s03.html
	* docs/html/ch01s04.html
	* docs/html/ch01s05.html
	* docs/html/ch01s06.html
	* docs/html/ch01s07.html
	* docs/html/ch02.html
	* docs/html/ch02s02.html
	* docs/html/ch02s03.html
	* docs/html/ch02s04.html
	* docs/html/ch02s05.html
	* docs/html/ch02s06.html
	* docs/html/ch03.html
	* docs/html/ch03s02.html
	* docs/html/ch03s03.html
	* docs/html/ch03s04.html
	* docs/html/ch03s06.html
	* docs/html/ch03s07.html
	* docs/html/ch04.html
	* docs/html/ch05.html
	* docs/html/index.html
	* docs/html/pr01.html
	* docs/html/pr01s02.html
	* docs/html/pr01s03.html
	* docs/html/properties_window_application.png
	* docs/html/properties_window_settings.png
	* docs/html/properties_window_tab_1_change.png
	* docs/html/wxglade.png
	* docs/pdf/manual.pdf
	* docs/src/manual.xml
	* docs/src/properties_window.png
	* docs/src/properties_window_application.png
	* docs/src/properties_window_settings.png
	* docs/src/properties_window_tab_1_change.png
	* docs/src/wxglade.png

	Typo in source documentation

	Files (added, modified or removed):
	* application.py
	* codegen/__init__.py

	Change some default settings and reorg internal handling

	The primary changes are:
	 - usage of UTF-8 as fallback encoding
	 - enable gettext per default

	Some of the default values are converted from hard coded values to
	variables located in config module.

	Files (added, modified or removed):
	* NEWS.txt
	* application.py
	* codegen/__init__.py
	* config.py
	* docs/html/apa.html
	* docs/html/apb.html
	* docs/html/ch01.html
	* docs/html/ch01s02.html
	* docs/html/ch01s03.html
	* docs/html/ch01s04.html
	* docs/html/ch01s05.html
	* docs/html/ch01s06.html
	* docs/html/ch01s07.html
	* docs/html/ch02.html
	* docs/html/ch02s02.html
	* docs/html/ch02s03.html
	* docs/html/ch02s04.html
	* docs/html/ch02s05.html
	* docs/html/ch02s06.html
	* docs/html/ch03.html
	* docs/html/ch03s02.html
	* docs/html/ch03s03.html
	* docs/html/ch03s04.html
	* docs/html/ch03s06.html
	* docs/html/ch03s07.html
	* docs/html/ch04.html
	* docs/html/ch05.html
	* docs/html/index.html
	* docs/html/pr01.html
	* docs/html/pr01s02.html
	* docs/html/pr01s03.html
	* docs/pdf/manual.pdf
	* docs/src/manual.xml
	* tests/casefiles/PyAddApp_multi_detailed.py
	* tests/casefiles/PyAddApp_multi_gettext_detailed.py
	* tests/casefiles/PyAddApp_multi_gettext_simple.py
	* tests/casefiles/PyAddApp_multi_simple.py
	* xml_parse.py

2013-03-16  Carsten Grohmann  <mail@carstengrohmann.de>

	Unify test cases

	Files (added, modified or removed):
	* tests/casefiles/LispOgg1.lisp
	* tests/casefiles/LispOgg1.wxg
	* tests/casefiles/PlOgg1.pl
	* tests/casefiles/PlOgg1.wxg
	* tests/casefiles/PyOgg1.py
	* tests/casefiles/PyOgg1.wxg
	* tests/casefiles/PyOgg1_oldnamespace.py

2013-03-15  Carsten Grohmann  <mail@carstengrohmann.de>

	Setting invalid windows names hasn't blocked fully (sf bug #154)

	Files (added, modified or removed):
	* NEWS.txt
	* edit_windows.py

2013-03-08  Carsten Grohmann  <mail@carstengrohmann.de>

	Extend documentation with a best practice section

	Files (added, modified or removed):
	* docs/html/apa.html
	* docs/html/apb.html
	* docs/html/ch01.html
	* docs/html/ch01s02.html
	* docs/html/ch01s03.html
	* docs/html/ch01s04.html
	* docs/html/ch01s05.html
	* docs/html/ch01s06.html
	* docs/html/ch01s07.html
	* docs/html/ch02.html
	* docs/html/ch02s02.html
	* docs/html/ch02s03.html
	* docs/html/ch02s04.html
	* docs/html/ch02s05.html
	* docs/html/ch02s06.html
	* docs/html/ch02s07.html
	* docs/html/ch03.html
	* docs/html/ch03s02.html
	* docs/html/ch03s03.html
	* docs/html/ch03s04.html
	* docs/html/ch03s06.html
	* docs/html/ch03s07.html
	* docs/html/ch04.html
	* docs/html/ch04s02.html
	* docs/html/ch05.html
	* docs/html/ch05s03.html
	* docs/html/index.html
	* docs/html/pr01.html
	* docs/html/pr01s02.html
	* docs/html/pr01s03.html
	* docs/pdf/manual.pdf
	* docs/src/manual.xml

2013-03-02  Carsten Grohmann  <mail@carstengrohmann.de>

	Do not format wx classnames, constants and ... twice in Python.

	Add check if the parameter hand over to cn() is already formatted
	and do not format such a parameter again.

	This is just the case if the user enters language-specific formatted
	values.

	Files (added, modified or removed):
	* codegen/py_codegen.py
	* tests/test_codegen.py

2013-02-05  Carsten Grohmann  <mail@carstengrohmann.de>

	Added tooltips to sizer elements and dialogs

	Files (added, modified or removed):
	* edit_sizers/edit_sizers.py

2013-02-04  Carsten Grohmann  <mail@carstengrohmann.de>

	Unify code generation of adding objects to sizers

	Files (added, modified or removed):
	* codegen/__init__.py
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py
	* tests/test_codegen.py

2013-02-03  Carsten Grohmann  <mail@carstengrohmann.de>

	Set "Overwrite existing sources" for new projects

	Files (added, modified or removed):
	* NEWS.txt
	* application.py

	Small change to format flags in Python

	Files (added, modified or removed):
	* codegen/py_codegen.py

2013-02-02  Carsten Grohmann  <mail@carstengrohmann.de>

	Don't format border property in add_sizeritem - it's always an
	integer

	Files (added, modified or removed):
	* codegen/pl_codegen.py
	* codegen/py_codegen.py

	Improve flag handling in Lisp code generator

	Files (added, modified or removed):
	* codegen/lisp_codegen.py
	* widgets/button/lisp_codegen.py
	* widgets/checkbox/lisp_codegen.py
	* widgets/choice/lisp_codegen.py
	* widgets/combo_box/lisp_codegen.py
	* widgets/gauge/lisp_codegen.py
	* widgets/hyperlink_ctrl/lisp_codegen.py
	* widgets/list_box/lisp_codegen.py
	* widgets/list_ctrl/lisp_codegen.py
	* widgets/notebook/lisp_codegen.py
	* widgets/panel/lisp_codegen.py
	* widgets/radio_box/lisp_codegen.py
	* widgets/radio_button/lisp_codegen.py
	* widgets/slider/lisp_codegen.py
	* widgets/spin_button/lisp_codegen.py
	* widgets/spin_ctrl/lisp_codegen.py
	* widgets/splitter_window/lisp_codegen.py
	* widgets/static_bitmap/lisp_codegen.py
	* widgets/static_line/lisp_codegen.py
	* widgets/static_text/lisp_codegen.py
	* widgets/text_ctrl/lisp_codegen.py
	* widgets/toolbar/lisp_codegen.py
	* widgets/tree_ctrl/lisp_codegen.py

2013-02-01  Carsten Grohmann  <mail@carstengrohmann.de>

	Add "Store as attribute" for sizers

	Sizers won't store as class attributes per default. You can enable
	this using the new GUI element.

	This change primarily affects Python and C++, because the code
	generators for Perl and Lisp do already store sizers as class
	attributes.

	Files (added, modified or removed):
	* NEWS.txt
	* codegen/__init__.py
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py
	* edit_sizers/edit_sizers.py
	* edit_sizers/lisp_sizers_codegen.py
	* edit_sizers/perl_sizers_codegen.py
	* edit_sizers/sizers_codegen.py
	* tests/casefiles/LispOgg1.lisp
	* tests/casefiles/LispOgg2_MyDialog.lisp
	* tests/casefiles/LispOgg2_MyFrame.lisp
	* tests/casefiles/LispOgg3.lisp
	* tests/casefiles/Lisp_Preferences.lisp
	* tests/casefiles/Sizers_classattr.cpp
	* tests/casefiles/Sizers_classattr.h
	* tests/casefiles/Sizers_classattr.lisp
	* tests/casefiles/Sizers_classattr.pl
	* tests/casefiles/Sizers_classattr.py
	* tests/casefiles/Sizers_classattr.wxg
	* tests/casefiles/Sizers_classattr.xrc
	* tests/casefiles/Sizers_no_classattr.cpp
	* tests/casefiles/Sizers_no_classattr.h
	* tests/casefiles/Sizers_no_classattr.lisp
	* tests/casefiles/Sizers_no_classattr.pl
	* tests/casefiles/Sizers_no_classattr.py
	* tests/casefiles/Sizers_no_classattr.wxg
	* tests/casefiles/Sizers_no_classattr.xrc
	* tests/casefiles/add_class_inplace_extended.lisp
	* tests/casefiles/add_class_inplace_orig.lisp
	* tests/casefiles/remove_class_inplace_expected.lisp
	* tests/casefiles/remove_class_inplace_input.lisp
	* tests/test_codegen.py
	* wxglade.py

2013-01-31  Carsten Grohmann  <mail@carstengrohmann.de>

	Fix AttributeError during preview of a new generated project.

	This bug is a regression introducted in commit 197d18d "Set
	codewriter variables back to defaults if a new document is created"

	Files (added, modified or removed):
	* codegen/py_codegen.py

2013-01-28  Carsten Grohmann  <mail@carstengrohmann.de>

	Add source documention for in_sizers and in_windows

	Files (added, modified or removed):
	* xml_parse.py

2013-01-25  Carsten Grohmann  <mail@carstengrohmann.de>

	Improve error message for missing test files

	Files (added, modified or removed):
	* tests/__init__.py

	Introduce WXGladeBaseTest._test_all() to generate code for all
	languages at once.

	Files (added, modified or removed):
	* tests/__init__.py
	* tests/test_codegen.py

2013-01-18  Carsten Grohmann  <mail@carstengrohmann.de>

	Unify sizer code generation

	Files (added, modified or removed):
	* edit_sizers/edit_sizers.py
	* edit_sizers/lisp_sizers_codegen.py
	* edit_sizers/perl_sizers_codegen.py
	* edit_sizers/sizers_codegen.py
	* tests/casefiles/CPP_Preferences.cpp
	* tests/casefiles/FontColour.lisp
	* tests/casefiles/Gauge.lisp
	* tests/casefiles/Grid.lisp
	* tests/casefiles/HyperlinkCtrl_26.lisp
	* tests/casefiles/HyperlinkCtrl_28.lisp
	* tests/casefiles/LispOgg1.lisp
	* tests/casefiles/LispOgg2_MyDialog.lisp
	* tests/casefiles/LispOgg2_MyFrame.lisp
	* tests/casefiles/LispOgg3.lisp
	* tests/casefiles/Lisp_Preferences.lisp
	* tests/casefiles/Lisp_wxBitmapButton.lisp
	* tests/casefiles/Perl_Preferences.pl
	* tests/casefiles/add_class_inplace_extended.lisp
	* tests/casefiles/add_class_inplace_orig.lisp
	* tests/casefiles/no_suitable_writer.lisp
	* tests/casefiles/remove_class_inplace_expected.lisp
	* tests/casefiles/remove_class_inplace_input.lisp

2013-01-15  Carsten Grohmann  <mail@carstengrohmann.de>

	Add more wx constants to prevent formatting of those contants.

	Files (added, modified or removed):
	* codegen/pl_codegen.py

2013-01-07  Carsten Grohmann  <mail@carstengrohmann.de>

	applied patch by Roel van Os: "When pasting: only search current
	top-level window for duplicate names"

	Original commit: 923:3b06bb046ccf at
	https://bitbucket.org/elentirmo/wxglade_elentirmo

	Files (added, modified or removed):
	* NEWS.txt
	* tree.py
	* xml_parse.py

2013-01-05  Carsten Grohmann  <mail@carstengrohmann.de>

	Remove flag wxTHICK_FRAME because it is not available with wxPerl
	2.8

	The code generated by the test suite is fine, but you can't start
	the test programs with a current wxPerl. Thereby I've remove this
	flag.

	Files (added, modified or removed):
	* tests/casefiles/CPPOgg1.cpp
	* tests/casefiles/CPPOgg1.wxg
	* tests/casefiles/CPPOgg2.wxg
	* tests/casefiles/CPPOgg2_MyDialog.cpp
	* tests/casefiles/CPPOgg3.cpp
	* tests/casefiles/LispOgg1.lisp
	* tests/casefiles/LispOgg1.wxg
	* tests/casefiles/LispOgg2.wxg
	* tests/casefiles/LispOgg2_MyDialog.lisp
	* tests/casefiles/LispOgg3.lisp
	* tests/casefiles/LispOgg3.wxg
	* tests/casefiles/PlOgg1.pl
	* tests/casefiles/PlOgg1.wxg
	* tests/casefiles/PlOgg2.wxg
	* tests/casefiles/PlOgg2_MyDialog.pm
	* tests/casefiles/PlOgg3.pl
	* tests/casefiles/PyOgg1.py
	* tests/casefiles/PyOgg1.wxg
	* tests/casefiles/PyOgg1_oldnamespace.py
	* tests/casefiles/PyOgg2.wxg
	* tests/casefiles/PyOgg2_MyDialog.py
	* tests/casefiles/PyOgg3.py

2013-01-04  Carsten Grohmann  <mail@carstengrohmann.de>

	Don't add unsupported widgets to a sizer

	Widgets without code generator or widget that are not supporting the
	requested wx version are blacklisted now. Thereby the widgets won't
	add to any sizers.

	Files (added, modified or removed):
	* NEWS.txt
	* codegen/__init__.py
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py
	* tests/casefiles/HyperlinkCtrl_26.cpp
	* tests/casefiles/HyperlinkCtrl_26.lisp
	* tests/casefiles/HyperlinkCtrl_26.pl
	* tests/casefiles/HyperlinkCtrl_26.py
	* tests/casefiles/no_suitable_writer.cpp
	* tests/casefiles/no_suitable_writer.lisp
	* tests/casefiles/no_suitable_writer.pl
	* tests/casefiles/no_suitable_writer.py
	* tests/casefiles/no_suitable_writer.wxg

	Activate tests for HyperlinkCtrl and Lisp

	Files (added, modified or removed):
	* tests/casefiles/HyperlinkCtrl_26.lisp
	* tests/test_codegen.py

	Remove unused imports of cStringIO

	Files (added, modified or removed):
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py

	Add warning messages to Perl, Python and Lisp source code again

	Files (added, modified or removed):
	* codegen/__init__.py
	* tests/casefiles/HyperlinkCtrl_26.pl
	* tests/casefiles/HyperlinkCtrl_26.py
	* tests/casefiles/no_suitable_writer.lisp
	* tests/casefiles/no_suitable_writer.pl
	* tests/casefiles/no_suitable_writer.py

2013-01-02  Carsten Grohmann  <mail@carstengrohmann.de>

	Unify code generation for widgets in Perl, Python and Lisp.

	Merge add_object() code of Perl, Python and Lisp code writer. The
	change unify the code generation code.

	The warning messages won't be included in generated Perl code now.
	One of the next commits will re-introduce the warning messages to
	Perl, Python and Lisp.

	Files (added, modified or removed):
	* codegen/__init__.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py
	* tests/casefiles/HyperlinkCtrl_26.pl
	* tests/casefiles/LispOgg1.lisp
	* tests/casefiles/LispOgg2_MyDialog.lisp
	* tests/casefiles/LispOgg3.lisp
	* tests/casefiles/Lisp_Preferences.lisp
	* tests/casefiles/Perl_Preferences.pl
	* tests/casefiles/PlOgg1.pl
	* tests/casefiles/PlOgg2_MyDialog.pm
	* tests/casefiles/no_suitable_writer.lisp
	* tests/casefiles/no_suitable_writer.pl
	* tests/test_codegen.py

2013-01-01  Carsten Grohmann  <mail@carstengrohmann.de>

	Solve logical bug in test case for no suitable writer

	A difference between generated and expected code causes an test
	failure (that's ok). But the temporary removed wxButton widget
	wouldn't restored in such a case. This change fixes the behaviour.

	Files (added, modified or removed):
	* tests/test_codegen.py

2012-12-30  Carsten Grohmann  <mail@carstengrohmann.de>

	Replace traceback.print_exc() by common.message.exception()

	Files (added, modified or removed):
	* application.py
	* codegen/__init__.py
	* edit_sizers/edit_sizers.py
	* edit_windows.py
	* font_dialog.py
	* misc.py
	* tree.py
	* widget_properties.py
	* wxglade.py

	Rework generating code in Lisp, Perl and Python code generator

	This changes primarily unify the add_class() function and move it to
	the base class.

	BTW: This changes solves a bug that has suppressed adding extra code
	to Perl sources.

	Files (added, modified or removed):
	* codegen/__init__.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py
	* tests/casefiles/PlOgg1.pl
	* tests/casefiles/PlOgg1.wxg

2012-12-29  Carsten Grohmann  <mail@carstengrohmann.de>

	Simplify access to parent attributes in SourceFileContent

	The language specific instances of SourceFileContent need access to
	a few attributes of the parent code writer instance.

	Most of the ctor parameters are replaced by a new parameter called
	"code_writer" and this is used to access parents attributes in the
	ctor once.

	Files (added, modified or removed):
	* codegen/__init__.py
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py

	Exclude test cases from pylint run

	Files (added, modified or removed):
	* Makefile

	Use OrderedDict in XRC code generator to prevent flipping of
	entries.

	This flipping entries may break unittests randomly.

	Files (added, modified or removed):
	* codegen/xrc_codegen.py
	* tests/casefiles/add_class_inplace_extended.xrc

	Add 3rd party software OrderedDict

	The class OrderedDict provides a dictionary that remembers insertion
	order.

	This feature is useful to prevent flipping of lines or code blocks
	in automatically generated source code.

	Files (added, modified or removed):
	* docs/html/apa.html
	* docs/html/apb.html
	* docs/html/ch01.html
	* docs/html/ch01s02.html
	* docs/html/ch01s03.html
	* docs/html/ch01s04.html
	* docs/html/ch01s05.html
	* docs/html/ch01s06.html
	* docs/html/ch01s07.html
	* docs/html/ch02.html
	* docs/html/ch02s02.html
	* docs/html/ch02s03.html
	* docs/html/ch02s04.html
	* docs/html/ch02s05.html
	* docs/html/ch03.html
	* docs/html/ch03s02.html
	* docs/html/ch03s03.html
	* docs/html/ch03s04.html
	* docs/html/ch03s06.html
	* docs/html/ch03s07.html
	* docs/html/ch04.html
	* docs/html/ch05.html
	* docs/html/index.html
	* docs/html/pr01.html
	* docs/html/pr01s02.html
	* docs/html/pr01s03.html
	* docs/pdf/manual.pdf
	* docs/src/manual.xml
	* ordereddict.py

	Suppress appendix toc in HTML documentation

	Files (added, modified or removed):
	* Makefile
	* docs/src/html.xsl

2012-12-28  Carsten Grohmann  <mail@carstengrohmann.de>

	Fix warning for removed / renamed top-level classes.

	The mis-formatting of the warning messages, was probably introduced
	during the code generator rework. I'm sorry.

	Files (added, modified or removed):
	* codegen/__init__.py
	* tests/casefiles/remove_class_inplace_expected.cpp
	* tests/casefiles/remove_class_inplace_expected.lisp
	* tests/casefiles/remove_class_inplace_expected.pl
	* tests/casefiles/remove_class_inplace_expected.py
	* tests/test_codegen.py

	Add two test cases for adding and removing top-level widget in-place

	The generated code looks broken for Perl, Python and Lisp currently.

	Files (added, modified or removed):
	* tests/casefiles/add_class_inplace_extended.cpp
	* tests/casefiles/add_class_inplace_extended.h
	* tests/casefiles/add_class_inplace_extended.lisp
	* tests/casefiles/add_class_inplace_extended.pl
	* tests/casefiles/add_class_inplace_extended.py
	* tests/casefiles/add_class_inplace_extended.wxg
	* tests/casefiles/add_class_inplace_extended.xrc
	* tests/casefiles/add_class_inplace_orig.cpp
	* tests/casefiles/add_class_inplace_orig.h
	* tests/casefiles/add_class_inplace_orig.lisp
	* tests/casefiles/add_class_inplace_orig.pl
	* tests/casefiles/add_class_inplace_orig.py
	* tests/casefiles/add_class_inplace_orig.xrc
	* tests/casefiles/remove_class_inplace.wxg
	* tests/casefiles/remove_class_inplace_expected.cpp
	* tests/casefiles/remove_class_inplace_expected.h
	* tests/casefiles/remove_class_inplace_expected.lisp
	* tests/casefiles/remove_class_inplace_expected.pl
	* tests/casefiles/remove_class_inplace_expected.py
	* tests/casefiles/remove_class_inplace_expected.xrc
	* tests/casefiles/remove_class_inplace_input.cpp
	* tests/casefiles/remove_class_inplace_input.h
	* tests/casefiles/remove_class_inplace_input.lisp
	* tests/casefiles/remove_class_inplace_input.pl
	* tests/casefiles/remove_class_inplace_input.py
	* tests/casefiles/remove_class_inplace_input.xrc
	* tests/test_codegen.py

2012-12-26  Carsten Grohmann  <mail@carstengrohmann.de>

	Add a test case to test "no suitable writer" warning.

	This warning occurs if the widget exists generally but there is no
	writer for the language to generate.

	Currently the warning won't written to all generated source files.
	It will be written for C++, Lisp and Perl. Not for Python.

	Files (added, modified or removed):
	* NEWS.txt
	* tests/casefiles/no_suitable_writer.cpp
	* tests/casefiles/no_suitable_writer.h
	* tests/casefiles/no_suitable_writer.lisp
	* tests/casefiles/no_suitable_writer.pl
	* tests/casefiles/no_suitable_writer.py
	* tests/casefiles/no_suitable_writer.wxg
	* tests/casefiles/no_suitable_writer.xrc
	* tests/test_codegen.py

	Replace os.mkdir() by more robust and recursive working
	os.makedirs()

	Files (added, modified or removed):
	* common.py
	* config.py
	* template.py

	Add faked implementation of os.makedirs() for unittests

	Files (added, modified or removed):
	* tests/__init__.py

2012-12-25  Carsten Grohmann  <mail@carstengrohmann.de>

	Improve storing files from code generators.

	Add new functions to separate creating filenames to unify code
	generators a little bit more.

	Create sub directories e.g. for Perl modules during saving of the
	generated source code.

	Files (added, modified or removed):
	* codegen/__init__.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py

	Improve faked os.path.isdir() implementation

	This implementation will be used for tests only.

	Files (added, modified or removed):
	* tests/__init__.py

2012-12-23  Carsten Grohmann  <mail@carstengrohmann.de>

	Rework generating constructor code in all code generators

	This causes some minor changes in the code generated by wxGlade for
	Lisp, Perl, Python and C++.

	For Perl: Some empty lines are gone.

	For Lisp: The round brackets are now outside of the blocks "begin
	wxGlade" and "end wxGlade" in the Lisp code now. There is an
	additional new line in front of the dependencies now.

	For Python: A single quotation mark has changed in a printed
	message.

	For C++: Event table and event handler stubs have been moved later
	in the same file. This change was necessary to equalise parts of the
	C++ code generator code.

	Files (added, modified or removed):
	* codegen/__init__.py
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py
	* tests/casefiles/CPPOgg1.cpp
	* tests/casefiles/CPPOgg2_MyDialog.cpp
	* tests/casefiles/CPPOgg3.cpp
	* tests/casefiles/CPP_wxCalendarCtrl.cpp
	* tests/casefiles/CalendarCtrl.pl
	* tests/casefiles/FontColour.lisp
	* tests/casefiles/FontColour.pl
	* tests/casefiles/Gauge.lisp
	* tests/casefiles/Gauge.pl
	* tests/casefiles/Grid.cpp
	* tests/casefiles/Grid.lisp
	* tests/casefiles/Grid.pl
	* tests/casefiles/Grid.py
	* tests/casefiles/HyperlinkCtrl_26.lisp
	* tests/casefiles/HyperlinkCtrl_26.pl
	* tests/casefiles/HyperlinkCtrl_28.lisp
	* tests/casefiles/HyperlinkCtrl_28.pl
	* tests/casefiles/LispOgg1.lisp
	* tests/casefiles/LispOgg2_MyDialog.lisp
	* tests/casefiles/LispOgg2_MyFrame.lisp
	* tests/casefiles/LispOgg3.lisp
	* tests/casefiles/Lisp_Preferences.lisp
	* tests/casefiles/Lisp_wxBitmapButton.lisp
	* tests/casefiles/Perl_Preferences.pl
	* tests/casefiles/PlOgg1.pl
	* tests/casefiles/PlOgg2_MyDialog.pm
	* tests/casefiles/PlOgg2_MyFrame.pm
	* tests/casefiles/PlOgg3.pl
	* tests/casefiles/PyOgg1.py
	* tests/casefiles/PyOgg1_oldnamespace.py
	* tests/casefiles/PyOgg2_MyDialog.py
	* tests/casefiles/PyOgg3.py

2012-12-22  Carsten Grohmann  <mail@carstengrohmann.de>

	Fix for wrong formatted error message

	Files (added, modified or removed):
	* codegen/__init__.py

2012-12-21  Carsten Grohmann  <mail@carstengrohmann.de>

	Rework __do_layout() and __set_properties() in all code generators

	Now the functions __do_layout() and __set_properties() are generated
	by using the same code. This causes some minor changes in the code
	generated by wxGlade for both functions for Perl and Lisp.

	Both changes effects only Perl and Lisp code generated for both
	functions and if in-place editing is used.

	For Perl: Some empty lines are gone.

	For Lisp: The round brackets are now outside of the blocks "begin
	wxGlade" and "end wxGlade" in the Lisp code now.

	Files (added, modified or removed):
	* codegen/__init__.py
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py
	* tests/casefiles/CalendarCtrl.pl
	* tests/casefiles/FontColour.lisp
	* tests/casefiles/FontColour.pl
	* tests/casefiles/Gauge.lisp
	* tests/casefiles/Gauge.pl
	* tests/casefiles/Grid.lisp
	* tests/casefiles/Grid.pl
	* tests/casefiles/HyperlinkCtrl_26.lisp
	* tests/casefiles/HyperlinkCtrl_26.pl
	* tests/casefiles/HyperlinkCtrl_28.lisp
	* tests/casefiles/HyperlinkCtrl_28.pl
	* tests/casefiles/LispOgg1.lisp
	* tests/casefiles/LispOgg2_MyDialog.lisp
	* tests/casefiles/LispOgg2_MyFrame.lisp
	* tests/casefiles/LispOgg3.lisp
	* tests/casefiles/Lisp_Preferences.lisp
	* tests/casefiles/Lisp_wxBitmapButton.lisp
	* tests/casefiles/Perl_Preferences.pl
	* tests/casefiles/PlOgg1.pl
	* tests/casefiles/PlOgg2_MyDialog.pm
	* tests/casefiles/PlOgg2_MyFrame.pm
	* tests/casefiles/PlOgg3.pl

	Remove preview code from Perl code generator

	Files (added, modified or removed):
	* codegen/pl_codegen.py

	Add missing newlines in Lisp codegen for wxBitmapButton

	Files (added, modified or removed):
	* widgets/bitmap_button/lisp_codegen.py

2012-12-20  Carsten Grohmann  <mail@carstengrohmann.de>

	Code generatore source code cleanups and aligments

	Files (added, modified or removed):
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py

	Add BaseSourceFileContent._format_comment() and _source_comment().

	Generic functions to write a warning message to the source code.

	Files (added, modified or removed):
	* codegen/__init__.py
	* codegen/xrc_codegen.py
	* tests/casefiles/HyperlinkCtrl_26.cpp
	* tests/casefiles/HyperlinkCtrl_26.pl

2012-12-19  Carsten Grohmann  <mail@carstengrohmann.de>

	Fix directory check in CodeWriter class if just the file name is
	given

	Files (added, modified or removed):
	* xml_parse.py

	Update NEWS.txt

	Files (added, modified or removed):
	* NEWS.txt

	Add new widget HyperlinkCtrl

	Files (added, modified or removed):
	* NEWS.txt
	* icons/hyperlink_ctrl.xpm
	* tests/casefiles/HyperlinkCtrl_26.cpp
	* tests/casefiles/HyperlinkCtrl_26.h
	* tests/casefiles/HyperlinkCtrl_26.lisp
	* tests/casefiles/HyperlinkCtrl_26.pl
	* tests/casefiles/HyperlinkCtrl_26.py
	* tests/casefiles/HyperlinkCtrl_26.wxg
	* tests/casefiles/HyperlinkCtrl_26.xrc
	* tests/casefiles/HyperlinkCtrl_28.cpp
	* tests/casefiles/HyperlinkCtrl_28.h
	* tests/casefiles/HyperlinkCtrl_28.lisp
	* tests/casefiles/HyperlinkCtrl_28.pl
	* tests/casefiles/HyperlinkCtrl_28.py
	* tests/casefiles/HyperlinkCtrl_28.wxg
	* tests/casefiles/HyperlinkCtrl_28.xrc
	* tests/test_codegen.py
	* widgets/hyperlink_ctrl/__init__.py
	* widgets/hyperlink_ctrl/codegen.py
	* widgets/hyperlink_ctrl/hyperlink_ctrl.py
	* widgets/hyperlink_ctrl/lisp_codegen.py
	* widgets/hyperlink_ctrl/perl_codegen.py
	* widgets/widgets.txt

2012-12-18  Carsten Grohmann  <mail@carstengrohmann.de>

	Remove code to support Python 2.2

	Files (added, modified or removed):
	* events_mixin.py
	* misc.py

	Epydoc fix

	Files (added, modified or removed):
	* misc.py

	Remove unused code

	Files (added, modified or removed):
	* edit_windows.py
	* widget_properties.py

	Add support for widget builder that don't support all wx versions

	Some new widgets like wxHyperlinkCtrl are not available for
	wxWidgets 2.6. Thereby a new class attribute called "supported_by"
	is introducted.

	The attribute has set in the code generator class are well as in the
	class to edit the widget.

	The properties window shows a note at bottom if the widget is not
	supported at all wx versions supported by wxGlade.

	Files (added, modified or removed):
	* NEWS.txt
	* codegen/__init__.py
	* edit_windows.py
	* misc.py

	Add a class variable to Application class with all supported wx
	versions

	The class variable Application.all_supported_versions contains a
	list of all supported wxWidgets versions now. The variable is also
	used to build GUI elements.

	Files (added, modified or removed):
	* application.py

2012-12-17  Carsten Grohmann  <mail@carstengrohmann.de>

	Just add a comment to source

	Files (added, modified or removed):
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py

2012-12-16  Carsten Grohmann  <mail@carstengrohmann.de>

	Unify codegenerators

	Move the initial action for adding a object from language specific
	code generators to base class BaseCodeWriter.

	Files (added, modified or removed):
	* codegen/__init__.py
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py

2012-12-14  Carsten Grohmann  <mail@carstengrohmann.de>

	Minor changes to eliminate a indentation level

	Files (added, modified or removed):
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py

	Check abbreviations case in-sensitive and return them upper case

	The function capitalize() doesn't capitalize some abbreviations e.g.
	XML. Now the check for this abbreviations is case in-sensitive and
	returns the abbreviation always upper case.

	Files (added, modified or removed):
	* misc.py

2012-12-11  Carsten Grohmann  <mail@carstengrohmann.de>

	Show filename of loaded project file

	Files (added, modified or removed):
	* main.py

2012-12-08  Carsten Grohmann  <mail@carstengrohmann.de>

	Use common.messages.exception() for exception logging

	Files (added, modified or removed):
	* xml_parse.py

	Implement workaround for SAX internal UnicodeEncodeError (sf bug
	#149)

	Permanent workaround for Python bug "Sax parser crashes if given
	unicode file name" (http://bugs.python.org/issue11159).

	This bug causes a UnicodeEncodeError if the SAX XML parser wants to
	store an unicode filename internally. That's not a general file
	handling issue because the parameter source is an open file already.

	Files (added, modified or removed):
	* xml_parse.py

	Improve message logging

	Files (added, modified or removed):
	* NEWS.txt
	* application.py
	* codegen/__init__.py
	* codegen/xrc_codegen.py
	* common.py
	* main.py
	* widget_properties.py

2012-12-07  Carsten Grohmann  <mail@carstengrohmann.de>

	Pep8 and documentation changes only

	Files (added, modified or removed):
	* xml_parse.py

	Rename unused variable

	Files (added, modified or removed):
	* layout_option_property.py

	Remove mutable default arguments

	Files (added, modified or removed):
	* main.py

	Add some comments

	Files (added, modified or removed):
	* edit_sizers/__init__.py

	Remove mutable default arguments

	Files (added, modified or removed):
	* application.py
	* widget_properties.py

	Remove unused parameter first in on_change_value()

	Currently on_change_value() is mostly used for event handling an
	mutable argument first isn't used.

	Files (added, modified or removed):
	* widget_properties.py

2012-12-04  Carsten Grohmann  <mail@carstengrohmann.de>

	Update and extend documentation

	Files (added, modified or removed):
	* docs/html/apa.html
	* docs/html/ch01.html
	* docs/html/ch01s02.html
	* docs/html/ch01s03.html
	* docs/html/ch01s04.html
	* docs/html/ch01s05.html
	* docs/html/ch01s06.html
	* docs/html/ch01s07.html
	* docs/html/ch02.html
	* docs/html/ch02s02.html
	* docs/html/ch02s03.html
	* docs/html/ch02s04.html
	* docs/html/ch02s05.html
	* docs/html/ch02s06.html
	* docs/html/ch03.html
	* docs/html/ch03s02.html
	* docs/html/ch03s03.html
	* docs/html/ch03s04.html
	* docs/html/ch03s06.html
	* docs/html/ch03s07.html
	* docs/html/ch04.html
	* docs/html/ch04s02.html
	* docs/html/ch05.html
	* docs/html/ch05s03.html
	* docs/html/index.html
	* docs/html/pr01.html
	* docs/html/pr01s02.html
	* docs/html/pr01s03.html
	* docs/html/wxglade.png
	* docs/pdf/manual.pdf
	* docs/src/manual.xml
	* docs/src/wxglade.png

	Set HG executable bit only

	Files (added, modified or removed):
	* xrc2wxg.py

2012-12-03  Carsten Grohmann  <mail@carstengrohmann.de>

	Fix exceptions during widget preview triggered by keyboard shortcut

	Files (added, modified or removed):
	* NEWS.txt
	* edit_windows.py
	* main.py

2012-12-01  Carsten Grohmann  <mail@carstengrohmann.de>

	Pep8 changes only

	Files (added, modified or removed):
	* xrc2wxg.py

2012-11-28  Carsten Grohmann  <mail@carstengrohmann.de>

	Add file extension automatically if no extension is given

	Files (added, modified or removed):
	* application.py
	* codegen/cpp_codegen.py
	* main.py

	Add myself

	Files (added, modified or removed):
	* credits.txt

2012-11-11  Carsten Grohmann  <mail@carstengrohmann.de>

	Relocate parts of the i18n code to a earlier position in file

	Files (added, modified or removed):
	* codegen/cpp_codegen.py
	* tests/casefiles/CPPAddApp_multi_gettext_detailed.cpp
	* tests/casefiles/CPPAddApp_multi_gettext_simple.cpp
	* tests/casefiles/CPPAddApp_single_gettext_detailed.cpp
	* tests/casefiles/CPPAddApp_single_gettext_simple.cpp
	* tests/casefiles/CPPOgg1.cpp
	* tests/casefiles/CPPOgg1.h
	* tests/casefiles/CPPOgg2_main.cpp
	* tests/casefiles/CPPOgg3.cpp
	* tests/casefiles/CPPOgg3.h
	* tests/casefiles/CPP_Preferences.cpp
	* tests/casefiles/CPP_Preferences.h
	* tests/casefiles/FontColour.cpp
	* tests/casefiles/FontColour.h

	Remove cleaning variables in BaseCodeWriter.initialze()

	The cleanup is done in BaseCodeWriter._init_vars() already.

	Files (added, modified or removed):
	* codegen/__init__.py

	Add simple application start code to C++ code generator

	Files (added, modified or removed):
	* NEWS.txt
	* codegen/cpp_codegen.py
	* tests/casefiles/CPPAddApp_multi_gettext_detailed.cpp
	* tests/casefiles/CPPAddApp_multi_gettext_simple.cpp
	* tests/casefiles/CPPAddApp_multi_simple.cpp
	* tests/casefiles/CPPAddApp_single_gettext_detailed.cpp
	* tests/casefiles/CPPAddApp_single_gettext_simple.cpp
	* tests/casefiles/CPPAddApp_single_simple.cpp
	* tests/casefiles/CPPOgg1.cpp
	* tests/casefiles/CPPOgg2_main.cpp
	* tests/casefiles/CPPOgg3.cpp
	* tests/casefiles/CPP_Preferences.cpp
	* tests/casefiles/CPP_wxCalendarCtrl.cpp
	* tests/casefiles/CalendarCtrl.cpp
	* tests/casefiles/FontColour.cpp
	* tests/casefiles/Gauge.cpp
	* tests/casefiles/Grid.cpp
	* tests/test_codegen.py

	Add i18n support to C++ code generator

	Files (added, modified or removed):
	* NEWS.txt
	* codegen/cpp_codegen.py
	* tests/casefiles/CPPAddApp_multi_gettext_detailed.cpp
	* tests/casefiles/CPPAddApp_single_gettext_detailed.cpp
	* tests/casefiles/CPPOgg1.cpp
	* tests/casefiles/CPPOgg2_main.cpp
	* tests/casefiles/CPPOgg3.cpp
	* tests/casefiles/FontColour.cpp

2012-11-10  Carsten Grohmann  <mail@carstengrohmann.de>

	Update NEWS.txt

	Files (added, modified or removed):
	* NEWS.txt

	Rename some codegen variables and extent source documentation

	Files (added, modified or removed):
	* codegen/__init__.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py

	Relocate Pythons gettext import statements

	Files (added, modified or removed):
	* codegen/py_codegen.py
	* tests/casefiles/FontColour.py
	* tests/casefiles/PyAddApp_multi_gettext_detailed.py
	* tests/casefiles/PyAddApp_multi_gettext_simple.py
	* tests/casefiles/PyAddApp_single_gettext_detailed.py
	* tests/casefiles/PyAddApp_single_gettext_simple.py
	* tests/casefiles/PyOgg1.py
	* tests/casefiles/PyOgg1_oldnamespace.py
	* tests/casefiles/PyOgg2_app.py
	* tests/casefiles/PyOgg3.py
	* tests/casefiles/Python_Preferences.py

	Move python codegen specific code from BaseCodeWriter to
	PythonCodeWriter

	Files (added, modified or removed):
	* codegen/__init__.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py

2012-11-09  Carsten Grohmann  <mail@carstengrohmann.de>

	Set codewriter variables back to defaults if a new document is
	created

	Files (added, modified or removed):
	* codegen/__init__.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py

2012-11-07  Carsten Grohmann  <mail@carstengrohmann.de>

	Simplify generation of Perl application startup code

	Files (added, modified or removed):
	* codegen/pl_codegen.py
	* tests/casefiles/PlAddApp_multi_gettext_simple.pl
	* tests/casefiles/PlAddApp_multi_simple.pl
	* tests/casefiles/PlOgg2_app.pl

	Separate code templates for application startup code

	The code pieces are moved into class variables as well as join
	language specific parts of add_app().

	Files (added, modified or removed):
	* NEWS.txt
	* codegen/__init__.py
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py
	* tests/test_codegen.py

2012-11-05  Carsten Grohmann  <mail@carstengrohmann.de>

	Add more tests for app code generation

	Files (added, modified or removed):
	* tests/casefiles/CPPAddApp_detailed.cpp
	* tests/casefiles/CPPAddApp_gettext_detailed.cpp
	* tests/casefiles/CPPAddApp_gettext_simple.cpp
	* tests/casefiles/CPPAddApp_multi_detailed.cpp
	* tests/casefiles/CPPAddApp_multi_gettext_detailed.cpp
	* tests/casefiles/CPPAddApp_simple.cpp
	* tests/casefiles/CPPAddApp_single_detailed.cpp
	* tests/casefiles/CPPAddApp_single_gettext_detailed.cpp
	* tests/casefiles/CPPAddApp_single_gettext_simple.cpp
	* tests/casefiles/CPPAddApp_single_simple.cpp
	* tests/casefiles/LispAddApp_detailed.lisp
	* tests/casefiles/LispAddApp_gettext_detailed.lisp
	* tests/casefiles/LispAddApp_gettext_simple.lisp
	* tests/casefiles/LispAddApp_multi_detailed.lisp
	* tests/casefiles/LispAddApp_multi_gettext_detailed.lisp
	* tests/casefiles/LispAddApp_multi_gettext_simple.lisp
	* tests/casefiles/LispAddApp_multi_simple.lisp
	* tests/casefiles/LispAddApp_simple.lisp
	* tests/casefiles/LispAddApp_single_detailed.lisp
	* tests/casefiles/LispAddApp_single_gettext_detailed.lisp
	* tests/casefiles/LispAddApp_single_gettext_simple.lisp
	* tests/casefiles/LispAddApp_single_simple.lisp
	* tests/casefiles/PlAddApp_detailed.pl
	* tests/casefiles/PlAddApp_gettext_detailed.pl
	* tests/casefiles/PlAddApp_gettext_simple.pl
	* tests/casefiles/PlAddApp_multi_detailed.pl
	* tests/casefiles/PlAddApp_multi_gettext_detailed.pl
	* tests/casefiles/PlAddApp_multi_gettext_simple.pl
	* tests/casefiles/PlAddApp_multi_simple.pl
	* tests/casefiles/PlAddApp_simple.pl
	* tests/casefiles/PlAddApp_single_detailed.pl
	* tests/casefiles/PlAddApp_single_gettext_detailed.pl
	* tests/casefiles/PlAddApp_single_gettext_simple.pl
	* tests/casefiles/PlAddApp_single_simple.pl
	* tests/casefiles/PyAddApp_detailed.py
	* tests/casefiles/PyAddApp_gettext_detailed.py
	* tests/casefiles/PyAddApp_gettext_simple.py
	* tests/casefiles/PyAddApp_multi_detailed.py
	* tests/casefiles/PyAddApp_multi_gettext_detailed.py
	* tests/casefiles/PyAddApp_multi_gettext_simple.py
	* tests/casefiles/PyAddApp_multi_simple.py
	* tests/casefiles/PyAddApp_simple.py
	* tests/casefiles/PyAddApp_single_detailed.py
	* tests/casefiles/PyAddApp_single_gettext_detailed.py
	* tests/casefiles/PyAddApp_single_gettext_simple.py
	* tests/casefiles/PyAddApp_single_simple.py
	* tests/test_codegen.py

	Rename CPPCodeWriter.output_source to CPPCodeWriter.output_file

	Files (added, modified or removed):
	* codegen/__init__.py
	* codegen/cpp_codegen.py
	* tests/test_codegen.py

2012-11-04  Carsten Grohmann  <mail@carstengrohmann.de>

	Add test for app code generation

	Files (added, modified or removed):
	* tests/casefiles/CPPAddApp_detailed.cpp
	* tests/casefiles/CPPAddApp_gettext_detailed.cpp
	* tests/casefiles/CPPAddApp_gettext_simple.cpp
	* tests/casefiles/CPPAddApp_simple.cpp
	* tests/casefiles/LispAddApp_detailed.lisp
	* tests/casefiles/LispAddApp_gettext_detailed.lisp
	* tests/casefiles/LispAddApp_gettext_simple.lisp
	* tests/casefiles/LispAddApp_simple.lisp
	* tests/casefiles/PlAddApp_detailed.pl
	* tests/casefiles/PlAddApp_gettext_detailed.pl
	* tests/casefiles/PlAddApp_gettext_simple.pl
	* tests/casefiles/PlAddApp_simple.pl
	* tests/casefiles/PyAddApp_detailed.py
	* tests/casefiles/PyAddApp_gettext_detailed.py
	* tests/casefiles/PyAddApp_gettext_simple.py
	* tests/casefiles/PyAddApp_simple.py
	* tests/test_codegen.py

2012-11-01  Carsten Grohmann  <mail@carstengrohmann.de>

	Add more tooltips to properties window

	Files (added, modified or removed):
	* NEWS.txt
	* application.py

	Added tooltip for DialogProperty

	Files (added, modified or removed):
	* widget_properties.py

2012-10-29  Carsten Grohmann  <mail@carstengrohmann.de>

	Rework tooltip handling to allow to set of tooltips without calling
	display()

	Files (added, modified or removed):
	* widget_properties.py

	Minor layout changes in wxGlade manual

	Files (added, modified or removed):
	* docs/html/apa.html
	* docs/html/ch01.html
	* docs/html/ch01s02.html
	* docs/html/ch01s03.html
	* docs/html/ch01s04.html
	* docs/html/ch01s05.html
	* docs/html/ch01s06.html
	* docs/html/ch02.html
	* docs/html/ch02s02.html
	* docs/html/ch02s03.html
	* docs/html/ch02s04.html
	* docs/html/ch03.html
	* docs/html/ch03s02.html
	* docs/html/ch03s03.html
	* docs/html/ch03s04.html
	* docs/html/ch03s06.html
	* docs/html/ch03s07.html
	* docs/html/ch04.html
	* docs/html/ch05.html
	* docs/html/index.html
	* docs/html/pr01.html
	* docs/html/pr01s02.html
	* docs/html/pr01s03.html
	* docs/pdf/manual.pdf
	* docs/src/manual.xml

2012-10-28  Carsten Grohmann  <mail@carstengrohmann.de>

	Minor source documentation changes

	Files (added, modified or removed):
	* widget_properties.py

	Enable sorting and capitalising code writer languages in
	"Properties" window

	Files (added, modified or removed):
	* application.py
	* docs/html/apa.html
	* docs/html/ch01.html
	* docs/html/ch01s02.html
	* docs/html/ch01s03.html
	* docs/html/ch01s04.html
	* docs/html/ch01s05.html
	* docs/html/ch01s06.html
	* docs/html/ch02.html
	* docs/html/ch02s02.html
	* docs/html/ch02s03.html
	* docs/html/ch02s04.html
	* docs/html/ch03.html
	* docs/html/ch03s02.html
	* docs/html/ch03s03.html
	* docs/html/ch03s04.html
	* docs/html/ch03s06.html
	* docs/html/ch03s07.html
	* docs/html/ch04.html
	* docs/html/ch05.html
	* docs/html/design_window.png
	* docs/html/design_window_empty_slot.png
	* docs/html/index.html
	* docs/html/pr01.html
	* docs/html/pr01s02.html
	* docs/html/pr01s03.html
	* docs/html/properties_window.png
	* docs/html/select_frame.png
	* docs/pdf/manual.pdf
	* docs/src/design_window.png
	* docs/src/design_window_empty_slot.png
	* docs/src/properties_window.png
	* docs/src/select_frame.png

	Extent RadioProperty to sort and capitalise the choices

	Files (added, modified or removed):
	* widget_properties.py

2012-10-27  Carsten Grohmann  <mail@carstengrohmann.de>

	Consolidate creation of file dialog wildcards

	Files (added, modified or removed):
	* application.py

	Write and use own function to capitalise first character.

	This function don't change upper case abbreviations like XML and
	XRC. Be carefully because this function may break i18n.

	Files (added, modified or removed):
	* application.py
	* misc.py
	* widget_properties.py

2012-10-11  Carsten Grohmann  <mail@carstengrohmann.de>

	Minor update

	Files (added, modified or removed):
	* README.txt

2012-10-09  Carsten Grohmann  <mail@carstengrohmann.de>

	Improve tooltip for wxButton

	Files (added, modified or removed):
	* widgets/button/button.py

	Add test case for testing code generation in GUI

	Files (added, modified or removed):
	* application.py
	* tests/test_gui.py

	Separate setting of test specific options in a wxg (XML) file

	Files (added, modified or removed):
	* tests/__init__.py

2012-09-19  Carsten Grohmann  <mail@carstengrohmann.de>

	Replace spaces in a template file by underscore

	Files (added, modified or removed):
	* templates/Dialog with two buttons.wgt
	* templates/Dialog_with_two_buttons.wgt

2012-09-16  Carsten Grohmann  <mail@carstengrohmann.de>

	Change tooltip handling

	 - mangled property names will not show anymore
	 - tooltips will be shown at all elements of a property

	Files (added, modified or removed):
	* NEWS.txt
	* layout_option_property.py
	* widget_properties.py

2012-09-15  Carsten Grohmann  <mail@carstengrohmann.de>

	Remove unused variable msg from command_line_code_generation()

	Files (added, modified or removed):
	* wxglade.py

2012-08-13  Carsten Grohmann  <mail@carstengrohmann.de>

	Rebuild documentation

	Files (added, modified or removed):
	* docs/html/apa.html
	* docs/html/ch01.html
	* docs/html/ch01s02.html
	* docs/html/ch01s03.html
	* docs/html/ch01s04.html
	* docs/html/ch01s05.html
	* docs/html/ch01s06.html
	* docs/html/ch02.html
	* docs/html/ch02s02.html
	* docs/html/ch02s03.html
	* docs/html/ch02s04.html
	* docs/html/ch03.html
	* docs/html/ch03s02.html
	* docs/html/ch03s03.html
	* docs/html/ch03s04.html
	* docs/html/ch03s06.html
	* docs/html/ch03s07.html
	* docs/html/ch04.html
	* docs/html/ch05.html
	* docs/html/index.html
	* docs/html/pr01.html
	* docs/html/pr01s02.html
	* docs/html/pr01s03.html
	* docs/pdf/manual.pdf

	Update and extend documentation

	Files (added, modified or removed):
	* docs/html/apa.html
	* docs/html/ch01.html
	* docs/html/ch01s02.html
	* docs/html/ch01s03.html
	* docs/html/ch01s04.html
	* docs/html/ch01s05.html
	* docs/html/ch01s06.html
	* docs/html/ch02.html
	* docs/html/ch02s02.html
	* docs/html/ch02s03.html
	* docs/html/ch02s04.html
	* docs/html/ch02s05.html
	* docs/html/ch03.html
	* docs/html/ch03s02.html
	* docs/html/ch03s03.html
	* docs/html/ch03s04.html
	* docs/html/ch03s06.html
	* docs/html/ch03s07.html
	* docs/html/ch04.html
	* docs/html/ch04s02.html
	* docs/html/ch05.html
	* docs/html/ch05s03.html
	* docs/html/index.html
	* docs/html/pr01.html
	* docs/html/pr01s02.html
	* docs/html/pr01s03.html
	* docs/html/properties_window.png
	* docs/pdf/manual.pdf
	* docs/src/manual.xml
	* docs/src/properties_window.png

2012-07-08  Carsten Grohmann  <mail@carstengrohmann.de>

	Add test code for wxCalendarCtrl

	Files (added, modified or removed):
	* tests/casefiles/CalendarCtrl.cpp
	* tests/casefiles/CalendarCtrl.h
	* tests/casefiles/CalendarCtrl.pl
	* tests/casefiles/CalendarCtrl.py
	* tests/casefiles/CalendarCtrl.wxg
	* tests/casefiles/CalendarCtrl.xrc
	* tests/test_codegen.py

2012-07-08  Eric McKeeth  <Eric McKeeth>

	Add Perl code generator for wxCalendarCtrl

	Special thanks to Eric for sharing his code.

	Files (added, modified or removed):
	* widgets/calendar_ctrl/perl_codegen.py

2012-06-11  Carsten Grohmann  <mail@carstengrohmann.de>

	Fix typos introduces in last commit :-(

	Files (added, modified or removed):
	* codegen/cpp_codegen.py

	Write isolation directives at beginning in C++ header files

	Files (added, modified or removed):
	* NEWS.txt
	* codegen/cpp_codegen.py
	* tests/casefiles/CPPOgg1.h
	* tests/casefiles/CPPOgg2_MyDialog.h
	* tests/casefiles/CPPOgg2_MyFrame.h
	* tests/casefiles/CPPOgg3.h
	* tests/casefiles/CPP_Preferences.h
	* tests/casefiles/CPP_wxCalendarCtrl.h
	* tests/casefiles/FontColour.h
	* tests/casefiles/Gauge.h
	* tests/casefiles/Grid.h

2012-06-09  Carsten Grohmann  <mail@carstengrohmann.de>

	Extend documentation about the various installation methods

	Files (added, modified or removed):
	* docs/html/apa.html
	* docs/html/ch01.html
	* docs/html/ch01s02.html
	* docs/html/ch01s03.html
	* docs/html/ch01s04.html
	* docs/html/ch01s05.html
	* docs/html/ch01s06.html
	* docs/html/ch02.html
	* docs/html/ch02s02.html
	* docs/html/ch02s03.html
	* docs/html/ch02s04.html
	* docs/html/ch03.html
	* docs/html/ch03s02.html
	* docs/html/ch03s03.html
	* docs/html/ch03s04.html
	* docs/html/ch03s06.html
	* docs/html/ch03s07.html
	* docs/html/ch04.html
	* docs/html/ch05.html
	* docs/html/index.html
	* docs/html/pr01.html
	* docs/html/pr01s02.html
	* docs/html/pr01s03.html
	* docs/pdf/manual.pdf
	* docs/src/manual.xml

2012-06-07  Carsten Grohmann  <mail@carstengrohmann.de>

	Fix regression in generate_code_id() for parameter id

	Files (added, modified or removed):
	* codegen/__init__.py
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py
	* tests/test_codegen.py

2012-05-31  Carsten Grohmann  <mail@carstengrohmann.de>

	Replace tabs by spaces introducted in 1090:c93d25c53d31 (thanks
	Davorin)

	Files (added, modified or removed):
	* wxglade.py

2012-05-30  Carsten Grohmann  <mail@carstengrohmann.de>

	Improve name generation of notebooks and notebook panes

	Noetbook names as well as notebook pane names should be unique.
	Deleted default names won't be reused.

	Files (added, modified or removed):
	* widgets/notebook/notebook.py

2012-05-27  Carsten Grohmann  <mail@carstengrohmann.de>

	Adapt test suite to handle improved error handling well

	Files (added, modified or removed):
	* tests/__init__.py

	Fix: Same default names for multiple notebooks (sf bug #2000566)

	Files (added, modified or removed):
	* NEWS.txt
	* widgets/notebook/notebook.py

2012-05-25  Carsten Grohmann  <mail@carstengrohmann.de>

	Update Copyright notice at code generators

	Files (added, modified or removed):
	* codegen/__init__.py
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py
	* codegen/xrc_codegen.py

2012-05-23  Carsten Grohmann  <mail@carstengrohmann.de>

	Use error() for printing error messages

	Files (added, modified or removed):
	* wxglade.py

	Improve error handling for non-existing and non-writable output
	directories

	Files (added, modified or removed):
	* application.py
	* errors.py
	* wxglade.py
	* xml_parse.py

2012-05-20  Carsten Grohmann  <mail@carstengrohmann.de>

	Empty output path raises XmlParsingError during code generation

	Files (added, modified or removed):
	* xml_parse.py

	Improve error handling of chmod after writing main output file

	Files (added, modified or removed):
	* codegen/__init__.py

2012-05-18  Carsten Grohmann  <mail@carstengrohmann.de>

	Fix regression for gettext handling in Perl code generator

	Files (added, modified or removed):
	* codegen/pl_codegen.py
	* tests/casefiles/CPPOgg1.cpp
	* tests/casefiles/CPPOgg1.wxg
	* tests/casefiles/CPPOgg2.wxg
	* tests/casefiles/CPPOgg2_MyDialog.cpp
	* tests/casefiles/CPPOgg3.cpp
	* tests/casefiles/FontColour.pl
	* tests/casefiles/LispOgg1.lisp
	* tests/casefiles/LispOgg1.wxg
	* tests/casefiles/LispOgg2.wxg
	* tests/casefiles/LispOgg2_MyDialog.lisp
	* tests/casefiles/LispOgg3.lisp
	* tests/casefiles/LispOgg3.wxg
	* tests/casefiles/Perl_Preferences.pl
	* tests/casefiles/PlOgg1.pl
	* tests/casefiles/PlOgg1.wxg
	* tests/casefiles/PlOgg2.wxg
	* tests/casefiles/PlOgg2_MyDialog.pm
	* tests/casefiles/PlOgg2_MyFrame.pm
	* tests/casefiles/PlOgg3.pl
	* tests/casefiles/PyOgg1.py
	* tests/casefiles/PyOgg1.wxg
	* tests/casefiles/PyOgg1_oldnamespace.py
	* tests/casefiles/PyOgg2.wxg
	* tests/casefiles/PyOgg2_MyDialog.py
	* tests/casefiles/PyOgg3.py

2012-05-12  Carsten Grohmann  <mail@carstengrohmann.de>

	Improve searching for files credits.txt and license.txt

	Both files were not found if wxGlade has been installed at
	/opt/wxglade like suggested in manual.

	Files (added, modified or removed):
	* docs/html/apa.html
	* docs/html/ch01.html
	* docs/html/ch01s02.html
	* docs/html/ch01s03.html
	* docs/html/ch01s04.html
	* docs/html/ch01s05.html
	* docs/html/ch02.html
	* docs/html/ch02s02.html
	* docs/html/ch02s03.html
	* docs/html/ch02s04.html
	* docs/html/ch03.html
	* docs/html/ch03s02.html
	* docs/html/ch03s03.html
	* docs/html/ch03s04.html
	* docs/html/ch03s06.html
	* docs/html/ch03s07.html
	* docs/html/ch04.html
	* docs/html/ch05.html
	* docs/html/index.html
	* docs/html/pr01.html
	* docs/html/pr01s02.html
	* docs/html/pr01s03.html
	* docs/pdf/manual.pdf
	* docs/src/manual.xml
	* wxglade.py

	Unify codegenerators a little bit more

	Files (added, modified or removed):
	* codegen/__init__.py
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py

	Minor changes for epydoc

	Files (added, modified or removed):
	* codegen/__init__.py

2012-05-11  Carsten Grohmann  <mail@carstengrohmann.de>

	Write small example how to compile in all C++ source and header
	files

	Files (added, modified or removed):
	* codegen/cpp_codegen.py
	* tests/casefiles/CPPOgg1.cpp
	* tests/casefiles/CPPOgg1.h
	* tests/casefiles/CPPOgg2_MyDialog.cpp
	* tests/casefiles/CPPOgg2_MyDialog.h
	* tests/casefiles/CPPOgg2_MyFrame.cpp
	* tests/casefiles/CPPOgg2_MyFrame.h
	* tests/casefiles/CPPOgg2_main.cpp
	* tests/casefiles/CPPOgg3.cpp
	* tests/casefiles/CPPOgg3.h
	* tests/casefiles/CPP_Preferences.cpp
	* tests/casefiles/CPP_Preferences.h
	* tests/casefiles/CPP_wxCalendarCtrl.cpp
	* tests/casefiles/CPP_wxCalendarCtrl.h
	* tests/casefiles/FontColour.cpp
	* tests/casefiles/FontColour.h
	* tests/casefiles/Gauge.cpp
	* tests/casefiles/Gauge.h
	* tests/casefiles/Grid.cpp
	* tests/casefiles/Grid.h

	Convert non-C++ statements into C++ statements to allow compiling

	Now all C++ examples compile well.

	Files (added, modified or removed):
	* tests/casefiles/CPPOgg1.cpp
	* tests/casefiles/CPPOgg1.h
	* tests/casefiles/CPPOgg1.wxg
	* tests/casefiles/CPPOgg2.wxg
	* tests/casefiles/CPPOgg2_MyDialog.h
	* tests/casefiles/CPPOgg2_MyFrame.h
	* tests/casefiles/CPPOgg3.h

2012-05-10  Carsten Grohmann  <mail@carstengrohmann.de>

	Move equal finalize() functions into code generator base class

	Files (added, modified or removed):
	* codegen/__init__.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py

2012-05-09  Carsten Grohmann  <mail@carstengrohmann.de>

	Minor code changes

	Files (added, modified or removed):
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py

	Unify code generation for colours and fonts

	Files (added, modified or removed):
	* codegen/__init__.py
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py
	* tests/casefiles/FontColour.cpp
	* tests/casefiles/FontColour.h
	* tests/casefiles/FontColour.lisp
	* tests/casefiles/FontColour.pl
	* tests/casefiles/FontColour.py
	* tests/casefiles/FontColour.wxg
	* tests/casefiles/FontColour.xrc
	* tests/test_codegen.py

2012-05-08  Carsten Grohmann  <mail@carstengrohmann.de>

	Fix: Wrong attribute names

	Files (added, modified or removed):
	* tests/casefiles/Grid.cpp
	* tests/casefiles/Grid.lisp
	* tests/casefiles/Grid.pl
	* tests/casefiles/Grid.py
	* tests/casefiles/Grid.wxg
	* tests/casefiles/Grid.xrc

	Add one testcase for generating python code using old wx namespace

	Files (added, modified or removed):
	* tests/__init__.py
	* tests/casefiles/PyOgg1_oldnamespace.py
	* tests/test_codegen.py

	Format flags written namespace independent by the python code
	generator

	Old version differs between old wx namespace and the new one

	Files (added, modified or removed):
	* codegen/py_codegen.py

	Cleanup obsolete for_version statement

	Files (added, modified or removed):
	* widgets/menubar/codegen.py

	Cleanup tooltips for extracode and extraproperties

	This functionality is available at all code generators now

	Files (added, modified or removed):
	* code_property.py

	Minor changes for current maintainer

	Files (added, modified or removed):
	* docs/html/apa.html
	* docs/html/ch01.html
	* docs/html/ch01s02.html
	* docs/html/ch01s03.html
	* docs/html/ch01s04.html
	* docs/html/ch01s05.html
	* docs/html/ch02.html
	* docs/html/ch02s02.html
	* docs/html/ch02s03.html
	* docs/html/ch02s04.html
	* docs/html/ch03.html
	* docs/html/ch03s02.html
	* docs/html/ch03s03.html
	* docs/html/ch03s04.html
	* docs/html/ch03s06.html
	* docs/html/ch03s07.html
	* docs/html/ch04.html
	* docs/html/ch05.html
	* docs/html/index.html
	* docs/html/pr01.html
	* docs/html/pr01s02.html
	* docs/html/pr01s03.html
	* docs/man/manpage.xml
	* docs/pdf/manual.pdf
	* docs/src/manual.xml

2012-05-07  Carsten Grohmann  <mail@carstengrohmann.de>

	Rework and unify code generators. All code generators support
	extracode and extraproperties now.

	Sorry for the huge commit.

	Files (added, modified or removed):
	* NEWS.txt
	* codegen/__init__.py
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py
	* codegen/xrc_codegen.py
	* tests/__init__.py
	* tests/casefiles/CPPOgg1.cpp
	* tests/casefiles/CPPOgg1.h
	* tests/casefiles/CPPOgg1.wxg
	* tests/casefiles/CPPOgg2.wxg
	* tests/casefiles/CPPOgg2_MyDialog.cpp
	* tests/casefiles/CPPOgg2_MyDialog.h
	* tests/casefiles/CPPOgg2_MyFrame.cpp
	* tests/casefiles/CPPOgg2_MyFrame.h
	* tests/casefiles/CPPOgg2_main.cpp
	* tests/casefiles/CPPOgg3.cpp
	* tests/casefiles/CPPOgg3.h
	* tests/casefiles/CPP_Preferences.cpp
	* tests/casefiles/CPP_Preferences.h
	* tests/casefiles/CPP_wxCalendarCtrl.cpp
	* tests/casefiles/CPP_wxCalendarCtrl.h
	* tests/casefiles/CPP_wxCalendarCtrl.wxg
	* tests/casefiles/Gauge.cpp
	* tests/casefiles/Gauge.h
	* tests/casefiles/Gauge.lisp
	* tests/casefiles/Gauge.pl
	* tests/casefiles/Gauge.py
	* tests/casefiles/Gauge.wxg
	* tests/casefiles/Grid.cpp
	* tests/casefiles/Grid.h
	* tests/casefiles/Grid.lisp
	* tests/casefiles/Grid.pl
	* tests/casefiles/Grid.py
	* tests/casefiles/Grid.wxg
	* tests/casefiles/Grid.xrc
	* tests/casefiles/GridEvents.cpp
	* tests/casefiles/GridEvents.h
	* tests/casefiles/GridEvents.lisp
	* tests/casefiles/GridEvents.pl
	* tests/casefiles/GridEvents.py
	* tests/casefiles/GridEvents.wxg
	* tests/casefiles/GridEvents.xrc
	* tests/casefiles/LispOgg1.lisp
	* tests/casefiles/LispOgg1.wxg
	* tests/casefiles/LispOgg2.wxg
	* tests/casefiles/LispOgg2_MyDialog.lisp
	* tests/casefiles/LispOgg2_MyFrame.lisp
	* tests/casefiles/LispOgg2_app.lisp
	* tests/casefiles/LispOgg3.lisp
	* tests/casefiles/LispOgg3.wxg
	* tests/casefiles/Lisp_Preferences.lisp
	* tests/casefiles/Lisp_Preferences.wxg
	* tests/casefiles/Lisp_wxBitmapButton.lisp
	* tests/casefiles/Lisp_wxBitmapButton.wxg
	* tests/casefiles/Notebook_w_tabs.wxg
	* tests/casefiles/Notebook_wo_tabs.wxg
	* tests/casefiles/Perl_Preferences.pl
	* tests/casefiles/PlOgg1.pl
	* tests/casefiles/PlOgg1.wxg
	* tests/casefiles/PlOgg2.wxg
	* tests/casefiles/PlOgg2_MyDialog.pm
	* tests/casefiles/PlOgg2_MyFrame.pm
	* tests/casefiles/PlOgg2_app.pl
	* tests/casefiles/PlOgg3.pl
	* tests/casefiles/Preferences.wxg
	* tests/casefiles/PyOgg1.py
	* tests/casefiles/PyOgg1.wxg
	* tests/casefiles/PyOgg2.wxg
	* tests/casefiles/PyOgg2_MyDialog.py
	* tests/casefiles/PyOgg2_MyFrame.py
	* tests/casefiles/PyOgg2_app.py
	* tests/casefiles/PyOgg3.py
	* tests/casefiles/Python_Preferences.py
	* tests/test_codegen.py

2012-04-14  Carsten Grohmann  <mail@carstengrohmann.de>

	Fix: Lisp code generation for wxFrame and wxDialog

	Files (added, modified or removed):
	* widgets/dialog/lisp_codegen.py
	* widgets/frame/lisp_codegen.py

2012-04-12  Carsten Grohmann  <mail@carstengrohmann.de>

	Fix: Encoding detection for Mac OS X

	Files (added, modified or removed):
	* NEWS.txt
	* application.py

2012-03-14  Carsten Grohmann  <mail@carstengrohmann.de>

	Add two missing HTML files of the previously committed user manual

	Files (added, modified or removed):
	* docs/html/ch03s07.html
	* docs/html/pr01s03.html

	Update wxGlade user manual

	Files (added, modified or removed):
	* Makefile
	* NEWS.txt
	* docs/html/apa.html
	* docs/html/ch01.html
	* docs/html/ch01s02.html
	* docs/html/ch01s03.html
	* docs/html/ch01s04.html
	* docs/html/ch01s05.html
	* docs/html/ch01s06.html
	* docs/html/ch02.html
	* docs/html/ch02s02.html
	* docs/html/ch02s03.html
	* docs/html/ch02s04.html
	* docs/html/ch02s05.html
	* docs/html/ch03.html
	* docs/html/ch03s02.html
	* docs/html/ch03s03.html
	* docs/html/ch03s04.html
	* docs/html/ch03s05.html
	* docs/html/ch03s06.html
	* docs/html/ch03s07.html
	* docs/html/ch04.html
	* docs/html/ch04s02.html
	* docs/html/ch04s03.html
	* docs/html/ch04s04.html
	* docs/html/ch04s05.html
	* docs/html/ch04s06.html
	* docs/html/ch04s07.html
	* docs/html/ch04s08.html
	* docs/html/ch04s09.html
	* docs/html/ch04s10.html
	* docs/html/ch04s11.html
	* docs/html/ch04s12.html
	* docs/html/ch04s13.html
	* docs/html/ch04s14.html
	* docs/html/ch04s15.html
	* docs/html/ch04s16.html
	* docs/html/ch04s17.html
	* docs/html/ch04s18.html
	* docs/html/ch04s19.html
	* docs/html/ch04s20.html
	* docs/html/ch04s21.html
	* docs/html/ch04s22.html
	* docs/html/ch04s23.html
	* docs/html/ch04s24.html
	* docs/html/ch04s25.html
	* docs/html/ch04s26.html
	* docs/html/ch04s27.html
	* docs/html/ch05.html
	* docs/html/ch05s02.html
	* docs/html/ch05s03.html
	* docs/html/ch05s04.html
	* docs/html/example_baseclasses.png
	* docs/html/example_eventhandler.png
	* docs/html/example_setproperty.png
	* docs/html/example_subclassed.png
	* docs/html/example_variableassigment.png
	* docs/html/index.html
	* docs/html/main_window.png
	* docs/html/pr01.html
	* docs/html/pr01s02.html
	* docs/html/pr01s03.html
	* docs/html/properties_window.png
	* docs/html/properties_window_tab_1.png
	* docs/html/properties_window_tab_1_change.png
	* docs/html/properties_window_tab_2.png
	* docs/html/properties_window_tab_3.png
	* docs/html/properties_window_tab_4.png
	* docs/html/properties_window_tab_5.png
	* docs/pdf/manual.pdf
	* docs/src/example_baseclasses.png
	* docs/src/example_eventhandler.png
	* docs/src/example_setproperty.png
	* docs/src/example_subclassed.png
	* docs/src/example_variableassigment.png
	* docs/src/main_window.png
	* docs/src/manual.xml
	* docs/src/pdf.xsl
	* docs/src/properties_window.png
	* docs/src/properties_window_tab_1.png
	* docs/src/properties_window_tab_1_change.png
	* docs/src/properties_window_tab_2.png
	* docs/src/properties_window_tab_3.png
	* docs/src/properties_window_tab_4.png
	* docs/src/properties_window_tab_5.png

2012-03-03  Carsten Grohmann  <mail@carstengrohmann.de>

	Add more constants ...

	Files (added, modified or removed):
	* codegen/pl_codegen.py

2012-03-02  Carsten Grohmann  <mail@carstengrohmann.de>

	Fix: Handling of wx constants in generated Perl code

	Files (added, modified or removed):
	* codegen/pl_codegen.py
	* edit_sizers/perl_sizers_codegen.py
	* tests/casefiles/GridEvents.pl
	* tests/casefiles/Perl_Preferences.pl

	Add tests for wxGauge code generation

	Files (added, modified or removed):
	* tests/casefiles/Gauge.cpp
	* tests/casefiles/Gauge.h
	* tests/casefiles/Gauge.lisp
	* tests/casefiles/Gauge.pl
	* tests/casefiles/Gauge.py
	* tests/casefiles/Gauge.wxg
	* tests/casefiles/Gauge.xrc
	* tests/test_codegen.py

2012-03-02  Johan Vromans  <Johan Vromans>

	Fix: Lisp codegen for the Gauge widget was an exact copy of the Perl
	codegen

	Files (added, modified or removed):
	* widgets/gauge/lisp_codegen.py

2012-02-29  Carsten Grohmann  <mail@carstengrohmann.de>

	Add tooltips for widgets properties "Id" and "Name"

	Files (added, modified or removed):
	* edit_windows.py

2012-02-21  Carsten Grohmann  <mail@carstengrohmann.de>

	Add searching for a parallel Python module directory

	Files (added, modified or removed):
	* wxglade

2012-02-18  Carsten Grohmann  <mail@carstengrohmann.de>

	Generate Perl code for wxStaticBox() with wxID_ANY instead of -1

	Files (added, modified or removed):
	* edit_sizers/perl_sizers_codegen.py
	* tests/casefiles/Perl_Preferences.pl

	Add generate_code_id() tests incl. minor code reorg in all
	generate_code_id()

	This change may also fix some wrong behaviour introduced by changing
	the default widget id from -1 to wxID_ANY.

	Files (added, modified or removed):
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py
	* tests/casefiles/GridEvents.lisp
	* tests/casefiles/GridEvents.pl
	* tests/casefiles/GridEvents.py
	* tests/casefiles/Lisp_Preferences.lisp
	* tests/casefiles/Lisp_wxBitmapButton.lisp
	* tests/casefiles/Perl_Preferences.pl
	* tests/test_codegen.py

2012-02-08  Carsten Grohmann  <mail@carstengrohmann.de>

	Fix: String formatting issue for event handlers in Lisp code
	generator

	Files (added, modified or removed):
	* NEWS.txt
	* codegen/lisp_codegen.py
	* tests/casefiles/GridEvents.lisp
	* tests/test_codegen.py

	Add small tests for wxGrid events (sf bug #1542195 - not
	reproducible)

	Files (added, modified or removed):
	* tests/casefiles/GridEvents.cpp
	* tests/casefiles/GridEvents.h
	* tests/casefiles/GridEvents.pl
	* tests/casefiles/GridEvents.py
	* tests/casefiles/GridEvents.wxg
	* tests/casefiles/GridEvents.xrc
	* tests/test_codegen.py

	Show differences for failed non GUI tests (solves buggy last commit)

	Files (added, modified or removed):
	* tests/__init__.py

2012-02-07  Carsten Grohmann  <mail@carstengrohmann.de>

	Regorganise test code

	Files (added, modified or removed):
	* tests/__init__.py
	* tests/test_codegen.py
	* tests/test_gui.py

	Do not load wxversion if wx already loaded

	Files (added, modified or removed):
	* wxglade.py

	Adapt pylint settings in Makefile

	Files (added, modified or removed):
	* Makefile

	Reorg imports

	Files (added, modified or removed):
	* code_property.py
	* tree.py

2012-02-04  Carsten Grohmann  <mail@carstengrohmann.de>

	Split sources of test cases to generate working source files

	Files (added, modified or removed):
	* tests/casefiles/CPP_Preferences.h
	* tests/casefiles/CPP_Preferences.wxg
	* tests/casefiles/Perl_Preferences.pl
	* tests/casefiles/Perl_Preferences.wxg
	* tests/test_codegen.py

	Change default widget ID from -1 to wxID_ANY and adapt codegen

	Files (added, modified or removed):
	* NEWS.txt
	* codegen/py_codegen.py
	* edit_sizers/sizers_codegen.py
	* edit_windows.py
	* tests/casefiles/CPP_Preferences.cpp
	* tests/casefiles/Python_Preferences.py

2012-02-01  Carsten Grohmann  <mail@carstengrohmann.de>

	Exclude test suite from full edtion Windows installer

	Files (added, modified or removed):
	* install/pyinstaller/wxglade-installer.iss

2012-01-30  Carsten Grohmann  <mail@carstengrohmann.de>

	Split single GUI test in two different tests

	Files (added, modified or removed):
	* tests/test_gui.py

	Don't load wxversion twice

	wxversion will be imported several times only if the test suite is
	running.

	Files (added, modified or removed):
	* wxglade.py

	Add first GUI test case

	Files (added, modified or removed):
	* Makefile
	* test.py
	* tests/__init__.py
	* tests/casefiles/Notebook_w_tabs.wxg
	* tests/casefiles/Notebook_wo_tabs.wxg
	* tests/test_gui.py

	Improve error message for import notebooks without tabs

	Files (added, modified or removed):
	* widgets/notebook/notebook.py

2012-01-27  Carsten Grohmann  <mail@carstengrohmann.de>

	Move preferences dialog to own file to simplify handling e.g. for
	test cases

	Files (added, modified or removed):
	* config.py
	* configdialog.py
	* main.py

	Split initialisation of wxGlade to simplify handling e.g. for test
	cases

	Files (added, modified or removed):
	* main.py
	* tests/__init__.py
	* wxglade.py

	Add platform variable

	This variable is introduced to eliminate dependencies to wx (e.g.
	wx.Platform) for non-interactive runs.

	Files (added, modified or removed):
	* common.py

	Minor update of NEWS file

	Files (added, modified or removed):
	* NEWS.txt

	Remove code to support wxPython < 2.6

	Files (added, modified or removed):
	* misc.py

2012-01-25  Carsten Grohmann  <mail@carstengrohmann.de>

	PEP8 changes and minor cleanups

	Files (added, modified or removed):
	* widget_properties.py

	[FIX] Prevent deleting last notebook tab (sf bug #3126974)

	Files (added, modified or removed):
	* widgets/notebook/notebook.py

	Added parameter to prevent removing last entry in GridProperty

	Files (added, modified or removed):
	* widget_properties.py

2012-01-23  Carsten Grohmann  <mail@carstengrohmann.de>

	Disable usage of KDE file dialogs for non GTK platforms

	Files (added, modified or removed):
	* config.py
	* install/pyinstaller/wxglade-installer.iss

2012-01-20  Carsten Grohmann  <mail@carstengrohmann.de>

	Loading code generators loads only Python files (.py, .pyc, .pyo)
	only now

	Files (added, modified or removed):
	* common.py

2012-01-19  Carsten Grohmann  <mail@carstengrohmann.de>

	Show better version string at windows installer welcome page

	Files (added, modified or removed):
	* install/pyinstaller/wxglade-installer.iss

2012-01-17  Davorin Kunstelj  <Davorin Kunstelj>

	[FIX] Attribute name mismatch in source of manual page

	Files (added, modified or removed):
	* docs/man/manpage.xml

2012-01-14  Carsten Grohmann  <mail@carstengrohmann.de>

	Rework code generation code to move common parts to
	codegen/__init__.py and rework code generators partially to be more
	eqal.

	Files (added, modified or removed):
	* codegen/__init__.py
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py
	* codegen/xrc_codegen.py

2012-01-12  Carsten Grohmann  <mail@carstengrohmann.de>

	[FIX] Prevent caching effects in Lisp code generator

	The code generator remembers parts of earlier generated code without
	initialisation of class_lines in initialize()

	Files (added, modified or removed):
	* NEWS.txt
	* codegen/lisp_codegen.py

	Add stub for new version

	Files (added, modified or removed):
	* NEWS.txt

	Add more test cases

	Files (added, modified or removed):
	* tests/casefiles/CPP_Preferences.cpp
	* tests/casefiles/CPP_Preferences.h
	* tests/casefiles/Lisp_Preferences.lisp
	* tests/casefiles/Perl_Preferences.pl
	* tests/casefiles/Preferences.wxg
	* tests/casefiles/Python_Preferences.py
	* tests/test_codegen.py

2012-01-11  Carsten Grohmann  <mail@carstengrohmann.de>

	Set version numbers back to HG to start new development cycle

	Files (added, modified or removed):
	* common.py
	* install/pyinstaller/wxglade-installer.iss

2012-01-08  Carsten Grohmann  <mail@carstengrohmann.de>

	Added tag rel_0.6.5 for changeset 8f314df2d7c8

	Files (added, modified or removed):
	* .hgtags

	Bump version number to 0.6.5

	Files (added, modified or removed):
	* common.py
	* install/pyinstaller/wxglade-installer.iss

	Prerelease documentation updates

	Files (added, modified or removed):
	* CHANGES.txt
	* NEWS.txt
	* README.txt

2012-01-08  Carsten Grohmann  <mail@carstengrohmann.de>

	Minor manpage changes

	Files (added, modified or removed):
	* docs/man/manpage.xml

2012-01-07  Carsten Grohmann  <mail@carstengrohmann.de>

	[FIX] Solve issue "C++ CalendarControl issues in 0.6.3" (sf bug
	#2782306)

	Files (added, modified or removed):
	* tests/casefiles/CPP_wxCalendarCtrl.cpp
	* tests/casefiles/CPP_wxCalendarCtrl.h
	* tests/casefiles/CPP_wxCalendarCtrl.wxg
	* tests/test_codegen.py
	* widgets/calendar_ctrl/calendar_ctrl.py
	* widgets/calendar_ctrl/codegen.py

	[FIX] Wrong parameters for CodeWriter() in
	command_line_code_generation()

	Bug was introduces with changeset changeset 1022 31fe078c5b0a.

	Files (added, modified or removed):
	* NEWS.txt
	* wxglade.py

	[FIX] Allow saving of generated code to filenames without directory
	part

	Files (added, modified or removed):
	* common.py

	Add new file NEWS.txt to summarise release changes

	Files (added, modified or removed):
	* CHANGES.txt
	* NEWS.txt
	* docs/ReleaseSteps.txt
	* install/pyinstaller/wxglade-installer.iss
	* install/pyinstaller/wxglade.spec
	* install/rpm/wxglade.spec
	* setup.py

	Enable gettext for usage message

	Files (added, modified or removed):
	* wxglade.py

	Update and extend manual page

	Files (added, modified or removed):
	* docs/man/manpage.xml

2012-01-06  Carsten Grohmann  <mail@carstengrohmann.de>

	Change option handling as well as add --version and --help

	Files (added, modified or removed):
	* wxglade.py

	remove support for Python 2.2

	Files (added, modified or removed):
	* wxglade.py
	* xrc2wxg.py

	Remove unused import edit_windows

	Files (added, modified or removed):
	* tree.py

2012-01-06  Davorin Kunstelj  <Davorin Kunstelj>

	Added column sizes parameter to GridProperty init parameters

	Files (added, modified or removed):
	* widget_properties.py

	Added tooltip for CheckBoxProperty

	Files (added, modified or removed):
	* widget_properties.py

2012-01-06  Carsten Grohmann  <mail@carstengrohmann.de>

	Remove code to support wxPython < 2.6 (forgotten part)

	Files (added, modified or removed):
	* application.py

2012-01-05  Carsten Grohmann  <mail@carstengrohmann.de>

	Add small test suite

	Files (added, modified or removed):
	* Makefile
	* test.py
	* tests/__init__.py
	* tests/casefiles/Lisp_wxBitmapButton.lisp
	* tests/casefiles/Lisp_wxBitmapButton.wxg
	* tests/test_codegen.py

	[FIX] Add missing path quotation to codegen.lisp_codegen

	Files (added, modified or removed):
	* codegen/lisp_codegen.py

2012-01-03  Carsten Grohmann  <mail@carstengrohmann.de>

	Remove needless print statement in Lisp code generator

	Files (added, modified or removed):
	* codegen/lisp_codegen.py

	Replace tab characters by spaces in Lisp code generator

	Files (added, modified or removed):
	* codegen/lisp_codegen.py

	[FIX] Wrong file extensions created by Lisp code generator

	Files (added, modified or removed):
	* codegen/lisp_codegen.py

	Minor documentation and code reorg in common.save_file()

	Files (added, modified or removed):
	* common.py

2012-01-02  Carsten Grohmann  <mail@carstengrohmann.de>

	Minor code reorg in common.load_code_writers()

	Files (added, modified or removed):
	* common.py

	Merge with original file

	Files (added, modified or removed):
	* install/update-po.py

	Remove duplicate code EditComboBox.create_widget()

	Files (added, modified or removed):
	* widgets/combo_box/combo_box.py

	Remove code to support wxPython < 2.6

	Files (added, modified or removed):
	* about.py
	* application.py
	* common.py
	* config.py
	* edit_sizers/edit_sizers.py
	* edit_windows.py
	* font_dialog.py
	* main.py
	* misc.py
	* tree.py
	* widget_properties.py
	* widgets/dialog/dialog.py
	* widgets/frame/frame.py
	* widgets/menubar/menubar.py
	* widgets/notebook/notebook.py
	* widgets/panel/panel.py
	* widgets/toolbar/toolbar.py
	* xml_parse.py

	Remove unused function misc.sizer_fixed_Insert()

	Files (added, modified or removed):
	* main.py
	* misc.py

	Adapt pylint settings in Makefile

	Files (added, modified or removed):
	* Makefile

	Remove obsolete second "import wx"

	Files (added, modified or removed):
	* misc.py

2011-12-30  Carsten Grohmann  <mail@carstengrohmann.de>

	Move "Using wxPython <wx version>" to main.py to eliminate "import
	wx"

	Files (added, modified or removed):
	* main.py
	* wxglade.py

2011-12-30  Davorin Kunstelj  <Davorin Kunstelj>

	Adapt missed icon paths

	Files (added, modified or removed):
	* misc.py
	* res/preferences.wxg

2011-12-30  Carsten Grohmann  <mail@carstengrohmann.de>

	Remove unused import and minor code elegancy changes

	Files (added, modified or removed):
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/xrc_codegen.py
	* edit_sizers/edit_sizers.py
	* main.py
	* misc.py
	* tree.py
	* widgets/bitmap_button/bitmap_button.py
	* widgets/bitmap_button/lisp_codegen.py
	* widgets/bitmap_button/perl_codegen.py
	* widgets/button/button.py
	* widgets/calendar_ctrl/calendar_ctrl.py
	* widgets/choice/perl_codegen.py
	* widgets/datepicker_ctrl/datepicker_ctrl.py
	* widgets/gauge/gauge.py
	* widgets/list_box/perl_codegen.py
	* widgets/list_ctrl/list_ctrl.py
	* widgets/list_ctrl/perl_codegen.py
	* widgets/menubar/menubar.py
	* widgets/notebook/notebook.py
	* widgets/notebook/perl_codegen.py
	* widgets/slider/slider.py
	* widgets/spin_button/spin_button.py
	* widgets/spin_ctrl/spin_ctrl.py
	* widgets/splitter_window/splitter_window.py
	* widgets/static_bitmap/lisp_codegen.py
	* widgets/static_bitmap/perl_codegen.py
	* widgets/static_bitmap/static_bitmap.py
	* widgets/static_line/perl_codegen.py
	* widgets/text_ctrl/text_ctrl.py
	* widgets/toolbar/tool.py
	* widgets/toolbar/toolbar.py
	* widgets/tree_ctrl/tree_ctrl.py

2011-12-29  Carsten Grohmann  <mail@carstengrohmann.de>

	Adapt pylint settings in Makefile

	Files (added, modified or removed):
	* Makefile

	[FIX] Remove wasted wxButton_SetDefault statement

	The perl code sizer doesn't have this statement too. Thereby
	removed.

	Files (added, modified or removed):
	* widgets/bitmap_button/lisp_codegen.py

	Change some initial paths for documentation purposes only

	All effected path variables will be overwritten during
	initialisation.

	Files (added, modified or removed):
	* common.py

2011-12-28  Carsten Grohmann  <mail@carstengrohmann.de>

	Add epydoc.conf to Windows installer exclude list

	Files (added, modified or removed):
	* install/pyinstaller/wxglade-installer.iss

	Clean all possible wxGlade MUICache entries always

	Files (added, modified or removed):
	* install/pyinstaller/wxglade-installer.iss

	Adapt missed icon path

	Files (added, modified or removed):
	* widgets/panel/panel.py

	Continue introducing path variables e.g. credits and license file

	This solves a bug preventing about dialog showing credits.txt and
	license.txt. The location of both files differs depending packaging
	method (Unix vs. Windows vs. running out of the devel directory).

	Files (added, modified or removed):
	* about.py
	* common.py
	* main.py
	* wxglade.py

	Minor reorg in determining wxGlade application directory

	Files (added, modified or removed):
	* wxglade.py

2011-12-27  Carsten Grohmann  <mail@carstengrohmann.de>

	Add separate path variables for icons, docs, templates and widgets

	Files (added, modified or removed):
	* about.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* common.py
	* configUI.py
	* edit_sizers/edit_sizers.py
	* main.py
	* misc.py
	* template.py
	* tree.py
	* widgets/bitmap_button/codegen.py
	* widgets/dialog/dialog.py
	* widgets/frame/frame.py
	* widgets/menubar/menubar.py
	* widgets/panel/panel.py
	* widgets/static_bitmap/codegen.py
	* widgets/toolbar/codegen.py
	* widgets/toolbar/toolbar.py
	* wxglade.py

	[FIX] Typo in printing exception details

	Files (added, modified or removed):
	* codegen/pl_codegen.py

2011-12-26  Carsten Grohmann  <mail@carstengrohmann.de>

	Update Trove Categorization

	Files (added, modified or removed):
	* setup.py

	Just an update of the Unix file permissions

	Files (added, modified or removed):
	* config.py
	* docs/html/design_window.png
	* docs/html/main_window.png
	* docs/html/preview_window.png
	* docs/html/properties_window.png
	* docs/html/tree_window.png
	* docs/src/design_window.png
	* docs/src/main_window.png
	* docs/src/manual.xml
	* docs/src/preview_window.png
	* docs/src/properties_window.png
	* docs/src/tree_window.png
	* edit_widget.py
	* msgdialog.py
	* templates_ui.py
	* wxglade.py
	* xrc2wxg.py

	Use only shell script wxglade to start wxGlade at Unix

	Files (added, modified or removed):
	* Makefile
	* setup.py

	Improve searching and executeing of wxglade.py in shell script
	wxglade

	Files (added, modified or removed):
	* wxglade

	Script has been replaced by setup.py in combination with Makefile

	Files (added, modified or removed):
	* install/srcpkgs/make_wxglade_release.py

	No need for separately callable configUI.py (preferences dialog)

	The preferences dialog is a menu item in the wxGlade GUI.

	Files (added, modified or removed):
	* Makefile
	* TODO.txt
	* configUI.py
	* setup.py

	Ignore files generated by Eric4 IDE too

	Files (added, modified or removed):
	* .hgignore

	Add maintainer-clean target to Makefile and extend BIN_FILES

	Files (added, modified or removed):
	* Makefile

2011-12-25  Carsten Grohmann  <mail@carstengrohmann.de>

	Change package file names from wxglade-* to wxGlade-*

	Files (added, modified or removed):
	* setup.py

	Add source files of manpage and wxGlade manual to distribution

	Files (added, modified or removed):
	* setup.py

2011-12-24  Carsten Grohmann  <mail@carstengrohmann.de>

	Extend Windows installer to clean MUICache registry entries

	There are some pages with more information about the MUI cache
	mechanisms: http://windowsir.blogspot.com/2005/12/mystery-of-
	muicachesolved.html http://forensicartifacts.com/2010/08/registry-
	muicache/

	Files (added, modified or removed):
	* install/pyinstaller/wxglade-installer.iss

	Set version numbers back to HG to start new development cycle

	Files (added, modified or removed):
	* common.py
	* install/pyinstaller/wxglade-installer.iss

2011-12-20  Carsten Grohmann  <mail@carstengrohmann.de>

	Added tag rel_0.6.4 for changeset d62eb65d431e

	Files (added, modified or removed):
	* .hgtags

	Bump version number to 0.6.4

	Files (added, modified or removed):
	* common.py
	* install/pyinstaller/wxglade-installer.iss
	* install/pyinstaller/wxglade.spec

	Lot of documentation changes

	Files (added, modified or removed):
	* CHANGES.txt
	* README.txt
	* TODO.txt
	* changelog.style
	* docs/BuildingInstaller.txt
	* docs/ReleaseSteps.txt
	* install/README.txt

	[FIX] Algorithm to get the release tag checked the wrong changeset

	The release tag isn't located at tip it's located at the revision
	prior to the tip.

	Files (added, modified or removed):
	* common.py

	Added tag rel_0.5 for changeset 6a8223539dd8

	Files (added, modified or removed):
	* .hgtags

	Removed tag v0.5

	Files (added, modified or removed):
	* .hgtags

2011-12-12  Carsten Grohmann  <mail@carstengrohmann.de>

	Add PHONY targets

	Files (added, modified or removed):
	* Makefile

2011-12-11  Carsten Grohmann  <mail@carstengrohmann.de>

	Remove debian directory

	The debian directory is used to build debian packages. It will be
	maintainted by Debian / Ubuntu developers.

	Files (added, modified or removed):
	* debian/changelog
	* debian/compat
	* debian/control
	* debian/copyright
	* debian/dirs
	* debian/docs
	* debian/files
	* debian/manpage.xml
	* debian/menu
	* debian/rules
	* debian/wxglade.1
	* install/pyinstaller/wxglade-installer.iss

	Move some import statements to earlier positions

	Files (added, modified or removed):
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py

2011-12-08  Carsten Grohmann  <mail@carstengrohmann.de>

	Ignore more files

	Files (added, modified or removed):
	* .hgignore

	Add native Python build mechanism (setup.py) and integrate it into
	Makefile

	Files (added, modified or removed):
	* Makefile
	* setup.py

2011-11-25  Carsten Grohmann  <mail@carstengrohmann.de>

	Improve start menu structure and exclude some unused docs

	Files (added, modified or removed):
	* install/pyinstaller/wxglade-installer.iss

2011-11-18  Carsten Grohmann  <mail@carstengrohmann.de>

	Add PDF manual to Inno-Setup installer

	Files (added, modified or removed):
	* install/pyinstaller/wxglade-installer.iss

	Add manual PDF to support building on Windows without whole xml
	toolchain

	Files (added, modified or removed):
	* docs/pdf/manual.pdf
	* docs/pdf/readme.txt

	Integrate docs Makefile in main Makefile

	Files (added, modified or removed):
	* Makefile
	* docs/Makefile

2011-11-16  Carsten Grohmann  <mail@carstengrohmann.de>

	Copy manpage to docs directory

	Files (added, modified or removed):
	* docs/man/manpage.xml

	Rework Makefile

	Files (added, modified or removed):
	* Makefile

	Add Makefile and setup.py to windows installer exclude list

	Files (added, modified or removed):
	* install/pyinstaller/wxglade-installer.iss

2011-11-11  Carsten Grohmann  <mail@carstengrohmann.de>

	Cosmetic changes only

	Files (added, modified or removed):
	* wxglade.py

	Print version string at startup too

	Files (added, modified or removed):
	* wxglade.py

2011-11-10  Carsten Grohmann  <mail@carstengrohmann.de>

	Ignore temporary files created during build process

	Files (added, modified or removed):
	* .hgignore

	Merge and unify installer scripts to reduce redundant code

	Files (added, modified or removed):
	* install/pyinstaller/wxglade-SAE-installer.iss
	* install/pyinstaller/wxglade-installer.iss

	Add License statement

	Files (added, modified or removed):
	* install/pyinstaller/hook-main.py
	* install/pyinstaller/wxglade.spec

2011-11-09  Carsten Grohmann  <mail@carstengrohmann.de>

	Improve full edition installer

	Add show and agree license Create start menu entries for various
	documentation files Add conversion of some documentation files from
	Unix EOL to Windows EOL style Show README.txt after installation has
	been finished

	Files (added, modified or removed):
	* install/README.txt
	* install/pyinstaller/wxglade-installer.iss

2011-11-07  Carsten Grohmann  <mail@carstengrohmann.de>

	Add label "(Standalone Edition)" to some links and menu entries

	Files (added, modified or removed):
	* install/pyinstaller/wxglade-SAE-installer.iss

2011-11-06  Carsten Grohmann  <mail@carstengrohmann.de>

	[FIX] Error at "Launch wxGlade" at the end of installer

	Files (added, modified or removed):
	* install/pyinstaller/wxglade-installer.iss

2011-11-04  Carsten Grohmann  <mail@carstengrohmann.de>

	Remove Python bytecode and empty app directory during deinstallation

	Files (added, modified or removed):
	* install/pyinstaller/wxglade-installer.iss

2011-10-31  Carsten Grohmann  <mail@carstengrohmann.de>

	Ignore temporary directories created during build process

	Files (added, modified or removed):
	* .hgignore

	Whitespace changes only

	Files (added, modified or removed):
	* install/pyinstaller/wxglade-SAE-installer.iss

	Standard installer

	Files (added, modified or removed):
	* install/pyinstaller/wxglade-installer.iss

	Rework existing installer to use with standalone edition

	Files (added, modified or removed):
	* install/pyinstaller/make_installer_script.py
	* install/pyinstaller/wxglade-SAE-installer.iss
	* install/pyinstaller/wxglade-installer.iss.template

	Rework and improve spec file used by pyinstaller to collect all
	files

	Files (added, modified or removed):
	* install/pyinstaller/hook-main.py
	* install/pyinstaller/wxglade.spec

2011-10-30  Carsten Grohmann  <mail@carstengrohmann.de>

	PEP8 and cosmetic code changes

	Files (added, modified or removed):
	* common.py

	Change common.version to show "(standalone edition)" for frozen
	installations

	Files (added, modified or removed):
	* common.py

2011-10-17  Carsten Grohmann  <mail@carstengrohmann.de>

	Position of dispatch function has changes in new mercurial versions

	Files (added, modified or removed):
	* install/srcpkgs/make_wxglade_release.py

	Relocate RPM spec file

	Files (added, modified or removed):
	* install/rpm/wxglade.spec
	* wxglade.spec

	Merge support files from wxglade-dist-scripts repo

	Files (added, modified or removed):
	* install/README.txt
	* install/pyinstaller/make_installer_script.py
	* install/pyinstaller/mondrian.ico
	* install/pyinstaller/wxglade-installer.iss.template
	* install/pyinstaller/wxglade.spec
	* install/srcpkgs/make_wxglade_release.py
	* install/update-po.py

	Change location of source documentation from htmldocs to
	docs/apidocs

	Files (added, modified or removed):
	* .hgignore
	* epydoc.conf

2011-10-14  Carsten Grohmann  <mail@carstengrohmann.de>

	Epydoc changes

	Files (added, modified or removed):
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py
	* codegen/xrc_codegen.py
	* font_dialog.py
	* widgets/notebook/notebook.py

	Make codegen to a package by adding __init__.py

	Files (added, modified or removed):
	* codegen/__init__.py

2011-10-12  Carsten Grohmann  <mail@carstengrohmann.de>

	Epydoc changes

	Files (added, modified or removed):
	* codegen/py_codegen.py

	Epydoc changes

	Files (added, modified or removed):
	* common.py

2011-08-15  Carsten Grohmann  <mail@carstengrohmann.de>

	Epydoc changes

	Files (added, modified or removed):
	* codegen/py_codegen.py
	* xml_parse.py

	Whitespace changes only

	Files (added, modified or removed):
	* edit_sizers/lisp_sizers_codegen.py

2011-08-14  Carsten Grohmann  <mail@carstengrohmann.de>

	Some whitespace changes (e.g. remove tabs) only

	Files (added, modified or removed):
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* edit_sizers/edit_sizers.py
	* widgets/bitmap_button/perl_codegen.py
	* widgets/button/perl_codegen.py
	* widgets/calendar_ctrl/calendar_ctrl.py
	* widgets/checkbox/lisp_codegen.py
	* widgets/checkbox/perl_codegen.py
	* widgets/choice/perl_codegen.py
	* widgets/combo_box/combo_box.py
	* widgets/combo_box/perl_codegen.py
	* widgets/custom_widget/perl_codegen.py
	* widgets/datepicker_ctrl/datepicker_ctrl.py
	* widgets/dialog/dialog.py
	* widgets/gauge/gauge.py
	* widgets/gauge/perl_codegen.py
	* widgets/grid/grid.py
	* widgets/grid/perl_codegen.py
	* widgets/list_box/perl_codegen.py
	* widgets/list_ctrl/perl_codegen.py
	* widgets/menubar/perl_codegen.py
	* widgets/panel/perl_codegen.py
	* widgets/radio_box/perl_codegen.py
	* widgets/radio_button/perl_codegen.py
	* widgets/slider/perl_codegen.py
	* widgets/spin_button/perl_codegen.py
	* widgets/spin_ctrl/perl_codegen.py
	* widgets/splitter_window/perl_codegen.py
	* widgets/static_bitmap/perl_codegen.py
	* widgets/static_line/perl_codegen.py
	* widgets/static_text/perl_codegen.py
	* widgets/text_ctrl/perl_codegen.py
	* widgets/toggle_button/perl_codegen.py
	* widgets/toolbar/codegen.py
	* widgets/toolbar/perl_codegen.py
	* widgets/tree_ctrl/perl_codegen.py

	Do not use wxversion in frozen installations

	Files (added, modified or removed):
	* main.py

2011-08-08  Alberto Griggio  <griggio@fbk.eu>

	Applied patch by Ramin Sabet to make generated Python code more
	PEP8-compliant

	Files (added, modified or removed):
	* codegen/py_codegen.py

2011-03-25  Alberto Griggio  <griggio@fbk.eu>

	Fixed exception in edit_sizers.change_sizer (do not try to reparent
	things without a GetParent method)

	Thanks to Davorin Kunstelj for reporting the bug

	Files (added, modified or removed):
	* edit_sizers/edit_sizers.py

2010-08-27  Alberto Griggio  <griggio@fbk.eu>

	Cleaned up multiple imports and added ComboBoxProperty tooltip.

	Patch provided by Davorin Kunstelj

	Files (added, modified or removed):
	* widget_properties.py

2010-06-29  Alberto Griggio  <agriggio@users.sourceforge.net>

	The fix introduced in changeset 82b4f56b56c6 was actually broken.
	This one should be better

	Files (added, modified or removed):
	* application.py

2010-06-28  Alberto Griggio  <agriggio@users.sourceforge.net>

	Fixed str/unicode mixing issue that was causing code generation to
	fail

	Files (added, modified or removed):
	* application.py

2010-01-05  Alberto Griggio  <agriggio@users.sourceforge.net>

	added French translation by Guillaume Barthe

	Files (added, modified or removed):
	* po/fr.po

2010-01-02  Alberto Griggio  <agriggio@users.sourceforge.net>

	generate code using the StringIO module instead of cStringIO,
	because the latter doesn't play nicely with Unicode

	Thanks to all the people who reported the bug and suggested patches

	Files (added, modified or removed):
	* xml_parse.py

2009-12-29  Alberto Griggio  <agriggio@users.sourceforge.net>

	C++ output: applied patch by Sander Cox to prevent double line
	breaks to add up when no extra_code is present.

	Files (added, modified or removed):
	* codegen/cpp_codegen.py

2009-11-30  Alberto Griggio  <griggio@dit.unitn.it>

	fix stupid bug in determining the version number using mercurial

	The code was catching only ImportError, but in fact there are more
	things that can go wrong. Fixed by catching everything

	Files (added, modified or removed):
	* common.py

2009-09-18  Alberto Griggio  <agriggio@users.sourceforge.net>

	fix for issue #1962327 (extra code property allows only ASCII text)

	Files (added, modified or removed):
	* application.py

	applied patch by Roel van Os: "Change initialization order to
	improve tab order"

	Files (added, modified or removed):
	* codegen/py_codegen.py
	* edit_sizers/sizers_codegen.py

2009-08-25  Alberto Griggio  <griggio@dit.unitn.it>

	applied patch by Johan Vromans to fix issue in Perl code generator

	Here's a quick summary of the issue: """ If a menu entry has a name
	that contains whitespace (or other non perl-identifier characters)
	wxglade generates invalid hash keys. """

	Files (added, modified or removed):
	* codegen/pl_codegen.py
	* widgets/menubar/perl_codegen.py

2009-06-13  Alberto Griggio  <agriggio@users.sourceforge.net>

	Applied patch by Davorin Kunstelj to allow properties to be
	"blocked" (locked down) when certain conditions are met

	Files (added, modified or removed):
	* edit_windows.py
	* tree.py
	* widget_properties.py
	* widgets/grid/grid.py

2009-05-13  Alberto Griggio  <griggio@dit.unitn.it>

	Applied patch by Davorin Kunstelj to fix a tooltip mismatch on
	bitmap buttons

	Files (added, modified or removed):
	* widgets/bitmap_button/bitmap_button.py

	Applied patch by Davorin Kunstelj to not write disabled ComboBox
	properties

	I've changed the patch a little bit to be more compatible with the
	old behaviour

	Files (added, modified or removed):
	* widget_properties.py

2009-04-25  Alberto Griggio  <agriggio@users.sourceforge.net>

	merged fixes to xrc2wxg

	Files (added, modified or removed):

2009-04-18  Alberto Griggio  <agriggio@users.sourceforge.net>

	Use Mercurial to determine the version number of wxGlade, if
	possible

	Files (added, modified or removed):
	* common.py

	Code cleanup: removed unused imports

	Patch submitted by Carsten Grohmann

	Files (added, modified or removed):
	* about.py
	* application.py
	* clipboard.py
	* color_dialog.py
	* common.py
	* edit_sizers/edit_sizers.py
	* edit_widget.py
	* edit_windows.py
	* events_mixin.py
	* font_dialog.py
	* layout_option_property.py
	* main.py
	* tree.py
	* widget_properties.py
	* xml_parse.py

	Fixed an issue and updated some docstrings in the Python code
	generator

	Patch submitted by Carsten Grohmann

	Files (added, modified or removed):

2009-01-27  Alberto Griggio  <griggio@dit.unitn.it>

	Fix: when importing from XRC, add a scrollable property to
	wx.ScrolledWindowS

	Files (added, modified or removed):
	* xrc2wxg.py

2009-01-25  Alberto Griggio  <agriggio@users.sourceforge.net>

	fixed issue #2530409 (wxScrolledWindow could not be imported from
	XRC)

	Files (added, modified or removed):
	* xrc2wxg.py

2009-01-11  Alberto Griggio  <agriggio@users.sourceforge.net>

	fix for bug #2498055

	Files (added, modified or removed):
	* widgets/panel/codegen.py

2009-01-08  Alberto Griggio  <griggio@dit.unitn.it>

	merge backout

	Files (added, modified or removed):
	* codegen/py_codegen.py

	Backed out changeset 3529b9200ebd

	Files (added, modified or removed):
	* codegen/py_codegen.py

2009-01-01  Alberto Griggio  <agriggio@users.sourceforge.net>

	Moved language-specific properties of Application to separate tabs

	Files (added, modified or removed):
	* application.py

	Applied patch by Sander Cox to allow configuration of indentation
	for C++ output

	Files (added, modified or removed):
	* application.py
	* codegen/cpp_codegen.py
	* tree.py
	* xml_parse.py

2008-12-29  Alberto Griggio  <agriggio@users.sourceforge.net>

	bugfix: in SpinProperty, display() was sometimes called before
	self.val was set

	Files (added, modified or removed):
	* widget_properties.py

	set common.version to 'HG' - version number is not meaningful
	anymore

	Files (added, modified or removed):
	* common.py

	bugfix: in RadioProperty, display() was sometimes called before
	self.val was set

	Files (added, modified or removed):
	* widget_properties.py

2008-12-26  Alberto Griggio  <agriggio@users.sourceforge.net>

	Applied patch by Geoff May: added option to specify a custom
	constructor for CustomWidget

	Files (added, modified or removed):
	* widgets/custom_widget/codegen.py
	* widgets/custom_widget/custom_widget.py
	* widgets/custom_widget/perl_codegen.py

2008-11-29  Alberto Griggio  <agriggio@users.sourceforge.net>

	merged changes from home

	Files (added, modified or removed):
	* codegen/py_codegen.py
	* common.py

2008-11-22  Alberto Griggio  <agriggio@users.sourceforge.net>

	Fixed bug in common.generated_from() when code generation is invoked
	from the command line

	Files (added, modified or removed):
	* common.py

	Fixed bug in python App code generation, introduced by 'wxID_ANY'
	patch

	Files (added, modified or removed):
	* codegen/py_codegen.py

	Fixed a couple of code formatting issues (lines longer than 80
	characters)

	Files (added, modified or removed):
	* widgets/custom_widget/custom_widget.py
	* widgets/panel/panel.py

2008-11-15  Alberto Griggio  <agriggio@users.sourceforge.net>

	applied submitted patch to generate wx.ID_ANY instead of -1 in
	python code

	Files (added, modified or removed):
	* codegen/py_codegen.py

2008-10-23  Alberto Griggio  <griggio@dit.unitn.it>

	applied patch by Roel van Os to fix MacOSX-related bugs

	Files (added, modified or removed):
	* layout_option_property.py
	* widget_properties.py

2008-10-21  Alberto Griggio  <griggio@dit.unitn.it>

	fixed duplication of 'extra code' in C++ output

	Files (added, modified or removed):
	* codegen/cpp_codegen.py

2008-07-28  Alberto Griggio  <agriggio@users.sourceforge.net>

	updated CHARSET for German and French translations

	Files (added, modified or removed):
	* po/de.po
	* po/fr.po

2008-07-25  Alberto Griggio  <agriggio@users.sourceforge.net>

	avoid generation of <selection> if the list of choices is empty

	Files (added, modified or removed):
	* widgets/list_box/codegen.py

2008-04-24  Alberto Griggio  <griggio@dit.unitn.it>

	applied patch by Doug Evans to fix "duplicate frame extracode"

	Files (added, modified or removed):
	* codegen/py_codegen.py

2008-03-11  Alberto Griggio  <griggio@dit.unitn.it>

	fixed bug in GridSizer.set_cols

	the number of *rows* was used instead of that of columns...

	Files (added, modified or removed):
	* edit_sizers/edit_sizers.py

2008-02-14  Alberto Griggio  <griggio@dit.unitn.it>

	fixed bug in preview when using CustomWidgets

	Files (added, modified or removed):
	* tree.py
	* widgets/custom_widget/codegen.py

	Applied patches by Johan Vromans to fix the Perl code generator for
	Custom Widgets

	Files (added, modified or removed):
	* widgets/custom_widget/lisp_codegen.py
	* widgets/custom_widget/perl_codegen.py

2008-02-01  Alberto Griggio  <griggio@dit.unitn.it>

	Added tag rel_0.6.3 for changeset d58a6f9c593a

	Files (added, modified or removed):
	* .hgtags

	updated version number, some indentation changes to dialog.py

	Files (added, modified or removed):
	* common.py
	* widgets/dialog/dialog.py

2008-01-27  Alberto Griggio  <agriggio@users.sourceforge.net>

	fixed bug #1876682

	Files (added, modified or removed):
	* widgets/grid/codegen.py

	fixed indentation (only cosmetic change)

	Files (added, modified or removed):
	* widgets/grid/grid.py

2008-01-04  Alberto Griggio  <agriggio@users.sourceforge.net>

	fixed silly bug in xrc code generation

	Files (added, modified or removed):
	* widgets/dialog/codegen.py
	* widgets/frame/codegen.py

2007-12-28  Alberto Griggio  <agriggio@users.sourceforge.net>

	Added tag rel_0.6.2 for changeset 0ca2ea7b12e8

	Files (added, modified or removed):
	* .hgtags

	updated version number to 0.6.2

	Files (added, modified or removed):
	* common.py

2007-12-23  Alberto Griggio  <agriggio@users.sourceforge.net>

	added "size hints" property to wxFrame and wxDialog

	Files (added, modified or removed):
	* application.py
	* edit_sizers/lisp_sizers_codegen.py
	* edit_sizers/perl_sizers_codegen.py
	* edit_sizers/sizers_codegen.py
	* widget_properties.py
	* widgets/dialog/codegen.py
	* widgets/dialog/dialog.py
	* widgets/frame/codegen.py
	* widgets/frame/frame.py

2007-12-08  Alberto Griggio  <agriggio@users.sourceforge.net>

	moved update-po.py to repository "wxglade-dist-scripts"

	Files (added, modified or removed):
	* update-po.py

2007-12-06  Alberto Griggio  <griggio@dit.unitn.it>

	fix for Python <= 2.3, where no built-in "sorted" exists

	Files (added, modified or removed):
	* wxglade.py

2007-11-27  Alberto Griggio  <griggio@dit.unitn.it>

	Merged i18n changes by Homin Lee

	Files (added, modified or removed):
	* common.py

2007-11-08  Homin Lee  <ff4500@gmail.com>

	modifying... update-po.py

	Files (added, modified or removed):
	* update-po.py

	add update-po.py which based on mki18n.py from
	http://wiki.wxpython.org/Internationalization

	Files (added, modified or removed):
	* update-po.py

	add Japanese po from Japanese wxglade.mo

	Files (added, modified or removed):
	* po/ja.po

2007-11-08  Administrator  <Administrator@suapapa>

	add japanese mo, update scripts that unmanaged by gettext, add
	dispName to Property obj. for non-us users.

	Files (added, modified or removed):
	* about.py
	* application.py
	* code_property.py
	* common.py
	* config.py
	* edit_sizers/edit_sizers.py
	* edit_windows.py
	* events_mixin.py
	* font_dialog.py
	* kdefiledialog.py
	* layout_option_property.py
	* locale/ja/LC_MESSAGES/wxglade.mo
	* misc.py
	* template.py
	* templates_ui.py
	* tree.py
	* widget_properties.py
	* widgets/bitmap_button/bitmap_button.py
	* widgets/button/button.py
	* widgets/calendar_ctrl/calendar_ctrl.py
	* widgets/checkbox/checkbox.py
	* widgets/choice/choice.py
	* widgets/combo_box/combo_box.py
	* widgets/custom_widget/custom_widget.py
	* widgets/datepicker_ctrl/datepicker_ctrl.py
	* widgets/dialog/dialog.py
	* widgets/frame/frame.py
	* widgets/gauge/gauge.py
	* widgets/grid/grid.py
	* widgets/list_box/list_box.py
	* widgets/list_ctrl/list_ctrl.py
	* widgets/menubar/menubar.py
	* widgets/notebook/notebook.py
	* widgets/panel/panel.py
	* widgets/radio_box/radio_box.py
	* widgets/radio_button/radio_button.py
	* widgets/slider/slider.py
	* widgets/spacer/spacer.py
	* widgets/spin_button/spin_button.py
	* widgets/spin_ctrl/spin_ctrl.py
	* widgets/splitter_window/splitter_window.py
	* widgets/static_bitmap/static_bitmap.py
	* widgets/static_line/static_line.py
	* widgets/static_text/static_text.py
	* widgets/text_ctrl/text_ctrl.py
	* widgets/toggle_button/toggle_button.py
	* widgets/toolbar/toolbar.py
	* widgets/tree_ctrl/tree_ctrl.py
	* xml_parse.py

2007-11-08  Homin Lee  <ff4500@gmail.com>

	update Korean translation

	Files (added, modified or removed):
	* po/ko.po

2007-11-27  Alberto Griggio  <griggio@dit.unitn.it>

	merge

	Files (added, modified or removed):

	merged changes

	Files (added, modified or removed):

2007-11-17  Alberto Griggio  <agriggio@users.sourceforge.net>

	merged rel 0.6.1

	Files (added, modified or removed):

	fixed compilation problem when using non-standard empty arrays

	Files (added, modified or removed):
	* widgets/choice/codegen.py
	* widgets/combo_box/codegen.py
	* widgets/list_box/codegen.py

2007-11-27  Alberto Griggio  <griggio@dit.unitn.it>

	fixed very serious regression on cpp_codegen, updated version number

	The problem was that old event handlers were not detected and
	declared/defined again at each code generation. This was because
	event handlers became virtual but I forgot to update the regexp that
	matches them to reflect this :-(

	Files (added, modified or removed):
	* codegen/cpp_codegen.py
	* common.py

2007-10-25  Alberto Griggio  <griggio@dit.unitn.it>

	Added tag rel_0.6.1 for changeset 58d181f6df32

	Files (added, modified or removed):
	* .hgtags

	changed version number to 0.6.1

	Files (added, modified or removed):
	* common.py

2007-10-22  Alberto Griggio  <griggio@dit.unitn.it>

	removed tabs from source code

	Files (added, modified or removed):
	* application.py
	* main.py
	* tree.py
	* widget_properties.py
	* widgets/bitmap_button/bitmap_button.py
	* widgets/bitmap_button/codegen.py
	* widgets/button/button.py
	* widgets/button/button_stockitems.py
	* widgets/calendar_ctrl/calendar_ctrl.py
	* widgets/calendar_ctrl/codegen.py
	* widgets/combo_box/combo_box.py
	* widgets/datepicker_ctrl/codegen.py
	* widgets/datepicker_ctrl/datepicker_ctrl.py
	* widgets/dialog/dialog.py
	* xml_parse.py

	added korean translation

	Thanks to Homin Lee for providing this!

	Files (added, modified or removed):
	* po/ko.po

2007-10-18  Alberto Griggio  <griggio@dit.unitn.it>

	patch to fix problem in code generated for wxMenuBar on OS X

	Files (added, modified or removed):
	* widgets/menubar/codegen.py
	* widgets/menubar/lisp_codegen.py
	* widgets/menubar/perl_codegen.py

2007-10-16  Alberto Griggio  <agriggio@users.sourceforge.net>

	fixed bug in layout of frames with explicit size on wx < 2.8

	Files (added, modified or removed):
	* widgets/frame/codegen.py
	* widgets/frame/perl_codegen.py

	fixed bug #180219 (changed std::cout to wxLogDebug)

	Files (added, modified or removed):
	* codegen/cpp_codegen.py

	fixed bug #1800898 (no refresh when changing foreground/backround
	color)

	Files (added, modified or removed):
	* widget_properties.py

	fixed bug #1800895 (exception when clicking "has toolbar")

	Files (added, modified or removed):
	* edit_windows.py

	fixed bug on python code generation

	Files (added, modified or removed):
	* widgets/calendar_ctrl/codegen.py

2007-09-23  Alberto Griggio  <agriggio@users.sourceforge.net>

	Added tag rel_0.6 for changeset c4316ac0d906

	Files (added, modified or removed):
	* .hgtags

	fixed tab ordering of properties

	Files (added, modified or removed):
	* application.py
	* edit_sizers/edit_sizers.py
	* edit_windows.py

2007-09-22  Alberto Griggio  <agriggio@users.sourceforge.net>

	changed URL of user's manual (to use the on-line version)

	Files (added, modified or removed):
	* docs/index.html

	use wx.GenStaticText if available to implement labels

	wx.StaticText is a weird widget, with odd behaviour wrt. key and
	focus events. wx.GenStaticText is much better in this respect

	Files (added, modified or removed):
	* widgets/static_text/static_text.py

2007-09-19  Alberto Griggio  <agriggio@users.sourceforge.net>

	fixed bug #1797230

	Files (added, modified or removed):
	* edit_sizers/edit_sizers.py
	* edit_windows.py

2007-09-17  Alberto Griggio  <agriggio@users.sourceforge.net>

	added option to include .wxg file name in generated source files

	This was requested by SPE's author, for better integration with the
	IDE

	Files (added, modified or removed):
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py
	* codegen/xrc_codegen.py
	* common.py
	* config.py
	* configUI.py
	* res/preferences.wxg

2007-09-09  Alberto Griggio  <agriggio@users.sourceforge.net>

	added code generation preference "write_timestamp"

	Files (added, modified or removed):
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py
	* codegen/xrc_codegen.py
	* config.py
	* configUI.py
	* res/preferences.wxg

	fixed problems with "small_frames" on Ubuntu (actually, I think it's
	on GNOME...)

	Files (added, modified or removed):
	* main.py

	update the "saved" flag of Application when removing an empty slot

	Files (added, modified or removed):
	* edit_sizers/edit_sizers.py

2007-09-07  Alberto Griggio  <agriggio@users.sourceforge.net>

	fixed cut-and-paste error (grr!!!)

	Files (added, modified or removed):
	* widgets/dialog/codegen.py
	* widgets/frame/codegen.py

	fixed code generation for "icon" property when using special "var:"
	and "code:" forms

	Files (added, modified or removed):
	* widgets/dialog/codegen.py
	* widgets/frame/codegen.py

	workaround for spinctrl bug on wxGTK 2.8.4.2

	Files (added, modified or removed):
	* config.py

	fixed encoding problem with non-western locales

	Files (added, modified or removed):
	* xml_parse.py

2007-09-06  Alberto Griggio  <agriggio@users.sourceforge.net>

	fixed compatibility with python 2.3

	In python 2.3, set is not a builtin, but needs to be aliased from
	sets.Set

	Files (added, modified or removed):
	* tree.py

	fixed compatibility problem with wx 2.6

	wx.ID_EDIT was introduced in 2.8...

	Files (added, modified or removed):
	* res/templates_ui.wxg
	* template.py
	* templates_ui.py

	fixed bug that made the tree and property windows disappear on win32

	Files (added, modified or removed):
	* main.py

	small formatting fix

	Files (added, modified or removed):
	* wxglade.py

2007-09-04  Alberto Griggio  <agriggio@users.sourceforge.net>

	fixed compatibility issue with wxPython 2.8.4.2

	Files (added, modified or removed):
	* edit_sizers/edit_sizers.py

	fixed bug in change_sizer when changing to a wx.StaticBoxSizer

	Files (added, modified or removed):
	* edit_sizers/edit_sizers.py

	fixed bug in 'setup_preview_menu' when using wxPython 2.8.4.2

	Files (added, modified or removed):
	* edit_sizers/edit_sizers.py
	* edit_windows.py

2007-09-02  Alberto Griggio  <agriggio@users.sourceforge.net>

	improved support for custom components

	- made ChoicesProperty more general (for wxCheckListBox)
	- made edit_widget a bit more flexible

	Files (added, modified or removed):
	* edit_widget.py
	* widget_properties.py
	* widgets/ChoicesCodeHandler.py
	* widgets/ChoicesProperty.py

2007-09-01  Alberto Griggio  <agriggio@users.sourceforge.net>

	fixed bug in event handler id generation

	Files (added, modified or removed):
	* codegen/py_codegen.py

	fixed a bug in handling extracode

	The extra code was not generated when the options "single file" and
	"overwrite" were set

	Files (added, modified or removed):
	* codegen/cpp_codegen.py
	* codegen/py_codegen.py

	fixed a bug in ExtraPropertiesProperty

	Files (added, modified or removed):
	* code_property.py

	Implemented "exraproperties" property.

	This allows you to add more properties to the generated code for the
	widgets. For each pair (name, value) in extraproperties for a
	widget, a line

	widget.SetName(value)

	will be added in __set_properties. That is, the name of the property
	is capitalized, and the value is taken as it is. This works for
	Python, C++ and Perl. For XRC, the extra line would be

	<name>value</name>

	(notice that there is no capitalization).

	Files (added, modified or removed):
	* code_property.py
	* codegen/cpp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py
	* codegen/xrc_codegen.py
	* edit_windows.py
	* widget_properties.py

	small ui fix

	Files (added, modified or removed):
	* res/templates_ui.wxg
	* template.py
	* templates_ui.py

	make bold labels use the default font size

	Files (added, modified or removed):
	* msgdialog.py
	* res/messagedialog.wxg
	* res/templates_ui.wxg
	* templates_ui.py

	merged encoding fixes

	Files (added, modified or removed):
	* config.py
	* main.py
	* misc.py
	* tree.py

	fixed some encoding problems (when using non-ascii filesystem paths)

	Files (added, modified or removed):
	* config.py
	* kdefiledialog.py
	* main.py
	* misc.py
	* tree.py

2007-08-31  Alberto Griggio  <agriggio@users.sourceforge.net>

	removed "generated from" in output file

	Files (added, modified or removed):
	* codegen/lisp_codegen.py

	removed "generated from" in output

	Files (added, modified or removed):
	* codegen/xrc_codegen.py

	implemented XRC code generation

	Files (added, modified or removed):
	* widgets/grid/codegen.py

	small ui improvement in CheckListProperty

	Files (added, modified or removed):
	* widget_properties.py

	small ui improvement

	Files (added, modified or removed):
	* code_property.py

	improved warning messages

	Files (added, modified or removed):
	* codegen/py_codegen.py

	implemented "extracode" and "custom base classes" for C++ output

	Files (added, modified or removed):
	* codegen/cpp_codegen.py

	added a couple of fixes for "extracode"

	Files (added, modified or removed):
	* codegen/py_codegen.py

	fixed bug when not overwriting existing sources

	Files (added, modified or removed):
	* codegen/py_codegen.py

	better implementation of check_codegen for XRC

	Files (added, modified or removed):
	* application.py

	added "custom base classes" support

	It is now possible to specify custom base classes for wxGlade-
	generated ones. At the moment, it works only for the Python code
	generator, but I plan to implement it also for C++.

	This feature is not really meant to be used unless the "overwrite
	existing sources" option is set: if not, the generated code might
	be incorrect.

	Files (added, modified or removed):
	* codegen/py_codegen.py
	* codegen/xrc_codegen.py
	* edit_windows.py
	* widgets/notebook/notebook.py
	* widgets/panel/panel.py
	* widgets/splitter_window/splitter_window.py

	implemented 'extracode' property for XRC

	Files (added, modified or removed):
	* codegen/xrc_codegen.py

	fixed a couple of UI glitches

	Files (added, modified or removed):
	* code_property.py
	* main.py

2007-08-30  Alberto Griggio  <agriggio@users.sourceforge.net>

	Added "extracode" property

	This property allows the user to insert arbitrary code snippets in
	the wxGlade-generated source files. This could be quite useful, for
	instance to include files, define constants, etc.

	At the moment, only the Python code generator has been updated to
	support this. I plan to extend also the C++ one, for the others
	patches are welcome...

	Finally, you should use this feature only in "overwrite sources"
	mode: if you don't, it should work for "easy" cases (when you really
	insert only imports or constant declarations), but if you insert
	more complex stuff the wxGlade "parsers" (quoted because they aren't
	real parsers) will get fooled quite easily...

	Files (added, modified or removed):
	* code_property.py
	* codegen/py_codegen.py
	* edit_windows.py

	small fix in displaying template information

	Files (added, modified or removed):
	* template.py

2007-08-29  Alberto Griggio  <agriggio@users.sourceforge.net>

	moved "import template" at the top level

	Files (added, modified or removed):
	* main.py

	implemented template editing

	Files (added, modified or removed):
	* main.py
	* res/templates_ui.wxg
	* template.py
	* templates_ui.py

	added first template management code

	For now, it is only possible to delete custom (i.e. not bundled with
	wxGlade) templates

	Files (added, modified or removed):
	* main.py
	* template.py

	A very simple example template

	Files (added, modified or removed):
	* templates/Dialog with two buttons.wgt

	improved templates support

	Added dialogs and menu entries to create an app from a template, or
	to save an app as a template

	Still needs to be finished (e.g. editing/deleting existing templates
	is not possible at the moment)

	Files (added, modified or removed):
	* main.py
	* res/templates_ui.wxg
	* template.py
	* templates_ui.py
	* tree.py

	improved message dialog

	Files (added, modified or removed):
	* msgdialog.py
	* res/messagedialog.wxg

	fixed line-wrapping

	Files (added, modified or removed):
	* template.py

	better handling of relative paths for images

	There was a problem in wxGlade: relative paths for icons (for
	example in toolbars or frames) were accepted by the code generator,
	but were not working well in the gui design and in preview. This
	patch fixes the problem, by interpreting paths for images as
	relative to the output path for the generated code

	Files (added, modified or removed):
	* application.py
	* misc.py
	* msgdialog.py
	* res/messagedialog.wxg
	* widgets/bitmap_button/bitmap_button.py
	* widgets/bitmap_button/codegen.py
	* widgets/dialog/codegen.py
	* widgets/dialog/dialog.py
	* widgets/frame/codegen.py
	* widgets/frame/frame.py
	* widgets/static_bitmap/codegen.py
	* widgets/static_bitmap/static_bitmap.py
	* widgets/toolbar/codegen.py
	* widgets/toolbar/toolbar.py

2007-08-28  Alberto Griggio  <agriggio@users.sourceforge.net>

	updated .hgignore

	Files (added, modified or removed):
	* .hgignore

	better implementation of common.message, using a custom
	MessageDialog

	Files (added, modified or removed):
	* common.py
	* config.py
	* msgdialog.py
	* res/messagedialog.wxg

	remember position of top-level windows when reloading an app

	Files (added, modified or removed):
	* main.py
	* tree.py

	fixed wrong commit

	Files (added, modified or removed):
	* codegen/pl_codegen.py

	added notification of missing code generators

	Every time a widget is added to the current design, or the output
	language is changed, check that every widget has a suitable code
	generator for the language, and if not warn the user

	Files (added, modified or removed):
	* application.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py
	* common.py
	* main.py
	* tree.py

2007-08-26  Alberto Griggio  <agriggio@users.sourceforge.net>

	applied patch to make event handlers virtual

	Files (added, modified or removed):
	* codegen/cpp_codegen.py

2007-08-22  Alberto Griggio  <agriggio@users.sourceforge.net>

	fixed small bug in selection markers

	Files (added, modified or removed):
	* misc.py

2007-08-11  Alberto Griggio  <agriggio@users.sourceforge.net>

	upadted version number to 0.6

	Files (added, modified or removed):
	* common.py

2007-08-07  Alberto Griggio  <agriggio@users.sourceforge.net>

	Closed HEAD branch

	Files (added, modified or removed):

	Removed obsolete files

	Files (added, modified or removed):
	* zmain.py
	* zwxglade.py

	merge after tagging v0.5

	Files (added, modified or removed):
	* .cvsignore
	* codegen/.cvsignore
	* docs/.cvsignore
	* docs/img/.cvsignore
	* edit_sizers/.cvsignore
	* icons/.cvsignore
	* icons/gtk/.cvsignore
	* icons/msw/.cvsignore
	* widgets/.cvsignore
	* widgets/bitmap_button/.cvsignore
	* widgets/button/.cvsignore
	* widgets/calendar_ctrl/.cvsignore
	* widgets/checkbox/.cvsignore
	* widgets/choice/.cvsignore
	* widgets/combo_box/.cvsignore
	* widgets/custom_widget/.cvsignore
	* widgets/datepicker_ctrl/.cvsignore
	* widgets/dialog/.cvsignore
	* widgets/frame/.cvsignore
	* widgets/gauge/.cvsignore
	* widgets/grid/.cvsignore
	* widgets/list_box/.cvsignore
	* widgets/list_ctrl/.cvsignore
	* widgets/menubar/.cvsignore
	* widgets/notebook/.cvsignore
	* widgets/panel/.cvsignore
	* widgets/radio_box/.cvsignore
	* widgets/radio_button/.cvsignore
	* widgets/slider/.cvsignore
	* widgets/spacer/.cvsignore
	* widgets/spin_button/.cvsignore
	* widgets/spin_ctrl/.cvsignore
	* widgets/splitter_window/.cvsignore
	* widgets/static_bitmap/.cvsignore
	* widgets/static_line/.cvsignore
	* widgets/static_text/.cvsignore
	* widgets/text_ctrl/.cvsignore
	* widgets/toggle_button/.cvsignore
	* widgets/toolbar/.cvsignore
	* widgets/tree_ctrl/.cvsignore
	* zmain.py
	* zwxglade.py

	Added tag v0.5 for changeset 6a8223539dd8

	Files (added, modified or removed):
	* .hgtags

	Removed obsolete files

	Files (added, modified or removed):
	* zmain.py
	* zwxglade.py

	Added .hgignore

	Files (added, modified or removed):
	* .hgignore

	Removed .cvsignore files

	Files (added, modified or removed):
	* .cvsignore
	* codegen/.cvsignore
	* docs/.cvsignore
	* docs/img/.cvsignore
	* edit_sizers/.cvsignore
	* icons/.cvsignore
	* icons/gtk/.cvsignore
	* icons/msw/.cvsignore
	* widgets/.cvsignore
	* widgets/bitmap_button/.cvsignore
	* widgets/button/.cvsignore
	* widgets/calendar_ctrl/.cvsignore
	* widgets/checkbox/.cvsignore
	* widgets/choice/.cvsignore
	* widgets/combo_box/.cvsignore
	* widgets/custom_widget/.cvsignore
	* widgets/datepicker_ctrl/.cvsignore
	* widgets/dialog/.cvsignore
	* widgets/frame/.cvsignore
	* widgets/gauge/.cvsignore
	* widgets/grid/.cvsignore
	* widgets/list_box/.cvsignore
	* widgets/list_ctrl/.cvsignore
	* widgets/menubar/.cvsignore
	* widgets/notebook/.cvsignore
	* widgets/panel/.cvsignore
	* widgets/radio_box/.cvsignore
	* widgets/radio_button/.cvsignore
	* widgets/slider/.cvsignore
	* widgets/spacer/.cvsignore
	* widgets/spin_button/.cvsignore
	* widgets/spin_ctrl/.cvsignore
	* widgets/splitter_window/.cvsignore
	* widgets/static_bitmap/.cvsignore
	* widgets/static_line/.cvsignore
	* widgets/static_text/.cvsignore
	* widgets/text_ctrl/.cvsignore
	* widgets/toggle_button/.cvsignore
	* widgets/toolbar/.cvsignore
	* widgets/tree_ctrl/.cvsignore

	Some code cleanup

	Files (added, modified or removed):
	* codegen/pl_codegen.py

	Several "visual" and usability improvements, like better icons,
	better keyboard navigation, better preview support

	Files (added, modified or removed):
	* common.py
	* configUI.py
	* edit_sizers/edit_sizers.py
	* edit_windows.py
	* font_dialog.py
	* layout_option_property.py
	* main.py
	* misc.py
	* widget_properties.py

	Some code cleanup

	Files (added, modified or removed):
	* widgets/bitmap_button/codegen.py
	* widgets/calendar_ctrl/codegen.py
	* widgets/dialog/dialog.py
	* widgets/frame/frame.py
	* widgets/gauge/gauge.py
	* widgets/menubar/menubar.py
	* widgets/slider/slider.py
	* widgets/spacer/spacer.py
	* widgets/static_line/static_line.py
	* widgets/toolbar/toolbar.py
	* wxglade.py

	Improved multiple files code generation.

	Now it is possible to generate classes living in subpackages

	Files (added, modified or removed):
	* codegen/py_codegen.py
	* widgets/notebook/codegen.py
	* widgets/notebook/notebook.py
	* widgets/notebook/perl_codegen.py
	* widgets/panel/codegen.py
	* widgets/panel/lisp_codegen.py
	* widgets/panel/panel.py
	* widgets/panel/perl_codegen.py
	* widgets/splitter_window/codegen.py
	* widgets/splitter_window/perl_codegen.py
	* widgets/splitter_window/splitter_window.py

	Better preview support for "cross-referencing" custom widgets.

	Example: suppose you have a panel called MyPanel, and a frame with a
	custom widget called MyPanel. Then wxGlade detects that the custom
	widget is actually a MyPanel instance created before, and will
	correctly use that in the preview

	Files (added, modified or removed):
	* application.py
	* tree.py
	* widgets/custom_widget/codegen.py
	* widgets/custom_widget/custom_widget.py
	* xml_parse.py

2007-07-21  Alberto Griggio  <agriggio@users.sourceforge.net>

	Set the busy cursor before pasting (since it can take some time...)

	Files (added, modified or removed):
	* clipboard.py

	fixed a segfault when adding a sizer to a panel after having removed
	the previous one

	Files (added, modified or removed):
	* edit_sizers/edit_sizers.py
	* widgets/panel/panel.py

2007-06-25  Alberto Griggio  <agriggio@users.sourceforge.net>

	minor changes to keep lines shorter than 80 characters...

	Files (added, modified or removed):
	* edit_sizers/edit_sizers.py

	fixed bug in change_sizer

	Files (added, modified or removed):
	* edit_sizers/edit_sizers.py

2007-06-23  Alberto Griggio  <agriggio@users.sourceforge.net>

	applied patch by Klaas Hartmann

	Files (added, modified or removed):
	* widgets/menubar/perl_codegen.py

2007-05-02  dinogen  <dinogen>

	added a spacer because last entry are not well readable

	Files (added, modified or removed):
	* configUI.py

2007-04-19  Alberto Griggio  <agriggio@users.sourceforge.net>

	SelectionTags are created and destroyed every time they are
	shown/hidden: this helps slowing down the rate at which GDI objects
	usage increases over time (note: this is not a real fix for the
	problem, I don't know enough about win32 gui to do it...)

	Files (added, modified or removed):
	* misc.py

2007-04-14  Alberto Griggio  <agriggio@users.sourceforge.net>

	fixed bug when deleting a page of a notebook

	Files (added, modified or removed):
	* edit_windows.py
	* widgets/notebook/notebook.py

2007-04-12  guyru  <guyru>

	fixed some bugs

	Files (added, modified or removed):
	* widgets/bitmap_button/bitmap_button.py

2007-04-10  guyru  <guyru>

	fixed cpp codegen

	Files (added, modified or removed):
	* widgets/bitmap_button/codegen.py

	added styles to bitmap button widget.

	Files (added, modified or removed):
	* widgets/bitmap_button/bitmap_button.py
	* widgets/bitmap_button/codegen.py

2007-04-04  Alberto Griggio  <agriggio@users.sourceforge.net>

	changed version number

	Files (added, modified or removed):
	* common.py

	minor UI and code tweaks

	Files (added, modified or removed):
	* edit_sizers/edit_sizers.py
	* widget_properties.py

2007-04-02  Alberto Griggio  <agriggio@users.sourceforge.net>

	updated credits

	Files (added, modified or removed):
	* credits.txt

	updated change log

	Files (added, modified or removed):
	* CHANGES.txt

	updated "for_version" property

	Files (added, modified or removed):
	* application.py

	changed version number

	Files (added, modified or removed):
	* common.py

2007-04-01  Alberto Griggio  <agriggio@users.sourceforge.net>

	added XRC code generation for stock items

	Files (added, modified or removed):
	* widgets/button/codegen.py

	fixed code generation for stock items

	Files (added, modified or removed):
	* widgets/button/codegen.py
	* widgets/button/lisp_codegen.py
	* widgets/button/perl_codegen.py

2007-03-31  Alberto Griggio  <agriggio@users.sourceforge.net>

	fixed set_stockitem

	Files (added, modified or removed):
	* widgets/button/button.py

	small code formatting change

	Files (added, modified or removed):
	* widget_properties.py

2007-03-30  Alberto Griggio  <agriggio@users.sourceforge.net>

	applied some "cosmetic" patches

	Files (added, modified or removed):
	* codegen/cpp_codegen.py

2007-03-28  Alberto Griggio  <agriggio@users.sourceforge.net>

	fixed segfault with wx 2.8

	Files (added, modified or removed):
	* widgets/radio_box/radio_box.py

	removed deprecated wx.SystemSettings_GetSystemFont

	Files (added, modified or removed):
	* misc.py

2007-03-27  Alberto Griggio  <agriggio@users.sourceforge.net>

	fixed raise_all

	Files (added, modified or removed):
	* main.py

	updated copyright notice

	Files (added, modified or removed):
	* README.txt
	* __init__.py
	* about.py
	* application.py
	* clipboard.py
	* codegen/cpp_codegen.py
	* codegen/py_codegen.py
	* codegen/xrc_codegen.py
	* common.py
	* edit_sizers/__init__.py
	* edit_sizers/edit_sizers.py
	* edit_sizers/sizers_codegen.py
	* edit_windows.py
	* kdefiledialog.py
	* layout_option_property.py
	* main.py
	* misc.py
	* template.py
	* tree.py
	* widget_properties.py
	* widgets/ChoicesCodeHandler.py
	* widgets/ChoicesProperty.py
	* widgets/MenuTree.py
	* widgets/__init__.py
	* widgets/bitmap_button/__init__.py
	* widgets/bitmap_button/bitmap_button.py
	* widgets/bitmap_button/codegen.py
	* widgets/button/__init__.py
	* widgets/button/button.py
	* widgets/button/codegen.py
	* widgets/calendar_ctrl/__init__.py
	* widgets/calendar_ctrl/calendar_ctrl.py
	* widgets/calendar_ctrl/codegen.py
	* widgets/checkbox/__init__.py
	* widgets/checkbox/checkbox.py
	* widgets/checkbox/codegen.py
	* widgets/choice/__init__.py
	* widgets/choice/choice.py
	* widgets/choice/codegen.py
	* widgets/combo_box/__init__.py
	* widgets/combo_box/codegen.py
	* widgets/combo_box/combo_box.py
	* widgets/custom_widget/__init__.py
	* widgets/custom_widget/codegen.py
	* widgets/custom_widget/custom_widget.py
	* widgets/datepicker_ctrl/__init__.py
	* widgets/datepicker_ctrl/codegen.py
	* widgets/datepicker_ctrl/datepicker_ctrl.py
	* widgets/dialog/__init__.py
	* widgets/dialog/codegen.py
	* widgets/dialog/dialog.py
	* widgets/frame/__init__.py
	* widgets/frame/codegen.py
	* widgets/frame/frame.py
	* widgets/frame/lisp_codegen.py
	* widgets/frame/perl_codegen.py
	* widgets/gauge/__init__.py
	* widgets/gauge/codegen.py
	* widgets/gauge/gauge.py
	* widgets/grid/__init__.py
	* widgets/grid/codegen.py
	* widgets/grid/grid.py
	* widgets/list_box/__init__.py
	* widgets/list_box/codegen.py
	* widgets/list_box/list_box.py
	* widgets/list_ctrl/__init__.py
	* widgets/list_ctrl/codegen.py
	* widgets/list_ctrl/list_ctrl.py
	* widgets/menubar/__init__.py
	* widgets/menubar/codegen.py
	* widgets/menubar/menubar.py
	* widgets/notebook/__init__.py
	* widgets/notebook/codegen.py
	* widgets/notebook/notebook.py
	* widgets/panel/__init__.py
	* widgets/panel/codegen.py
	* widgets/panel/panel.py
	* widgets/radio_box/__init__.py
	* widgets/radio_box/codegen.py
	* widgets/radio_box/radio_box.py
	* widgets/radio_button/__init__.py
	* widgets/radio_button/codegen.py
	* widgets/radio_button/radio_button.py
	* widgets/slider/__init__.py
	* widgets/slider/codegen.py
	* widgets/slider/slider.py
	* widgets/spacer/__init__.py
	* widgets/spacer/codegen.py
	* widgets/spacer/spacer.py
	* widgets/spin_button/__init__.py
	* widgets/spin_ctrl/__init__.py
	* widgets/spin_ctrl/codegen.py
	* widgets/spin_ctrl/spin_ctrl.py
	* widgets/splitter_window/__init__.py
	* widgets/splitter_window/codegen.py
	* widgets/splitter_window/splitter_window.py
	* widgets/static_bitmap/__init__.py
	* widgets/static_bitmap/codegen.py
	* widgets/static_bitmap/lisp_codegen.py
	* widgets/static_bitmap/perl_codegen.py
	* widgets/static_bitmap/static_bitmap.py
	* widgets/static_line/__init__.py
	* widgets/static_line/codegen.py
	* widgets/static_line/static_line.py
	* widgets/static_text/__init__.py
	* widgets/static_text/codegen.py
	* widgets/static_text/static_text.py
	* widgets/text_ctrl/__init__.py
	* widgets/text_ctrl/codegen.py
	* widgets/text_ctrl/text_ctrl.py
	* widgets/toggle_button/__init__.py
	* widgets/toggle_button/codegen.py
	* widgets/toggle_button/toggle_button.py
	* widgets/toolbar/__init__.py
	* widgets/toolbar/codegen.py
	* widgets/toolbar/tool.py
	* widgets/toolbar/toolbar.py
	* widgets/tree_ctrl/__init__.py
	* widgets/tree_ctrl/codegen.py
	* widgets/tree_ctrl/tree_ctrl.py
	* wxglade.py
	* xml_parse.py
	* xrc2wxg.py

	Added patch by Johan Vromans to support stock buttons

	Files (added, modified or removed):
	* widget_properties.py
	* widgets/button/button.py
	* widgets/button/button_stockitems.py
	* widgets/button/codegen.py
	* widgets/button/lisp_codegen.py
	* widgets/button/perl_codegen.py

	fix for default path of DirDialog

	Files (added, modified or removed):
	* application.py
	* common.py
	* configUI.py
	* kdefiledialog.py

2007-03-26  Alberto Griggio  <agriggio@users.sourceforge.net>

	a couple of minor fixes...

	Files (added, modified or removed):
	* widget_properties.py
	* widgets/list_box/list_box.py

	fixed SpinProperty crash with new wx 2.8

	Files (added, modified or removed):
	* widget_properties.py

	updated indentation style

	Files (added, modified or removed):
	* widgets/combo_box/combo_box.py

	fix for hang using wxPython 2.8.1.1 on Ubuntu

	Files (added, modified or removed):
	* widgets/panel/panel.py

	fixed raise_all bug

	Files (added, modified or removed):
	* main.py

2007-03-19  Alberto Griggio  <agriggio@users.sourceforge.net>

	applied patch to add a "Raise All" menu item

	Files (added, modified or removed):
	* main.py

	applied patch to fix submenu generation problem...

	Files (added, modified or removed):
	* widgets/menubar/perl_codegen.py

	small reformatting changes...

	Files (added, modified or removed):
	* main.py

	small change to the encoding line

	Files (added, modified or removed):
	* codegen/py_codegen.py

2007-03-18  guyru  <guyru>

	replaced tabs with regular spaces

	Files (added, modified or removed):
	* template.py

2007-03-09  Alberto Griggio  <agriggio@users.sourceforge.net>

	changed range of "sash pos" property to allow negative values

	Files (added, modified or removed):
	* widgets/splitter_window/splitter_window.py

	Applied patch for event handlers

	Files (added, modified or removed):
	* codegen/pl_codegen.py

2007-03-01  Alberto Griggio  <agriggio@users.sourceforge.net>

	changed wxversion.select("2.6") to wxversion.ensureMinimal("2.6"),
	fixed mixed tabs/spaces problem

	Files (added, modified or removed):
	* main.py

2007-02-13  guyru  <guyru>

	fixed header tag

	Files (added, modified or removed):
	* template.py

	some exception handling

	Files (added, modified or removed):
	* xml_parse.py

	template info reading

	Files (added, modified or removed):
	* main.py
	* template.py

2007-02-09  dinogen  <dinogen>

	i18n completed. Now translations.

	Files (added, modified or removed):
	* po/de.po
	* po/fr.po

	i18n completed. Now translations.

	Files (added, modified or removed):
	* credits.txt
	* po/messages.pot
	* widgets/gauge/gauge.py
	* widgets/grid/grid.py
	* widgets/list_box/list_box.py
	* widgets/list_ctrl/list_ctrl.py
	* widgets/menubar/menubar.py
	* widgets/notebook/notebook.py
	* widgets/radio_button/radio_button.py
	* widgets/slider/slider.py
	* widgets/spacer/lisp_codegen.py
	* widgets/static_text/static_text.py
	* widgets/text_ctrl/text_ctrl.py
	* widgets/tree_ctrl/tree_ctrl.py

2007-02-04  Alberto Griggio  <agriggio@users.sourceforge.net>

	updated credits

	Files (added, modified or removed):
	* credits.txt

	updated copyright notice

	Files (added, modified or removed):
	* license.txt

	fixed small bug that prevented displaying help

	Files (added, modified or removed):
	* main.py

	fixed bug that prevented changing from FlexGridSizer to GridSizer

	Files (added, modified or removed):
	* edit_sizers/edit_sizers.py

2007-01-31  dinogen  <dinogen>

	correct fallback bug

	Files (added, modified or removed):
	* misc.py
	* tree.py
	* widget_properties.py
	* widgets/bitmap_button/bitmap_button.py
	* wxglade.py
	* xml_parse.py
	* zmain.py

2007-01-31  guyru  <guyru>

	set the default value of is_template to false

	Files (added, modified or removed):
	* application.py

	self credit :)

	Files (added, modified or removed):
	* credits.txt

	template handling

	Files (added, modified or removed):
	* main.py
	* tree.py
	* xml_parse.py

	removed extra ) in line 70

	Files (added, modified or removed):
	* kdefiledialog.py

	fixed issue regarding starting up without an Italian locale.

	Files (added, modified or removed):
	* locale/en/LC_MESSAGES/wxglade.mo
	* po/en.po

2007-01-29  dinogen  <dinogen>

	i18n

	Files (added, modified or removed):
	* edit_widget.py
	* edit_windows.py
	* events_mixin.py
	* font_dialog.py
	* kdefiledialog.py
	* layout_option_property.py
	* main.py

2007-01-27  dinogen  <dinogen>

	preference dialog iternationalizated

	Files (added, modified or removed):
	* color_dialog.py
	* edit_sizers/edit_sizers.py
	* locale/it/LC_MESSAGES/wxglade.mo
	* po/it.po

	stupid bug

	Files (added, modified or removed):
	* clipboard.py

	locales added

	Files (added, modified or removed):
	* about.py
	* clipboard.py
	* color_dialog.py
	* common.py
	* config.py
	* configUI.py
	* locale/it/LC_MESSAGES/wxglade.mo
	* po/it.po
	* po/messages.pot
	* wxglade.py

2007-01-26  dinogen  <dinogen>

	pp

	Files (added, modified or removed):
	* edit_sizers/edit_sizers.py
	* po/messages.po
	* po/messages.pot

2007-01-19  dinogen  <dinogen>

	add i18n

	Files (added, modified or removed):
	* po/messages.po

2007-01-18  dinogen  <dinogen>

	begin of localization

	Files (added, modified or removed):
	* clipboard.py
	* color_dialog.py
	* common.py
	* config.py
	* configUI.py
	* wxglade.py

2006-12-07  Alberto Griggio  <agriggio@users.sourceforge.net>

	changed the UI of "use_new_namespace". Now the meaning is the
	opposite: if checked, the old "from wxPython.wx import *" mechanism
	will be used (unchecked by default)

	Files (added, modified or removed):
	* application.py
	* tree.py
	* xml_parse.py

2006-12-04  jkt  <jkt>

	conform to wxPython 2.7

	Files (added, modified or removed):
	* main.py

2006-12-02  guyru  <guyru>

	added new styles and tooltips

	Files (added, modified or removed):
	* widgets/slider/slider.py

	*** empty log message ***

	Files (added, modified or removed):
	* widgets/radio_button/radio_button.py

2006-12-02  jkt  <jkt>

	autokudos

	Files (added, modified or removed):
	* credits.txt

2006-12-02  Alberto Griggio  <agriggio@users.sourceforge.net>

	Better layout code generation, following Robin Dunn's comments
	appearing here: http://lists.wxwidgets.org/cgi-bin/ezmlm-
	cgi?11:mss:50516:200604:ckdkhmebfbadhedacofn

	Files (added, modified or removed):
	* edit_sizers/lisp_sizers_codegen.py
	* edit_sizers/perl_sizers_codegen.py
	* edit_sizers/sizers_codegen.py

	Transition to the new wx namespace completed (hopefully)

	Files (added, modified or removed):
	* application.py
	* common.py
	* configUI.py
	* edit_sizers/edit_sizers.py
	* edit_windows.py
	* events_mixin.py
	* font_dialog.py
	* layout_option_property.py
	* main.py
	* misc.py
	* tree.py
	* widget_properties.py
	* widgets/button/button.py
	* widgets/calendar_ctrl/calendar_ctrl.py
	* widgets/checkbox/checkbox.py
	* widgets/combo_box/combo_box.py
	* widgets/custom_widget/custom_widget.py
	* widgets/datepicker_ctrl/datepicker_ctrl.py
	* widgets/grid/grid.py
	* widgets/list_ctrl/list_ctrl.py
	* widgets/menubar/menubar.py
	* widgets/radio_box/radio_box.py
	* widgets/radio_button/radio_button.py
	* widgets/static_line/static_line.py
	* widgets/toolbar/toolbar.py
	* widgets/widgets.txt
	* xml_parse.py

2006-11-30  jkt  <jkt>

	add "from <WXG_FILE>" to headers of generated code with compliments
	to Stani of SPE fame who suggested this in http://sourceforge.net/ma
	ilarchive/forum.php?thread_id=31139957&forum_id=10344

	Files (added, modified or removed):
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py
	* codegen/xrc_codegen.py
	* common.py

2006-11-23  dinogen  <dinogen>

	wx module

	Files (added, modified or removed):
	* edit_widget.py
	* edit_windows.py

	Error on show_prop.

	Files (added, modified or removed):
	* application.py

2006-11-22  dinogen  <dinogen>

	wx module

	Files (added, modified or removed):
	* config.py

	wx module

	Files (added, modified or removed):
	* application.py

2006-11-22  guyru  <guyru>

	added tooltips

	Files (added, modified or removed):
	* widgets/gauge/gauge.py
	* widgets/list_box/list_box.py
	* widgets/list_ctrl/list_ctrl.py

	tooltips

	Files (added, modified or removed):
	* widgets/datepicker_ctrl/datepicker_ctrl.py
	* widgets/dialog/dialog.py

2006-11-21  dinogen  <dinogen>

	wx module

	Files (added, modified or removed):
	* clipboard.py
	* color_dialog.py

2006-11-20  dinogen  <dinogen>

	new module wx

	Files (added, modified or removed):
	* application.py

	wxPython to wx module

	Files (added, modified or removed):
	* about.py

2006-11-20  guyru  <guyru>

	added tooltips and updated style labels

	Files (added, modified or removed):
	* widgets/calendar_ctrl/calendar_ctrl.py

	added tooltips and one more style

	Files (added, modified or removed):
	* widgets/combo_box/combo_box.py

2006-11-19  guyru  <guyru>

	added tooltips for the checkbox properties. also added one more
	style: wxNO_BORDER which creates flat buttons.

	Files (added, modified or removed):
	* widgets/button/button.py

	added tooltips for the checkbox properties

	Files (added, modified or removed):
	* widget_properties.py

2006-11-16  guyru  <guyru>

	moved to the wxPython namespace

	Files (added, modified or removed):
	* widgets/checkbox/checkbox.py
	* widgets/radio_button/radio_button.py

	moved to the wxPython namespace

	Files (added, modified or removed):
	* widgets/radio_box/radio_box.py

	moved to the wxPython namespace

	Files (added, modified or removed):
	* widgets/static_bitmap/static_bitmap.py
	* widgets/static_line/static_line.py

	moved to the wxPython namespace

	Files (added, modified or removed):
	* widgets/list_ctrl/list_ctrl.py

	moved to the wxPython namespace

	Files (added, modified or removed):
	* widgets/tree_ctrl/tree_ctrl.py

	moved to the wxPython namespace

	Files (added, modified or removed):
	* widgets/grid/grid.py

	moved to the wxPython namespace

	Files (added, modified or removed):
	* widgets/custom_widget/custom_widget.py
	* widgets/spacer/spacer.py

	moved to the wxPython namespace

	Files (added, modified or removed):
	* widgets/menubar/menubar.py

2006-11-15  guyru  <guyru>

	moved to the wxPython namespace

	Files (added, modified or removed):
	* widgets/toolbar/toolbar.py

	moved to the wxPython namespace

	Files (added, modified or removed):
	* widgets/datepicker_ctrl/datepicker_ctrl.py

2006-11-14  jkt  <jkt>

	convert from "import wxPython*" to "import wx" as wxPython namespace
	is deprecated as of 2.7.1.1

	Files (added, modified or removed):
	* widgets/choice/choice.py
	* widgets/combo_box/combo_box.py
	* widgets/list_box/list_box.py

2006-11-11  guyru  <guyru>

	moved to the new syntax

	Files (added, modified or removed):
	* widgets/calendar_ctrl/calendar_ctrl.py

2006-11-07  jkt  <jkt>

	convert from "import wxPython*" to "import wx" as wxPython namespace
	is deprecated as of 2.7.1.1

	Files (added, modified or removed):
	* widgets/bitmap_button/bitmap_button.py
	* widgets/button/button.py
	* widgets/dialog/dialog.py
	* widgets/frame/frame.py
	* widgets/gauge/gauge.py
	* widgets/notebook/notebook.py
	* widgets/panel/panel.py
	* widgets/slider/slider.py
	* widgets/spin_button/spin_button.py
	* widgets/spin_ctrl/spin_ctrl.py
	* widgets/splitter_window/splitter_window.py
	* widgets/static_text/static_text.py
	* widgets/text_ctrl/text_ctrl.py
	* widgets/toggle_button/toggle_button.py

2006-11-02  guyru  <guyru>

	moved most of the code to the new syntax, but still some old syntax
	remains, although the module shouldn't have any problems

	Files (added, modified or removed):
	* widgets/calendar_ctrl/calendar_ctrl.py

2006-10-29  Alberto Griggio  <agriggio@users.sourceforge.net>

	reoreded list to keep spacer at the end

	Files (added, modified or removed):
	* widgets/widgets.txt

	better icons

	Files (added, modified or removed):
	* icons/calendar_ctrl.xpm
	* icons/datepicker_ctrl.xpm

2006-10-20  guyru  <guyru>

	wxDatePickerCtrl support

	Files (added, modified or removed):
	* icons/datepicker_ctrl.xpm
	* widgets/datepicker_ctrl/.cvsignore
	* widgets/datepicker_ctrl/__init__.py
	* widgets/datepicker_ctrl/codegen.py
	* widgets/datepicker_ctrl/datepicker_ctrl.py
	* widgets/widgets.txt

	fixed c++ code generation. missed wxDefaultDate

	Files (added, modified or removed):
	* widgets/calendar_ctrl/codegen.py

	various bug fixes, removed extra debugging code, fixed python code
	generation

	Files (added, modified or removed):
	* widgets/calendar_ctrl/calendar_ctrl.py
	* widgets/calendar_ctrl/codegen.py

2006-10-19  guyru  <guyru>

	*** empty log message ***

	Files (added, modified or removed):
	* widgets/calendar_ctrl/codegen.py

	bugfixes

	Files (added, modified or removed):
	* widgets/calendar_ctrl/calendar_ctrl.py
	* widgets/calendar_ctrl/codegen.py

2006-10-18  guyru  <guyru>

	a small fix to the xml_builder

	Files (added, modified or removed):
	* widgets/calendar_ctrl/calendar_ctrl.py

2006-10-15  guyru  <guyru>

	new icon

	Files (added, modified or removed):
	* widgets/calendar_ctrl/calendar_ctrl.py

	icon for wxCalendarCtrl

	Files (added, modified or removed):
	* icons/calendar_ctrl.xpm

	fixed some bugs

	Files (added, modified or removed):
	* widgets/calendar_ctrl/calendar_ctrl.py

2006-10-14  guyru  <guyru>

	initial revision for calendar_ctrl. still has some bugs in the
	codegen

	Files (added, modified or removed):
	* widgets/calendar_ctrl/.cvsignore
	* widgets/calendar_ctrl/__init__.py
	* widgets/calendar_ctrl/calendar_ctrl.py
	* widgets/calendar_ctrl/codegen.py

	added calendar_ctrl

	Files (added, modified or removed):
	* widgets/widgets.txt

	configuration file for the epydoc documentation generator

	Files (added, modified or removed):
	* epydoc.conf

2006-10-12  Alberto Griggio  <agriggio@users.sourceforge.net>

	patch for feature request #1228246

	Files (added, modified or removed):
	* codegen/cpp_codegen.py

2006-10-11  Alberto Griggio  <agriggio@users.sourceforge.net>

	fixed a size bug on win xp

	Files (added, modified or removed):
	* widgets/choice/choice.py
	* widgets/combo_box/combo_box.py

2006-10-07  Alberto Griggio  <agriggio@users.sourceforge.net>

	fixed some bugs

	Files (added, modified or removed):
	* main.py
	* widgets/menubar/codegen.py
	* widgets/slider/codegen.py

2006-07-02  Alberto Griggio  <agriggio@users.sourceforge.net>

	Added event handler stubs code generation for C++ output

	Files (added, modified or removed):
	* widgets/menubar/codegen.py
	* widgets/toolbar/codegen.py

2006-05-16  Alberto Griggio  <agriggio@users.sourceforge.net>

	fixed segfault and wxGridSizer removal problem

	Files (added, modified or removed):
	* edit_sizers/edit_sizers.py

2006-05-13  Alberto Griggio  <agriggio@users.sourceforge.net>

	updated version number

	Files (added, modified or removed):
	* common.py

	fixed possible segfault

	Files (added, modified or removed):
	* widget_properties.py

2006-05-07  Alberto Griggio  <agriggio@users.sourceforge.net>

	added apply button to the menu editor

	Files (added, modified or removed):
	* widgets/menubar/menubar.py

	added apply button to the toolbar editor

	Files (added, modified or removed):
	* widgets/toolbar/toolbar.py

	fixed small bug

	Files (added, modified or removed):
	* tree.py

2006-05-06  Alberto Griggio  <agriggio@users.sourceforge.net>

	some bugs fixed

	Files (added, modified or removed):
	* application.py
	* codegen/xrc_codegen.py
	* tree.py

	fixed "change class" bug

	Files (added, modified or removed):
	* edit_sizers/edit_sizers.py

2006-05-02  Alberto Griggio  <agriggio@users.sourceforge.net>

	Fixed bug when both "separate file for each class" and "overwrite
	existing sources" were used

	Files (added, modified or removed):
	* codegen/cpp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py

	fixed "select top window" bug

	Files (added, modified or removed):
	* application.py

2006-03-13  Alberto Griggio  <agriggio@users.sourceforge.net>

	added wxversion select of wx2.6

	Files (added, modified or removed):
	* main.py

	applied patch #1447669

	Files (added, modified or removed):
	* widgets/custom_widget/custom_widget.py

	applied patch #1447674

	Files (added, modified or removed):
	* edit_windows.py

2006-03-02  Alberto Griggio  <agriggio@users.sourceforge.net>

	added line of release of v0.4.1

	Files (added, modified or removed):
	* CHANGES.txt

	updated version number

	Files (added, modified or removed):
	* common.py

2006-02-21  georgesk  <georgesk>

	fixed the changelog

	Files (added, modified or removed):
	* debian/changelog

	adjusted the version number for the debian package

	Files (added, modified or removed):
	* debian/changelog

2006-02-12  Alberto Griggio  <agriggio@users.sourceforge.net>

	fixed multiple generation of event stubs

	Files (added, modified or removed):
	* codegen/cpp_codegen.py
	* codegen/lisp_codegen.py
	* codegen/pl_codegen.py
	* codegen/py_codegen.py

2006-01-31  georgesk  <georgesk>

	fixed a lot of bugs reported by debian users, see debian/Changelog

	Files (added, modified or removed):
	* debian/changelog
	* debian/menu
	* wxglade

2006-01-17  Alberto Griggio  <agriggio@users.sourceforge.net>

	commented out debug print statement

	Files (added, modified or removed):
	* edit_sizers/edit_sizers.py

	fixed crash on windows (caused by spin properties losing focus...)

	Files (added, modified or removed):
	* widget_properties.py

2005-12-28  Alberto Griggio  <agriggio@users.sourceforge.net>

	added option to prevent generating code for the custom class

	Files (added, modified or removed):
	* widgets/panel/panel.py

	added "sizerslot", i.e. keep empty slots when saving a project...

	Files (added, modified or removed):
	* edit_sizers/edit_sizers.py
	* edit_windows.py
	* tree.py
	* widget_properties.py
	* xml_parse.py

2005-12-23  Alberto Griggio  <agriggio@users.sourceforge.net>

	fixed invalid SetSelection code generation

	Files (added, modified or removed):
	* widgets/choice/codegen.py
	* widgets/combo_box/codegen.py

2005-11-20  Alberto Griggio  <agriggio@users.sourceforge.net>

	added option (to wxPanel) to disable code generation for custom
	classes

	Files (added, modified or removed):
	* tree.py
	* widgets/panel/codegen.py
	* widgets/panel/panel.py
	* widgets/panel/perl_codegen.py
	* xml_parse.py

2005-10-27  georgesk  <georgesk>

	fixed one bug about the deletion of .xvpics upon building the debian
	package

	Files (added, modified or removed):
	* Makefile
	* debian/files

2005-10-14  crazyinsomniac  <crazyinsomniac>

	fixup wxGlade tag order for events

	Files (added, modified or removed):
	* codegen/pl_codegen.py

	import MenuHandler instead of inlining

	Files (added, modified or removed):
	* widgets/menubar/perl_codegen.py

	import MenuHandler instead of inlining

	Files (added, modified or removed):
	* widgets/menubar/perl_codegen.py

	notebooksizer for_version

	Files (added, modified or removed):
	* codegen/pl_codegen.py

	discovered by 1255968 (wxFoo Wx::Foo)

	Files (added, modified or removed):
	* widgets/static_bitmap/perl_codegen.py

2005-10-14  Alberto Griggio  <agriggio@users.sourceforge.net>

	bugs fixed/added event handling support for perl output

	Files (added, modified or removed):
	* application.py
	* codegen/cpp_codegen.py
	* codegen/pl_codegen.py
	* widgets/menubar/perl_codegen.py

2005-10-13  dinogen  <dinogen>

	Fixed bug 1289473. Show Properties of widget under a wxNotebook.

	Files (added, modified or removed):
	* edit_windows.py

2005-10-08  Alberto Griggio  <agriggio@users.sourceforge.net>

	some patches...

	Files (added, modified or removed):
	* CHANGES.txt
	* application.py
	* codegen/pl_codegen.py
	* common.py

2005-09-29  efuzzyone  <efuzzyone>

	The name for events, widgets, classes, etc., now should allow
	hyphen(-). This change was necessitated due to lisp, which has a
	convention of allowing hyphen in names.

	Files (added, modified or removed):
	* application.py
	* edit_windows.py
	* events_mixin.py

2005-09-27  efuzzyone  <efuzzyone>

	Replace _ by - in variable names.

	Files (added, modified or removed):
	* widgets/notebook/lisp_codegen.py

	Fixed wxEvtHandlerConnect to wxEvtHandler_Connect.

	Files (added, modified or removed):
	* codegen/lisp_codegen.py

2005-09-25  efuzzyone  <efuzzyone>

	Made several code improvements.

	Files (added, modified or removed):
	* widgets/frame/lisp_codegen.py
	* widgets/menubar/lisp_codegen.py
	* widgets/toolbar/lisp_codegen.py

	Made several improvements, also wrapped the program initialization
	code with unwind-protect.

	Files (added, modified or removed):
	* codegen/lisp_codegen.py

2005-09-22  efuzzyone  <efuzzyone>

	Initial Revision for generating lisp code.

	Files (added, modified or removed):
	* widgets/checkbox/lisp_codegen.py
	* widgets/choice/lisp_codegen.py
	* widgets/combo_box/lisp_codegen.py
	* widgets/custom_widget/lisp_codegen.py
	* widgets/dialog/lisp_codegen.py
	* widgets/frame/lisp_codegen.py
	* widgets/gauge/lisp_codegen.py
	* widgets/grid/lisp_codegen.py
	* widgets/list_box/lisp_codegen.py
	* widgets/list_ctrl/lisp_codegen.py
	* widgets/menubar/lisp_codegen.py
	* widgets/notebook/lisp_codegen.py
	* widgets/panel/lisp_codegen.py
	* widgets/radio_box/lisp_codegen.py
	* widgets/radio_button/lisp_codegen.py
	* widgets/slider/lisp_codegen.py
	* widgets/spacer/lisp_codegen.py
	* widgets/spin_button/lisp_codegen.py
	* widgets/spin_ctrl/lisp_codegen.py
	* widgets/splitter_window/lisp_codegen.py

	Initial revision.

	Files (added, modified or removed):
	* widgets/static_bitmap/lisp_codegen.py
	* widgets/static_line/lisp_codegen.py

	Initial revision.

	Files (added, modified or removed):
	* codegen/lisp_codegen.py
	* edit_sizers/lisp_sizers_codegen.py
	* widgets/bitmap_button/lisp_codegen.py
	* widgets/button/lisp_codegen.py
	* widgets/static_text/lisp_codegen.py
	* widgets/text_ctrl/lisp_codegen.py
	* widgets/toggle_button/lisp_codegen.py
	* widgets/toolbar/lisp_codegen.py
	* widgets/tree_ctrl/lisp_codegen.py

2005-08-25  Alberto Griggio  <agriggio@users.sourceforge.net>

	fixed small bug

	Files (added, modified or removed):
	* codegen/pl_codegen.py

2005-08-24  georgesk  <georgesk>

	imported modifications made by Matthias Klose <doko@cs.tu-berlin.de>

	Files (added, modified or removed):
	* Makefile
	* debian/changelog
	* debian/control
	* debian/postinst
	* debian/rules
	* wxglade

2005-08-23  Alberto Griggio  <agriggio@users.sourceforge.net>

	small bug fixed

	Files (added, modified or removed):
	* widgets/frame/frame.py
	* widgets/splitter_window/splitter_window.py

2005-08-23  georgesk  <georgesk>

	updated the dependancies

	Files (added, modified or removed):
	* debian/changelog

	updated the dependancies

	Files (added, modified or removed):
	* debian/changelog
	* debian/control
	* debian/files

2005-08-15  crazyinsomniac  <crazyinsomniac>

	discovered by 1255968 (wxFoo Wx::Foo)

	Files (added, modified or removed):
	* widgets/toolbar/perl_codegen.py
	* widgets/tree_ctrl/perl_codegen.py

	discovered by 1255968 (wxFoo Wx::Foo)

	Files (added, modified or removed):
	* widgets/toggle_button/perl_codegen.py

	discovered by 1255968 (wxFoo Wx::Foo)

	Files (added, modified or removed):
	* widgets/bitmap_button/perl_codegen.py
	* widgets/button/perl_codegen.py
	* widgets/checkbox/perl_codegen.py
	* widgets/choice/perl_codegen.py
	* widgets/combo_box/perl_codegen.py
	* widgets/gauge/perl_codegen.py
	* widgets/grid/perl_codegen.py
	* widgets/list_box/perl_codegen.py
	* widgets/list_ctrl/perl_codegen.py
	* widgets/menubar/perl_codegen.py
	* widgets/panel/perl_codegen.py
	* widgets/radio_box/perl_codegen.py
	* widgets/radio_button/perl_codegen.py
	* widgets/slider/perl_codegen.py
	* widgets/spin_button/perl_codegen.py
	* widgets/spin_ctrl/perl_codegen.py
	* widgets/splitter_window/perl_codegen.py
	* widgets/static_line/perl_codegen.py
	* widgets/static_text/perl_codegen.py
	* widgets/text_ctrl/perl_codegen.py

	bug related to 1255968 (1255968 fixed long ago)

	Files (added, modified or removed):
	* widgets/notebook/perl_codegen.py

	s/mkdir/makedirs/ -- pending bug 1255256

	Files (added, modified or removed):
	* codegen/pl_codegen.py

2005-08-06  Alberto Griggio  <agriggio@users.sourceforge.net>

	added to please spe...

	Files (added, modified or removed):
	* widgets/__init__.py

2005-08-01  Alberto Griggio  <agriggio@users.sourceforge.net>

	fixed bug in the generated constructor

	Files (added, modified or removed):
	* widgets/static_bitmap/perl_codegen.py

	added EVT_TEXT_ENTER event

	Files (added, modified or removed):
	* widgets/combo_box/combo_box.py

2005-07-11  Alberto Griggio  <agriggio@users.sourceforge.net>

	various bugfixes

	Files (added, modified or removed):
	* application.py
	* codegen/py_codegen.py
	* widgets/dialog/dialog.py
	* widgets/frame/frame.py
	* widgets/list_ctrl/list_ctrl.py
	* widgets/panel/panel.py
	* widgets/spin_ctrl/spin_ctrl.py
	* widgets/static_bitmap/static_bitmap.py
	* widgets/tree_ctrl/tree_ctrl.py

2005-06-11  Alberto Griggio  <agriggio@users.sourceforge.net>

	fixed bug #1218563

	Files (added, modified or removed):
	* codegen/cpp_codegen.py

	fixed bug #1218563

	Files (added, modified or removed):
	* codegen/py_codegen.py

2005-06-09  Alberto Griggio  <agriggio@users.sourceforge.net>

	changed quote_str to generate a unicode object if the string
	contains non-ascii chars

	Files (added, modified or removed):
	* codegen/py_codegen.py

2005-06-04  Alberto Griggio  <agriggio@users.sourceforge.net>

	now SizerHandleButtons are based on generic buttons on all platforms
	(better looking even with strange themes...)

	Files (added, modified or removed):
	* edit_sizers/edit_sizers.py

2005-06-03  Alberto Griggio  <agriggio@users.sourceforge.net>

	applied patch to fix "empty label" bug

	Files (added, modified or removed):
	* widgets/static_text/static_text.py

2005-05-13  Alberto Griggio  <agriggio@users.sourceforge.net>

	fixed wx2.6 segfault

	Files (added, modified or removed):
	* edit_sizers/edit_sizers.py

2005-05-06  Alberto Griggio  <agriggio@users.sourceforge.net>

	updated copyright info - added wx2.6 compatibility

	Files (added, modified or removed):
	* CHANGES.txt
	* README.txt
	* __init__.py
	* about.py
	* application.py
	* clipboard.py
	* codegen/cpp_codegen.py
	* codegen/py_codegen.py
	* codegen/xrc_codegen.py
	* common.py
	* credits.txt
	* edit_sizers/__init__.py
	* edit_sizers/edit_sizers.py
	* edit_sizers/sizers_codegen.py
	* edit_windows.py
	* license.txt
	* main.py
	* misc.py
	* tree.py
	* widget_properties.py
	* widgets/ChoicesCodeHandler.py
	* widgets/ChoicesProperty.py
	* widgets/MenuTree.py
	* widgets/bitmap_button/__init__.py
	* widgets/bitmap_button/bitmap_button.py
	* widgets/bitmap_button/codegen.py
	* widgets/button/__init__.py
	* widgets/button/button.py
	* widgets/button/codegen.py
	* widgets/checkbox/__init__.py
	* widgets/checkbox/checkbox.py
	* widgets/checkbox/codegen.py
	* widgets/choice/__init__.py
	* widgets/choice/choice.py
	* widgets/choice/codegen.py
	* widgets/combo_box/__init__.py
	* widgets/combo_box/codegen.py
	* widgets/combo_box/combo_box.py
	* widgets/custom_widget/__init__.py
	* widgets/custom_widget/codegen.py
	* widgets/custom_widget/custom_widget.py
	* widgets/dialog/__init__.py
	* widgets/dialog/codegen.py
	* widgets/dialog/dialog.py
	* widgets/frame/__init__.py
	* widgets/frame/codegen.py
	* widgets/frame/frame.py
	* widgets/frame/perl_codegen.py
	* widgets/gauge/__init__.py
	* widgets/gauge/codegen.py
	* widgets/gauge/gauge.py
	* widgets/grid/__init__.py
	* widgets/grid/codegen.py
	* widgets/grid/grid.py
	* widgets/list_box/__init__.py
	* widgets/list_box/codegen.py
	* widgets/list_box/list_box.py
	* widgets/list_ctrl/__init__.py
	* widgets/list_ctrl/codegen.py
	* widgets/list_ctrl/list_ctrl.py
	* widgets/menubar/__init__.py
	* widgets/menubar/codegen.py
	* widgets/menubar/menubar.py
	* widgets/notebook/__init__.py
	* widgets/notebook/codegen.py
	* widgets/notebook/notebook.py
	* widgets/panel/__init__.py
	* widgets/panel/codegen.py
	* widgets/panel/panel.py
	* widgets/radio_box/__init__.py
	* widgets/radio_box/codegen.py
	* widgets/radio_box/radio_box.py
	* widgets/radio_button/__init__.py
	* widgets/radio_button/codegen.py
	* widgets/radio_button/radio_button.py
	* widgets/slider/__init__.py
	* widgets/slider/codegen.py
	* widgets/slider/slider.py
	* widgets/spacer/__init__.py
	* widgets/spacer/codegen.py
	* widgets/spacer/spacer.py
	* widgets/spin_button/__init__.py
	* widgets/spin_ctrl/__init__.py
	* widgets/spin_ctrl/codegen.py
	* widgets/spin_ctrl/spin_ctrl.py
	* widgets/splitter_window/__init__.py
	* widgets/splitter_window/codegen.py
	* widgets/splitter_window/splitter_window.py
	* widgets/static_bitmap/__init__.py
	* widgets/static_bitmap/codegen.py
	* widgets/static_bitmap/perl_codegen.py
	* widgets/static_bitmap/static_bitmap.py
	* widgets/static_line/__init__.py
	* widgets/static_line/codegen.py
	* widgets/static_line/static_line.py
	* widgets/static_text/__init__.py
	* widgets/static_text/codegen.py
	* widgets/static_text/static_text.py
	* widgets/text_ctrl/__init__.py
	* widgets/text_ctrl/codegen.py
	* widgets/text_ctrl/text_ctrl.py
	* widgets/toggle_button/__init__.py
	* widgets/toggle_button/codegen.py
	* widgets/toggle_button/toggle_button.py
	* widgets/toolbar/__init__.py
	* widgets/toolbar/codegen.py
	* widgets/toolbar/tool.py
	* widgets/toolbar/toolbar.py
	* widgets/tree_ctrl/__init__.py
	* widgets/tree_ctrl/codegen.py
	* widgets/tree_ctrl/tree_ctrl.py
	* wxglade.py
	* xml_parse.py
	* xrc2wxg.py

2005-04-27  Alberto Griggio  <agriggio@users.sourceforge.net>

	small fixes (as usual ;-)

	Files (added, modified or removed):
	* edit_sizers/edit_sizers.py
	* events_mixin.py

2005-04-26  Alberto Griggio  <agriggio@users.sourceforge.net>

	fixed broken GridSizer layout

	Files (added, modified or removed):
	* edit_sizers/edit_sizers.py

2005-04-16  Alberto Griggio  <agriggio@users.sourceforge.net>

	changed to unix eol

	Files (added, modified or removed):
	* widgets/toolbar/toolbar.py

2005-04-14  Alberto Griggio  <agriggio@users.sourceforge.net>

	fixed small bug

	Files (added, modified or removed):
	* edit_sizers/edit_sizers.py

2005-04-09  crazyinsomniac  <crazyinsomniac>

	load empty bitmap if var:/code:

	Files (added, modified or removed):
	* widgets/toolbar/toolbar.py

	load empty bitmap if var:/code:

	Files (added, modified or removed):
	* widgets/bitmap_button/bitmap_button.py
	* widgets/static_bitmap/static_bitmap.py

2005-04-07  Alberto Griggio  <agriggio@users.sourceforge.net>

	fixed segfault when adding a panel... (introduced by mistake some
	weeks ago)

	Files (added, modified or removed):
	* edit_sizers/edit_sizers.py
	* edit_windows.py
	* widget_properties.py
	* widgets/panel/panel.py

2005-04-04  Alberto Griggio  <agriggio@users.sourceforge.net>

	fixed some various bugs...

	Files (added, modified or removed):
	* codegen/py_codegen.py
	* edit_sizers/edit_sizers.py
	* edit_windows.py
	* widgets/grid/codegen.py

	added layout_option_property to prepare for (possible)
	wx.GridBagSizer support

	Files (added, modified or removed):
	* layout_option_property.py

2005-03-25  Alberto Griggio  <agriggio@users.sourceforge.net>

	applied patch #1169318

	Files (added, modified or removed):
	* widgets/toolbar/perl_codegen.py

2005-03-11  Alberto Griggio  <agriggio@users.sourceforge.net>

	some bug fixes

	Files (added, modified or removed):
	* main.py
	* widgets/frame/codegen.py
	* xml_parse.py

2005-03-05  Alberto Griggio  <agriggio@users.sourceforge.net>

	implemented "refresh"

	Files (added, modified or removed):
	* icons/gtk/refresh.xpm
	* icons/msw/refresh.xpm
	* main.py
	* tree.py

2005-02-21  crazyinsomniac  <crazyinsomniac>

	added missing new_signature

	Files (added, modified or removed):
	* widgets/notebook/perl_codegen.py

2005-02-12  Alberto Griggio  <agriggio@users.sourceforge.net>

	now when you select a different widget, the visible tab is preserved
	(if possible)

	Files (added, modified or removed):
	* edit_sizers/edit_sizers.py
	* edit_windows.py

2005-02-07  Alberto Griggio  <agriggio@users.sourceforge.net>

	fixed title bug

	Files (added, modified or removed):
	* edit_windows.py
	* widgets/dialog/dialog.py
	* widgets/frame/frame.py

2005-01-20  Alberto Griggio  <agriggio@users.sourceforge.net>

	applied patch #1101182

	Files (added, modified or removed):
	* common.py

	fixed dir dialog bug and bug #1104006

	Files (added, modified or removed):
	* config.py
	* main.py
	* misc.py
	* xrc2wxg.py

2005-01-14  Alberto Griggio  <agriggio@users.sourceforge.net>

	fixed small wxDirSelector bug

	Files (added, modified or removed):
	* application.py
	* main.py

2005-01-10  Alberto Griggio  <agriggio@users.sourceforge.net>

	a lot of things... unfortunately I don't remeber any of them :-(

	Files (added, modified or removed):
	* about.py
	* codegen/cpp_codegen.py
	* codegen/py_codegen.py
	* edit_sizers/edit_sizers.py
	* main.py
	* tree.py
	* widgets/dialog/dialog.py
	* widgets/frame/frame.py
	* widgets/notebook/notebook.py

2004-12-23  crazyinsomniac  <crazyinsomniac>

	mdi allows for fullscreen, against slightly outdated
	main.py/wxglade.py

	Files (added, modified or removed):
	* zmain.py
	* zwxglade.py

2004-12-22  crazyinsomniac  <crazyinsomniac>

	add missing comma

	Files (added, modified or removed):
	* widgets/bitmap_button/perl_codegen.py

2004-12-20  Alberto Griggio  <agriggio@users.sourceforge.net>

	fixed kde file dialog bug

	Files (added, modified or removed):
	* main.py

2004-12-19  Alberto Griggio  <agriggio@users.sourceforge.net>

	minor code generation changes for 'code:' and 'var:'

	Files (added, modified or removed):
	* widgets/bitmap_button/codegen.py
	* widgets/static_bitmap/codegen.py
	* widgets/toolbar/codegen.py

	some minor ui enhancements

	Files (added, modified or removed):
	* application.py
	* edit_sizers/edit_sizers.py
	* edit_windows.py
	* misc.py
	* widgets/menubar/menubar.py
	* widgets/panel/panel.py
	* widgets/toolbar/toolbar.py

2004-12-13  Alberto Griggio  <agriggio@users.sourceforge.net>

	c++ event handling enhancements

	Files (added, modified or removed):
	* codegen/cpp_codegen.py
	* widgets/grid/codegen.py
	* widgets/list_ctrl/codegen.py
	* widgets/notebook/codegen.py
	* widgets/spin_button/codegen.py
	* widgets/spin_ctrl/codegen.py
	* widgets/splitter_window/codegen.py
	* widgets/tree_ctrl/codegen.py

2004-12-12  crazyinsomniac  <crazyinsomniac>

	build_untouched_content block_start re tweak (Cheetah bug)

	Files (added, modified or removed):
	* codegen/pl_codegen.py

2004-12-11  Alberto Griggio  <agriggio@users.sourceforge.net>

	updated email address

	Files (added, modified or removed):
	* README.txt

	updated system requirements

	Files (added, modified or removed):
	* README.txt

2004-12-10  Alberto Griggio  <agriggio@users.sourceforge.net>

	event handling improvements

	Files (added, modified or removed):
	* events_mixin.py

	event handling improvements

	Files (added, modified or removed):
	* codegen/cpp_codegen.py
	* codegen/py_codegen.py
	* widgets/menubar/codegen.py

	some event handling enhancements

	Files (added, modified or removed):
	* application.py
	* events_mixin.py
	* main.py
	* widgets/MenuTree.py
	* widgets/menubar/menubar.py
	* widgets/toolbar/tool.py
	* widgets/toolbar/toolbar.py

2004-12-08  Alberto Griggio  <agriggio@users.sourceforge.net>

	first basic event handlers support

	Files (added, modified or removed):
	* application.py
	* codegen/cpp_codegen.py
	* codegen/py_codegen.py
	* codegen/xrc_codegen.py
	* common.py
	* docs/tutorial.html
	* edit_windows.py
	* events_mixin.py
	* main.py
	* misc.py
	* tree.py
	* widget_properties.py
	* widgets/MenuTree.py
	* widgets/bitmap_button/bitmap_button.py
	* widgets/button/button.py
	* widgets/checkbox/checkbox.py
	* widgets/choice/choice.py
	* widgets/combo_box/combo_box.py
	* widgets/frame/frame.py
	* widgets/grid/codegen.py
	* widgets/grid/grid.py
	* widgets/list_box/list_box.py
	* widgets/list_ctrl/list_ctrl.py
	* widgets/menubar/codegen.py
	* widgets/menubar/menubar.py
	* widgets/notebook/notebook.py
	* widgets/radio_box/radio_box.py
	* widgets/radio_button/radio_button.py
	* widgets/slider/slider.py
	* widgets/spin_button/spin_button.py
	* widgets/spin_ctrl/spin_ctrl.py
	* widgets/splitter_window/splitter_window.py
	* widgets/text_ctrl/text_ctrl.py
	* widgets/toggle_button/toggle_button.py
	* widgets/toolbar/codegen.py
	* widgets/toolbar/tool.py
	* widgets/toolbar/toolbar.py
	* widgets/tree_ctrl/tree_ctrl.py
	* xml_parse.py

2004-11-18  Alberto Griggio  <agriggio@users.sourceforge.net>

	fixed name validation regexp

	Files (added, modified or removed):
	* edit_windows.py

	possible fix for bug #1067586

	Files (added, modified or removed):
	* widget_properties.py
	* widgets/menubar/menubar.py
	* widgets/toolbar/toolbar.py

2004-11-16  Alberto Griggio  <agriggio@users.sourceforge.net>

	fixed: extra headers not inserted correctly when generating multiple
	files

	Files (added, modified or removed):
	* codegen/cpp_codegen.py

2004-11-08  Alberto Griggio  <agriggio@users.sourceforge.net>

	updated version info

	Files (added, modified or removed):
	* CHANGES.txt

	updated version number

	Files (added, modified or removed):
	* common.py
	* wxglade.spec

2004-11-06  Alberto Griggio  <agriggio@users.sourceforge.net>

	made possible to Cancel insertion of slots/rows/columns

	Files (added, modified or removed):
	* edit_sizers/edit_sizers.py

	fixed recently introduced "on_size" bug

	Files (added, modified or removed):
	* edit_windows.py

2004-11-04  Alberto Griggio  <agriggio@users.sourceforge.net>

	last changes before v0.3.5

	Files (added, modified or removed):
	* CHANGES.txt
	* application.py
	* edit_sizers/edit_sizers.py
	* edit_windows.py
	* widgets/panel/panel.py
	* wxglade.spec

2004-11-02  Alberto Griggio  <agriggio@users.sourceforge.net>

	updated credits

	Files (added, modified or removed):
	* CHANGES.txt
	* credits.txt

	patch from Vaclav Slavik to support 'icon' property in XRC

	Files (added, modified or removed):
	* widgets/dialog/codegen.py
	* widgets/frame/codegen.py

2004-11-02  georgesk  <georgesk>

	added the definition of the function _() to the code generated in
	python when i18n is selected

	Files (added, modified or removed):
	* codegen/py_codegen.py

	added debianisation tools to the package. They can be activated by
	running the command 'debuild'

	Files (added, modified or removed):
	* Makefile
	* debian/changelog
	* debian/compat
	* debian/control
	* debian/copyright
	* debian/dirs
	* debian/docs
	* debian/files
	* debian/manpage.xml
	* debian/postinst
	* debian/rules
	* debian/wxglade.1
	* wxglade

2004-11-02  Alberto Griggio  <agriggio@users.sourceforge.net>

	various tweaks and fixes for v0.3.5 release...

	Files (added, modified or removed):
	* README.txt
	* about.py
	* application.py
	* common.py
	* config.py
	* configUI.py
	* edit_windows.py
	* kdefiledialog.py
	* main.py
	* misc.py
	* res/preferences.wxg
	* widget_properties.py
	* widgets/bitmap_button/bitmap_button.py
	* widgets/dialog/dialog.py
	* widgets/menubar/menubar.py
	* widgets/static_bitmap/static_bitmap.py
	* widgets/toolbar/toolbar.py
	* wxglade.py
	* wxglade.spec
	* xml_parse.py

2004-11-01  georgesk  <georgesk>

	improved slightly i18n support in generated python code

	Files (added, modified or removed):
	* codegen/py_codegen.py

2004-10-27  Alberto Griggio  <agriggio@users.sourceforge.net>

	support for windows entry point

	Files (added, modified or removed):
	* wxglade.py

	entry point on windows

	Files (added, modified or removed):
	* wxglade.pyw

2004-10-26  Alberto Griggio  <agriggio@users.sourceforge.net>

	fixed windows line endings...

	Files (added, modified or removed):
	* codegen/pl_codegen.py

	fixed wxMDIChildFrame C++ code bug

	Files (added, modified or removed):
	* widgets/frame/codegen.py

2004-10-26  crazyinsomniac  <crazyinsomniac>

	replace :: with os.sep in filenames

	Files (added, modified or removed):
	* codegen/pl_codegen.py

2004-10-24  Alberto Griggio  <agriggio@users.sourceforge.net>

	better handling of "duplicate names"

	Files (added, modified or removed):
	* configUI.py
	* edit_sizers/edit_sizers.py
	* edit_windows.py
	* misc.py
	* res/preferences.wxg
	* tree.py

2004-10-21  Alberto Griggio  <agriggio@users.sourceforge.net>

	fixed file name problem when generating multiple files

	Files (added, modified or removed):
	* codegen/cpp_codegen.py
	* codegen/py_codegen.py

	fixed set_size issue on wx >= 2.5

	Files (added, modified or removed):
	* edit_windows.py

2004-10-20  Alberto Griggio  <agriggio@users.sourceforge.net>

	fixed GridSizerBase.add_row bug

	Files (added, modified or removed):
	* edit_sizers/edit_sizers.py

	fixed incorrect labeling in the tree when using custom class values

	Files (added, modified or removed):
	* widgets/dialog/dialog.py
	* widgets/frame/frame.py
	* widgets/menubar/menubar.py
	* widgets/panel/panel.py
	* widgets/toolbar/toolbar.py

2004-10-18  Alberto Griggio  <agriggio@users.sourceforge.net>

	fixed style problem

	Files (added, modified or removed):
	* widgets/toolbar/toolbar.py

	patch for encoding problem

	Files (added, modified or removed):
	* xml_parse.py

	fixed segfault when removing a frame with a statusbar

	Files (added, modified or removed):
	* widgets/frame/frame.py

	fixed segfault when removing a toplevel window from the popup menu

	Files (added, modified or removed):
	* edit_windows.py
	* widgets/menubar/menubar.py

	small autosave enhancement

	Files (added, modified or removed):
	* common.py
	* main.py

	fixed bug that made it possible to double-past a sizer into a
	toplevel window

	Files (added, modified or removed):
	* edit_windows.py

	fixed minor issues

	Files (added, modified or removed):
	* widgets/dialog/dialog.py
	* widgets/frame/frame.py
	* widgets/menubar/menubar.py
	* widgets/radio_button/codegen.py
	* widgets/radio_button/radio_button.py
	* widgets/text_ctrl/text_ctrl.py
	* widgets/toolbar/toolbar.py

	some ui tweaks

	Files (added, modified or removed):
	* config.py
	* configUI.py
	* icons/spinbtn.xpm
	* main.py
	* res/preferences.wxg

	better edit_widget support

	Files (added, modified or removed):
	* common.py
	* edit_sizers/edit_sizers.py
	* edit_widget.py
	* edit_windows.py
	* widget_properties.py

2004-10-15  Alberto Griggio  <agriggio@users.sourceforge.net>

	some minor enhancements...

	Files (added, modified or removed):
	* codegen/py_codegen.py
	* common.py
	* docs/tutorial.html
	* edit_sizers/sizers_codegen.py
	* edit_windows.py
	* main.py
	* misc.py

	better default class names for xrc output

	Files (added, modified or removed):
	* widgets/dialog/dialog.py
	* widgets/frame/frame.py
	* widgets/menubar/menubar.py
	* widgets/toolbar/toolbar.py

	auto save support

	Files (added, modified or removed):
	* CHANGES.txt
	* common.py
	* config.py
	* configUI.py
	* main.py
	* res/preferences.wxg

2004-10-14  Alberto Griggio  <agriggio@users.sourceforge.net>

	fixed wrong add_app code

	Files (added, modified or removed):
	* codegen/py_codegen.py

2004-10-05  Alberto Griggio  <agriggio@users.sourceforge.net>

	various bugs fixed (preview, change of position on a sizer, ...)

	Files (added, modified or removed):
	* application.py
	* clipboard.py
	* codegen/py_codegen.py
	* edit_sizers/edit_sizers.py
	* edit_windows.py
	* tree.py

2004-10-02  crazyinsomniac  <crazyinsomniac>

	now a radio button is displayed checked when thats its value

